/* -- THIS FILE IS GENERATED - DO NOT EDIT *//* -*- Mode: C; c-basic-offset: 4 -*- */

#include <Python.h>



#line 25 "gst.override"
#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "common.h"

#include <gst/gst.h>
#include <gst/gsterror.h>
#include <gst/gstqueue.h>
#include <gst/gsttypefind.h>
#include <gst/gsttag.h>
#include <gst/gsttaginterface.h>

extern gboolean pygst_data_from_pyobject (PyObject *object, GstData **data);
PyObject *PyGstExc_LinkError = NULL;

GSList *mainloops = NULL;
void
_pygst_main_quit(void)
{
    if (!mainloops)
           g_error ("Quit more loops than there are");
    else {
       GMainLoop *loop = mainloops->data;

       mainloops = g_slist_delete_link (mainloops, mainloops);
       g_main_loop_quit (loop);
       g_main_loop_unref (loop);
    }
 }

void
_pygst_main(void)
{
    GMainLoop *loop;

    loop = g_main_loop_new (NULL, FALSE);
    mainloops = g_slist_prepend (mainloops, loop);

    g_main_loop_run (loop);
}


#line 25 "gstbuffer.override"

static int gst_buffer_getreadbuffer (PyGObject   *self,
				     int          index,
				     const void **ptr);
static int gst_buffer_length        (PyGObject   *self);
static int gst_buffer_getwritebuf   (PyGObject   *self,
				     int          index,
				     const void **ptr);
static int gst_buffer_getsegcount   (PyGObject   *self,
				     int         *lenp);
static int gst_buffer_getcharbuf    (PyGObject   *self,
				     int          index,
				     const char **ptr);
#line 66 "gst.c"


/* ---------- types from other modules ---------- */
static PyTypeObject *_PyGObject_Type;
#define PyGObject_Type (*_PyGObject_Type)


/* ---------- forward type declarations ---------- */
PyTypeObject PyGstBuffer_Type;
PyTypeObject PyGstCaps_Type;
PyTypeObject PyGstEvent_Type;
PyTypeObject PyGError_Type;
PyTypeObject PyGstPlugin_Type;
PyTypeObject PyGstStructure_Type;
PyTypeObject PyGstTagList_Type;
PyTypeObject PyGstObject_Type;
PyTypeObject PyGstIndex_Type;
PyTypeObject PyGstElement_Type;
PyTypeObject PyGstBin_Type;
PyTypeObject PyGstClock_Type;
PyTypeObject PyGstPad_Type;
PyTypeObject PyGstGhostPad_Type;
PyTypeObject PyGstPadTemplate_Type;
PyTypeObject PyGstPipeline_Type;
PyTypeObject PyGstPluginFeature_Type;
PyTypeObject PyGstIndexFactory_Type;
PyTypeObject PyGstElementFactory_Type;
PyTypeObject PyGstQueue_Type;
PyTypeObject PyGstRealPad_Type;
PyTypeObject PyGstRegistry_Type;
PyTypeObject PyGstScheduler_Type;
PyTypeObject PyGstSchedulerFactory_Type;
PyTypeObject PyGstSystemClock_Type;
PyTypeObject PyGstThread_Type;
PyTypeObject PyGstTypeFindFactory_Type;
PyTypeObject PyGstXML_Type;
PyTypeObject PyGstURIHandler_Type;
PyTypeObject PyGstTagSetter_Type;
PyTypeObject PyGstImplementsInterface_Type;


/* ----------- GstBuffer ----------- */

#line 40 "gstbuffer.override"
static int
_wrap_gst_buffer_new(PyGBoxed *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "data", "buffer_size", NULL };
	char *data = NULL;
	int size;
	int buf_size = -1;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs, "|z#i:GstBuffer.__init__", kwlist,
					 &data, &size, &buf_size))
		return -1;
	
	self->gtype = GST_TYPE_BUFFER;
	self->free_on_dealloc = FALSE;
	
	if (buf_size != -1)
		self->boxed = gst_buffer_new_and_alloc(buf_size);
	else
		self->boxed = gst_buffer_new();
	
	if (!self->boxed) {
		PyErr_SetString(PyExc_RuntimeError, "could not create GstBuffer object");
		return -1;
	}

	if (data == NULL)
		return 0;

	if (buf_size != -1 && buf_size != size) {
		PyErr_Format(PyExc_TypeError, "data must be of length %d, not %d", size, buf_size);
		return -1;
	}
	
	GST_BUFFER_DATA (self->boxed) = data;
	GST_BUFFER_SIZE (self->boxed) = size;
	
	return 0;
}
#line 149 "gst.c"


static PyObject *
_wrap_gst_buffer_stamp(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "src", NULL };
    PyObject *py_src;
    GstBuffer *src = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstBuffer.stamp", kwlist, &py_src))
        return NULL;
    if (pyg_boxed_check(py_src, GST_TYPE_BUFFER))
        src = pyg_boxed_get(py_src, GstBuffer);
    else {
        PyErr_SetString(PyExc_TypeError, "src should be a GstBuffer");
        return NULL;
    }
    gst_buffer_stamp(pyg_boxed_get(self, GstBuffer), src);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_buffer_create_sub(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "offset", "size", NULL };
    int offset, size;
    GstBuffer *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "ii:GstBuffer.create_sub", kwlist, &offset, &size))
        return NULL;
    ret = gst_buffer_create_sub(pyg_boxed_get(self, GstBuffer), offset, size);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_BUFFER, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_buffer_merge(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "buf2", NULL };
    PyObject *py_buf2;
    GstBuffer *buf2 = NULL, *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstBuffer.merge", kwlist, &py_buf2))
        return NULL;
    if (pyg_boxed_check(py_buf2, GST_TYPE_BUFFER))
        buf2 = pyg_boxed_get(py_buf2, GstBuffer);
    else {
        PyErr_SetString(PyExc_TypeError, "buf2 should be a GstBuffer");
        return NULL;
    }
    ret = gst_buffer_merge(pyg_boxed_get(self, GstBuffer), buf2);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_BUFFER, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_buffer_is_span_fast(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "buf2", NULL };
    PyObject *py_buf2;
    int ret;
    GstBuffer *buf2 = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstBuffer.is_span_fast", kwlist, &py_buf2))
        return NULL;
    if (pyg_boxed_check(py_buf2, GST_TYPE_BUFFER))
        buf2 = pyg_boxed_get(py_buf2, GstBuffer);
    else {
        PyErr_SetString(PyExc_TypeError, "buf2 should be a GstBuffer");
        return NULL;
    }
    ret = gst_buffer_is_span_fast(pyg_boxed_get(self, GstBuffer), buf2);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_buffer_span(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "offset", "buf2", "len", NULL };
    time_t offset, len;
    PyObject *py_buf2;
    GstBuffer *buf2 = NULL, *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "iOi:GstBuffer.span", kwlist, &offset, &py_buf2, &len))
        return NULL;
    if (pyg_boxed_check(py_buf2, GST_TYPE_BUFFER))
        buf2 = pyg_boxed_get(py_buf2, GstBuffer);
    else {
        PyErr_SetString(PyExc_TypeError, "buf2 should be a GstBuffer");
        return NULL;
    }
    ret = gst_buffer_span(pyg_boxed_get(self, GstBuffer), offset, buf2, len);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_BUFFER, ret, TRUE, TRUE);
}

#line 80 "gstbuffer.override"
static PyObject*
_wrap_gst_buffer_get_data(PyObject *self)
{
	GstBuffer *buf = pyg_boxed_get(self, GstBuffer);
	return PyString_FromStringAndSize(GST_BUFFER_DATA(buf),
					  GST_BUFFER_SIZE(buf));
}
#line 256 "gst.c"


#line 89 "gstbuffer.override"
static PyObject*
_wrap_gst_buffer_set_data(PyObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = {"data", NULL};
	PyObject *data;
	GstBuffer *buf;
	
	if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstBuffer:set_data", kwlist, &data))
	{
		return NULL;
	}
	if (!PyString_Check(data)) {
		PyErr_SetString(PyExc_TypeError, "data should be a string");
		return NULL;
	}
	buf = pyg_boxed_get(self, GstBuffer);
	if (GST_BUFFER_FLAGS(buf) & GST_BUFFER_READONLY) {
		PyErr_SetString(PyExc_TypeError, "set_data can't use a READONLY buffer");
		return NULL;
	}
	GST_BUFFER_SIZE(buf) = PyString_Size(data);
	GST_BUFFER_DATA(buf) = g_new0(char, GST_BUFFER_SIZE(buf));

	memcpy(GST_BUFFER_DATA(buf),
	       PyString_AsString(data),
	       PyString_Size(data));

	Py_INCREF(Py_None);
	return Py_None;
}
#line 290 "gst.c"


#line 299 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer_flag_unset(PyObject *self, PyObject *args)
{
	int flag;
	GstBuffer *buf;
	
	if (!PyArg_ParseTuple(args, "i:GstBuffer.unset", &flag))
		return NULL;

	buf = pyg_boxed_get(self, GstBuffer);
	g_assert(GST_IS_BUFFER(buf));
	GST_BUFFER_FLAG_UNSET(buf, flag);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 310 "gst.c"


#line 281 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer_flag_set(PyObject *self, PyObject *args)
{
	int flag;
	GstBuffer *buf;
	
	if (!PyArg_ParseTuple(args, "i:GstBuffer.set", &flag))
		return NULL;

	buf = pyg_boxed_get(self, GstBuffer);
	g_assert(GST_IS_BUFFER(buf));
	GST_BUFFER_FLAG_SET(buf, flag);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 330 "gst.c"


#line 262 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer_flag_is_set(PyObject *self, PyObject *args)
{
	int flag;
	PyObject *retval;
	GstBuffer *buf;
	
	if (!PyArg_ParseTuple(args, "i:GstBuffer.flag_is_set", &flag))
		return NULL;

	buf = pyg_boxed_get(self, GstBuffer);
	g_assert(GST_IS_BUFFER(buf));
	
	retval = GST_BUFFER_FLAG_IS_SET(buf, flag) ? Py_True : Py_False;
	Py_INCREF(retval);
	return retval;
}
#line 351 "gst.c"


static PyMethodDef _PyGstBuffer_methods[] = {
    { "stamp", (PyCFunction)_wrap_gst_buffer_stamp, METH_VARARGS|METH_KEYWORDS },
    { "create_sub", (PyCFunction)_wrap_gst_buffer_create_sub, METH_VARARGS|METH_KEYWORDS },
    { "merge", (PyCFunction)_wrap_gst_buffer_merge, METH_VARARGS|METH_KEYWORDS },
    { "is_span_fast", (PyCFunction)_wrap_gst_buffer_is_span_fast, METH_VARARGS|METH_KEYWORDS },
    { "span", (PyCFunction)_wrap_gst_buffer_span, METH_VARARGS|METH_KEYWORDS },
    { "get_data", (PyCFunction)_wrap_gst_buffer_get_data, METH_VARARGS },
    { "set_buffer_data", (PyCFunction)_wrap_gst_buffer_set_data, METH_VARARGS|METH_KEYWORDS },
    { "flag_unset", (PyCFunction)_wrap_gst_buffer_flag_unset, METH_VARARGS },
    { "flag_set", (PyCFunction)_wrap_gst_buffer_flag_set, METH_VARARGS },
    { "flag_is_set", (PyCFunction)_wrap_gst_buffer_flag_is_set, METH_VARARGS },
    { NULL, NULL, 0 }
};

#line 145 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer__get_size(PyGObject *self, void *closure)
{
	return PyInt_FromLong(GST_BUFFER_SIZE(self->obj));
}
#line 374 "gst.c"


#line 152 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer__get_maxsize(PyGObject *self, void *closure)
{
	return PyInt_FromLong(GST_BUFFER_MAXSIZE(self->obj));
}
#line 383 "gst.c"


#line 159 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer__get_offset(PyGObject *self, void *closure)
{
	return PyInt_FromLong(GST_BUFFER_OFFSET(self->obj));
}
#line 392 "gst.c"


#line 166 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer__get_offset_end(PyGObject *self, void *closure)
{
	return PyInt_FromLong(GST_BUFFER_OFFSET_END(self->obj));
}
#line 401 "gst.c"


static PyGetSetDef gst_buffer_getsets[] = {
    { "size", (getter)_wrap_gst_buffer__get_size, (setter)0 },
    { "maxsize", (getter)_wrap_gst_buffer__get_maxsize, (setter)0 },
    { "offset", (getter)_wrap_gst_buffer__get_offset, (setter)0 },
    { "offset_end", (getter)_wrap_gst_buffer__get_offset_end, (setter)0 },
    { NULL, (getter)0, (setter)0 },
};

#line 121 "gstbuffer.override"
PyObject *
_wrap_gst_buffer_tp_getattr(PyGObject *self, char *attr)
{
	/* We have some GstData methods since it's not a subclass */
	if (!strcmp(attr, "type"))
		return pyg_type_wrapper_new(GST_DATA_TYPE(self->obj));
	else if (!strcmp(attr, "flags"))
		return PyInt_FromLong(GST_DATA_FLAGS(self->obj));
#if 0	
	else if (!strcmp(attr, "size"))
		return PyInt_FromLong(GST_BUFFER_SIZE(self->obj));
#endif	
	else if (!strcmp(attr, "maxsize"))
		return PyInt_FromLong(GST_BUFFER_MAXSIZE(self->obj));
	/* XXX: timestamp and duration */
	else if (!strcmp(attr, "offset"))
		return PyInt_FromLong(GST_BUFFER_OFFSET(self->obj));
	else if (!strcmp(attr, "offset_end"))
		return PyInt_FromLong(GST_BUFFER_OFFSET_END(self->obj));

	return Py_FindMethod(_PyGstBuffer_methods, (PyObject*)self, attr);
}
#line 435 "gst.c"


#line 232 "gstbuffer.override"
static PySequenceMethods _wrap_gst_buffer_tp_as_sequence = {
	(inquiry)gst_buffer_length,         /* sq_length */
	NULL,                               /* sq_concat */
	NULL,                               /* sq_repeat */
	NULL,                               /* sq_item */
	NULL,                               /* sq_slice */
	NULL,                               /* sq_ass_item */
	NULL,                               /* sq_ass_slice */
	NULL,                               /* sq_contains */
	NULL,                               /* sq_inplace_concat */
	NULL,                               /* sq_inplace_repeat */
};

static int
gst_buffer_length(PyGObject *self)
{
	return GST_BUFFER_SIZE(self->obj);
}

/* %%
define GstBuffer.flags noargs
static PyObject *
_wrap_gst_buffer_flags(PyGBoxed *self)
{
	GstBuffer *buf = pyg_boxed_get(self, GstBuffer);
	g_assert(GST_IS_BUFFER(buf));
	return PyInt_FromLong(GST_BUFFER_FLAGS(buf));
} */
#line 467 "gst.c"


#line 173 "gstbuffer.override"
static PyObject *
_wrap_gst_buffer_tp_str(PyGObject *self)
{
	return PyString_FromStringAndSize(GST_BUFFER_DATA(self->obj),
					  GST_BUFFER_SIZE(self->obj));
}
#line 477 "gst.c"


#line 181 "gstbuffer.override"
static PyBufferProcs _wrap_gst_buffer_tp_as_buffer = {
        (getreadbufferproc)gst_buffer_getreadbuffer, /* bf_getreadbuffer */
	(getwritebufferproc)gst_buffer_getwritebuf,  /* bf_getwritebuffer */
	(getsegcountproc)gst_buffer_getsegcount,     /* bf_getsegcount */
	(getcharbufferproc)gst_buffer_getcharbuf,    /* bf_getcharbuffer */
};

static int
gst_buffer_getreadbuffer(PyGObject *self, int index, const void **ptr)
{
	if ( index != 0 ) {
		PyErr_SetString(PyExc_SystemError,
				"accessing non-existent GstBuffer segment");
		return -1;
	}
	
	*ptr = GST_BUFFER_DATA(self->obj);
	return GST_BUFFER_SIZE(self->obj);
}

static int
gst_buffer_getsegcount(PyGObject *self, int *lenp)
{
	if (lenp)
		*lenp = GST_BUFFER_SIZE(self->obj);
	return 1;
}

static int
gst_buffer_getcharbuf(PyGObject *self, int index, const char **ptr)
{
	if ( index != 0 ) {
		PyErr_SetString(PyExc_SystemError,
				"accessing non-existent GstBuffer segment");
		return -1;
	}
	
	*ptr = GST_BUFFER_DATA(self->obj);
	return GST_BUFFER_SIZE(self->obj);
}

static int
gst_buffer_getwritebuf(PyGObject *self, int index, const void **ptr)
{
	PyErr_SetString(PyExc_TypeError,
			"Cannot use GstBuffer as modifiable buffer");
	return -1;
}

#line 530 "gst.c"


PyTypeObject PyGstBuffer_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Buffer",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)_wrap_gst_buffer_tp_getattr,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)&_wrap_gst_buffer_tp_as_sequence, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)_wrap_gst_buffer_tp_str,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)&_wrap_gst_buffer_tp_as_buffer,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstBuffer_methods,			/* tp_methods */
    0,					/* tp_members */
    gst_buffer_getsets,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)_wrap_gst_buffer_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstCaps ----------- */

#line 561 "gst.override"
static int
_wrap_gst_caps_new_empty(PyGBoxed *self, PyObject *args, PyObject *kwargs)
{
	PyObject* item;
	int len, i;

        /* we wrap caps_new, caps_from_string and caps_new_full */
        len = PyTuple_Size(args);
        self->gtype = GST_TYPE_CAPS;
	self->free_on_dealloc = FALSE;
	
        if (len == 0) {
		/* 0 length creates a new empty caps */
		self->boxed = gst_caps_new_empty();
		goto beach;
	} else if (len == 1) {
		/* 1 length is either a string or a structure */
		item = PyTuple_GetItem(args, 0);
		if (PyString_Check(item)) {
			self->boxed = gst_caps_from_string(PyString_AsString(item));
			goto beach;
		} else if (!pyg_boxed_check(item, GST_TYPE_STRUCTURE)) {
                        PyErr_SetString(PyExc_TypeError, "argument must be a string or a GstStructure");
			return -1;
		}		
	}
	/* it's either one GstStructure or several whatevers */
	self->boxed = gst_caps_new_empty();
       	for (i = 0; i < len; i++)
       	{
               	item = PyTuple_GetItem(args, i);
               	if (!pyg_boxed_check(item, GST_TYPE_STRUCTURE))
               	{
                       	PyErr_SetString(PyExc_TypeError, "argument must be a GstStructure");
			gst_caps_free(self->boxed);
			return -1;
		}
		gst_caps_append_structure(self->boxed, pyg_boxed_get(item, GstStructure));
	}

beach:
	if (!self->boxed) {
		PyErr_SetString(PyExc_RuntimeError, "could not create GstCaps object");
		return -1;
	}
	return 0;
}
#line 630 "gst.c"


static PyObject *
_wrap_gst_caps_append(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps2", NULL };
    PyObject *py_caps2;
    GstCaps *caps2 = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstCaps.append", kwlist, &py_caps2))
        return NULL;
    if (pyg_boxed_check(py_caps2, GST_TYPE_CAPS))
        caps2 = pyg_boxed_get(py_caps2, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps2 should be a GstCaps");
        return NULL;
    }
    gst_caps_append(pyg_boxed_get(self, GstCaps), caps2);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_caps_append_structure(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "structure", NULL };
    PyObject *py_structure;
    GstStructure *structure = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstCaps.append_structure", kwlist, &py_structure))
        return NULL;
    if (pyg_boxed_check(py_structure, GST_TYPE_STRUCTURE))
        structure = pyg_boxed_get(py_structure, GstStructure);
    else {
        PyErr_SetString(PyExc_TypeError, "structure should be a GstStructure");
        return NULL;
    }
    gst_caps_append_structure(pyg_boxed_get(self, GstCaps), structure);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_caps_split_one(PyObject *self)
{
    GstCaps *ret;

    ret = gst_caps_split_one(pyg_boxed_get(self, GstCaps));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_get_size(PyObject *self)
{
    int ret;

    ret = gst_caps_get_size(pyg_boxed_get(self, GstCaps));
    return PyInt_FromLong(ret);
}

#line 610 "gst.override"
static PyObject *
_wrap_gst_caps_get_structure(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "index", NULL };
    int index;
    GstStructure *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstCaps.get_structure", kwlist, &index))
        return NULL;
    ret = gst_caps_get_structure(pyg_boxed_get(self, GstCaps), index);
    
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_STRUCTURE, ret, FALSE, FALSE);
}
#line 707 "gst.c"


static PyObject *
_wrap_gst_caps_copy_1(PyObject *self)
{
    GstCaps *ret;

    ret = gst_caps_copy_1(pyg_boxed_get(self, GstCaps));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_is_any(PyObject *self)
{
    int ret;

    ret = gst_caps_is_any(pyg_boxed_get(self, GstCaps));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_is_empty(PyObject *self)
{
    int ret;

    ret = gst_caps_is_empty(pyg_boxed_get(self, GstCaps));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_is_chained(PyObject *self)
{
    int ret;

    ret = gst_caps_is_chained(pyg_boxed_get(self, GstCaps));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_is_fixed(PyObject *self)
{
    int ret;

    ret = gst_caps_is_fixed(pyg_boxed_get(self, GstCaps));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_is_equal_fixed(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps2", NULL };
    PyObject *py_caps2;
    int ret;
    GstCaps *caps2 = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstCaps.is_equal_fixed", kwlist, &py_caps2))
        return NULL;
    if (pyg_boxed_check(py_caps2, GST_TYPE_CAPS))
        caps2 = pyg_boxed_get(py_caps2, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps2 should be a GstCaps");
        return NULL;
    }
    ret = gst_caps_is_equal_fixed(pyg_boxed_get(self, GstCaps), caps2);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_is_always_compatible(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps2", NULL };
    PyObject *py_caps2;
    int ret;
    GstCaps *caps2 = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstCaps.is_always_compatible", kwlist, &py_caps2))
        return NULL;
    if (pyg_boxed_check(py_caps2, GST_TYPE_CAPS))
        caps2 = pyg_boxed_get(py_caps2, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps2 should be a GstCaps");
        return NULL;
    }
    ret = gst_caps_is_always_compatible(pyg_boxed_get(self, GstCaps), caps2);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_intersect(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps2", NULL };
    PyObject *py_caps2;
    GstCaps *caps2 = NULL, *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstCaps.intersect", kwlist, &py_caps2))
        return NULL;
    if (pyg_boxed_check(py_caps2, GST_TYPE_CAPS))
        caps2 = pyg_boxed_get(py_caps2, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps2 should be a GstCaps");
        return NULL;
    }
    ret = gst_caps_intersect(pyg_boxed_get(self, GstCaps), caps2);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_union(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps2", NULL };
    PyObject *py_caps2;
    GstCaps *caps2 = NULL, *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstCaps.union", kwlist, &py_caps2))
        return NULL;
    if (pyg_boxed_check(py_caps2, GST_TYPE_CAPS))
        caps2 = pyg_boxed_get(py_caps2, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps2 should be a GstCaps");
        return NULL;
    }
    ret = gst_caps_union(pyg_boxed_get(self, GstCaps), caps2);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_normalize(PyObject *self)
{
    GstCaps *ret;

    ret = gst_caps_normalize(pyg_boxed_get(self, GstCaps));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_simplify(PyObject *self)
{
    GstCaps *ret;

    ret = gst_caps_simplify(pyg_boxed_get(self, GstCaps));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_to_string(PyObject *self)
{
    gchar *ret;

    ret = gst_caps_to_string(pyg_boxed_get(self, GstCaps));
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstCaps_methods[] = {
    { "append", (PyCFunction)_wrap_gst_caps_append, METH_VARARGS|METH_KEYWORDS },
    { "append_structure", (PyCFunction)_wrap_gst_caps_append_structure, METH_VARARGS|METH_KEYWORDS },
    { "split_one", (PyCFunction)_wrap_gst_caps_split_one, METH_NOARGS },
    { "get_size", (PyCFunction)_wrap_gst_caps_get_size, METH_NOARGS },
    { "get_structure", (PyCFunction)_wrap_gst_caps_get_structure, METH_VARARGS|METH_KEYWORDS },
    { "copy_1", (PyCFunction)_wrap_gst_caps_copy_1, METH_NOARGS },
    { "is_any", (PyCFunction)_wrap_gst_caps_is_any, METH_NOARGS },
    { "is_empty", (PyCFunction)_wrap_gst_caps_is_empty, METH_NOARGS },
    { "is_chained", (PyCFunction)_wrap_gst_caps_is_chained, METH_NOARGS },
    { "is_fixed", (PyCFunction)_wrap_gst_caps_is_fixed, METH_NOARGS },
    { "is_equal_fixed", (PyCFunction)_wrap_gst_caps_is_equal_fixed, METH_VARARGS|METH_KEYWORDS },
    { "is_always_compatible", (PyCFunction)_wrap_gst_caps_is_always_compatible, METH_VARARGS|METH_KEYWORDS },
    { "intersect", (PyCFunction)_wrap_gst_caps_intersect, METH_VARARGS|METH_KEYWORDS },
    { "union", (PyCFunction)_wrap_gst_caps_union, METH_VARARGS|METH_KEYWORDS },
    { "normalize", (PyCFunction)_wrap_gst_caps_normalize, METH_NOARGS },
    { "simplify", (PyCFunction)_wrap_gst_caps_simplify, METH_NOARGS },
    { "to_string", (PyCFunction)_wrap_gst_caps_to_string, METH_NOARGS },
    { NULL, NULL, 0 }
};

#line 626 "gst.override"
static int
caps_length(PyGObject *self)
{
	return gst_caps_get_size((GstCaps*)self->obj);
}

static PyObject *
caps_item(PyGObject *self, int i)
			
{
	GstStructure *structure;
	
	if (i < 0 || i >= gst_caps_get_size((GstCaps*)self->obj)) {
		PyErr_SetString(PyExc_IndexError, "list index out of range");
		return NULL;
	}
	
	structure = gst_caps_get_structure((GstCaps*)self->obj, i);
	return pyg_boxed_new(GST_TYPE_STRUCTURE, structure, TRUE, TRUE);
}

static PySequenceMethods _wrap_gst_caps_tp_as_sequence = {
	(inquiry)caps_length,         /* mp_length */
        NULL,
        NULL,
	(intargfunc)caps_item,
        NULL,
	NULL,
	NULL,
        NULL,
};
#line 930 "gst.c"


#line 659 "gst.override"
static PyObject *
_wrap_gst_caps_tp_str(PyGObject *self)
{
    gchar *tmp;
    PyObject *retval;
    
    tmp = gst_caps_to_string((GstCaps*)self->obj);
    retval = PyString_FromString(tmp);
    g_free(tmp);

    return retval;
}
#line 946 "gst.c"


PyTypeObject PyGstCaps_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Caps",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)&_wrap_gst_caps_tp_as_sequence, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)_wrap_gst_caps_tp_str,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstCaps_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)_wrap_gst_caps_new_empty,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstEvent ----------- */

static int
_wrap_gst_event_new(PyGBoxed *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "type", NULL };
    PyObject *py_type = NULL;
    GstEventType type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstEvent.__init__", kwlist, &py_type))
        return -1;
    if (pyg_enum_get_value(GST_TYPE_EVENT_TYPE, py_type, (gint *)&type))
        return -1;
    self->gtype = GST_TYPE_EVENT;
    self->free_on_dealloc = FALSE;
    self->boxed = gst_event_new(type);

    if (!self->boxed) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstEvent object");
        return -1;
    }
    self->free_on_dealloc = TRUE;
    return 0;
}

#line 1372 "gst.override"
static PyObject *
_wrap_gst_event_any_get_structure(PyObject *self)
{
    GstStructure *ret;
    GstEvent *event;

    event = pyg_pointer_get(self, GstEvent);
    if (GST_EVENT_TYPE(event) == GST_EVENT_ANY) {
        ret = event->event_data.structure.structure;
        /* pyg_boxed_new handles NULL checking */
        return pyg_boxed_new(GST_TYPE_STRUCTURE, ret, TRUE, TRUE);
    } else {
        Py_INCREF(Py_None);
        return Py_None;
    }
}
#line 1038 "gst.c"


static PyObject *
_wrap_gst_event_tag_get_list(PyObject *self)
{
    GstTagList *ret;

    ret = gst_event_tag_get_list(pyg_boxed_get(self, GstEvent));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_TAG_LIST, ret, TRUE, TRUE);
}

static PyMethodDef _PyGstEvent_methods[] = {
    { "any_get_structure", (PyCFunction)_wrap_gst_event_any_get_structure, METH_NOARGS },
    { "tag_get_list", (PyCFunction)_wrap_gst_event_tag_get_list, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstEvent_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Event",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstEvent_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)_wrap_gst_event_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GError ----------- */

static int
pygobject_no_constructor(PyObject *self, PyObject *args, PyObject *kwargs)
{
    gchar buf[512];

    g_snprintf(buf, sizeof(buf), "%s is an abstract widget", self->ob_type->tp_name);
    PyErr_SetString(PyExc_NotImplementedError, buf);
    return -1;
}

#line 1295 "gst.override"
static PyObject *
_wrap_gst_g_error__get_domain(PyGObject *self, void *closure)
{
    return PyString_FromString(g_quark_to_string(((GError*)self->obj)->domain));
}
#line 1122 "gst.c"


static PyObject *
_wrap_gst_g_error__get_code(PyObject *self, void *closure)
{
    int ret;

    ret = pyg_boxed_get(self, GError)->code;
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_g_error__get_message(PyObject *self, void *closure)
{
    const gchar *ret;

    ret = pyg_boxed_get(self, GError)->message;
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyGetSetDef gst_g_error_getsets[] = {
    { "domain", (getter)_wrap_gst_g_error__get_domain, (setter)0 },
    { "code", (getter)_wrap_gst_g_error__get_code, (setter)0 },
    { "message", (getter)_wrap_gst_g_error__get_message, (setter)0 },
    { NULL, (getter)0, (setter)0 },
};

#line 1302 "gst.override"
static PyObject *
_wrap_gst_g_error_tp_str(PyGObject *self)
{
    GError *error = (GError*)self->obj;
    return PyString_FromString(gst_error_get_message (error->domain,
						      error->code));
}
#line 1161 "gst.c"


PyTypeObject PyGError_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.GError",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)_wrap_gst_g_error_tp_str,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    gst_g_error_getsets,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstPlugin ----------- */

static PyObject *
_wrap_gst_plugin_get_name(PyObject *self)
{
    const gchar *ret;

    ret = gst_plugin_get_name(pyg_boxed_get(self, GstPlugin));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_get_description(PyObject *self)
{
    const gchar *ret;

    ret = gst_plugin_get_description(pyg_boxed_get(self, GstPlugin));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_get_filename(PyObject *self)
{
    const gchar *ret;

    ret = gst_plugin_get_filename(pyg_boxed_get(self, GstPlugin));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_get_license(PyObject *self)
{
    const gchar *ret;

    ret = gst_plugin_get_license(pyg_boxed_get(self, GstPlugin));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_get_package(PyObject *self)
{
    const gchar *ret;

    ret = gst_plugin_get_package(pyg_boxed_get(self, GstPlugin));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_get_origin(PyObject *self)
{
    const gchar *ret;

    ret = gst_plugin_get_origin(pyg_boxed_get(self, GstPlugin));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_is_loaded(PyObject *self)
{
    int ret;

    ret = gst_plugin_is_loaded(pyg_boxed_get(self, GstPlugin));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_plugin_name_filter(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstPlugin.name_filter", kwlist, &name))
        return NULL;
    ret = gst_plugin_name_filter(pyg_boxed_get(self, GstPlugin), name);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_plugin_find_feature(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "type", NULL };
    char *name;
    PyObject *py_type = NULL;
    GType type;
    GstPluginFeature *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO:GstPlugin.find_feature", kwlist, &name, &py_type))
        return NULL;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return NULL;
    ret = gst_plugin_find_feature(pyg_boxed_get(self, GstPlugin), name, type);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_plugin_unload_plugin(PyObject *self)
{
    int ret;

    ret = gst_plugin_unload_plugin(pyg_boxed_get(self, GstPlugin));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_plugin_add_feature(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "feature", NULL };
    PyGObject *feature;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPlugin.add_feature", kwlist, &PyGstPluginFeature_Type, &feature))
        return NULL;
    gst_plugin_add_feature(pyg_boxed_get(self, GstPlugin), GST_PLUGIN_FEATURE(feature->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstPlugin_methods[] = {
    { "get_name", (PyCFunction)_wrap_gst_plugin_get_name, METH_NOARGS },
    { "get_description", (PyCFunction)_wrap_gst_plugin_get_description, METH_NOARGS },
    { "get_filename", (PyCFunction)_wrap_gst_plugin_get_filename, METH_NOARGS },
    { "get_license", (PyCFunction)_wrap_gst_plugin_get_license, METH_NOARGS },
    { "get_package", (PyCFunction)_wrap_gst_plugin_get_package, METH_NOARGS },
    { "get_origin", (PyCFunction)_wrap_gst_plugin_get_origin, METH_NOARGS },
    { "is_loaded", (PyCFunction)_wrap_gst_plugin_is_loaded, METH_NOARGS },
    { "name_filter", (PyCFunction)_wrap_gst_plugin_name_filter, METH_VARARGS|METH_KEYWORDS },
    { "find_feature", (PyCFunction)_wrap_gst_plugin_find_feature, METH_VARARGS|METH_KEYWORDS },
    { "unload_plugin", (PyCFunction)_wrap_gst_plugin_unload_plugin, METH_NOARGS },
    { "add_feature", (PyCFunction)_wrap_gst_plugin_add_feature, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstPlugin_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Plugin",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstPlugin_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstStructure ----------- */

#line 834 "gst.override"
static int
_wrap_gst_structure_new(PyGBoxed *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "name", NULL };
	char *name;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstStructure.__init__", kwlist, &name))
		return -1;
	
	self->gtype = GST_TYPE_STRUCTURE;
	self->free_on_dealloc = FALSE;

	self->boxed = gst_structure_new(name, NULL);

	if (!self->boxed) {
		PyErr_SetString(PyExc_RuntimeError, "could not create GstStructure object");
		return -1;
	}
	self->free_on_dealloc = TRUE;
	return 0;
}
#line 1436 "gst.c"


static PyObject *
_wrap_gst_structure_get_name(PyObject *self)
{
    const gchar *ret;

    ret = gst_structure_get_name(pyg_boxed_get(self, GstStructure));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_structure_set_name(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstStructure.set_name", kwlist, &name))
        return NULL;
    gst_structure_set_name(pyg_boxed_get(self, GstStructure), name);
    Py_INCREF(Py_None);
    return Py_None;
}

#line 857 "gst.override"
static PyObject *
_wrap_gst_structure_set_value(PyObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "field", "value", "type_name", NULL };
	char *field;
	PyObject *py_value = NULL;
        char *type_name = NULL;
	GType type;
	GValue value = { 0 };

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
                "sO|s:GstStructure.set_value",
                kwlist, &field, &py_value,
                &type_name)) {
            return NULL;
        }

        if (type_name) {
            if (strcmp (type_name, "char") == 0) {
                type = G_TYPE_CHAR;
            } else if (strcmp (type_name, "uchar") == 0) {
                type = G_TYPE_UCHAR;
            } else if (strcmp (type_name, "boolean") == 0) {
                type = G_TYPE_BOOLEAN;
            } else if (strcmp (type_name, "int") == 0) {
                type = G_TYPE_INT;
            } else if (strcmp (type_name, "uint") == 0) {
                type = G_TYPE_UINT;
            } else if (strcmp (type_name, "long") == 0) {
                type = G_TYPE_LONG;
            } else if (strcmp (type_name, "ulong") == 0) {
                type = G_TYPE_ULONG;
            } else if (strcmp (type_name, "int64") == 0) {
                type = G_TYPE_INT64;
            } else if (strcmp (type_name, "uint64") == 0) {
                type = G_TYPE_UINT64;
            } else if (strcmp (type_name, "float") == 0) {
                type = G_TYPE_FLOAT;
            } else if (strcmp (type_name, "double") == 0) {
                type = G_TYPE_DOUBLE;
            } else if (strcmp (type_name, "string") == 0) {
                type = G_TYPE_STRING;
            } else {
                PyErr_SetString(PyExc_TypeError,
                    "invalid type name");
                return NULL;
            }
        } else {
            /* Let PyGTK guess a GType for the object. */
            type = pyg_type_from_object((PyObject *) py_value->ob_type);
            if (type == 0) {
		return NULL;
            }
        }

	g_value_init(&value, type);
	if (pyg_value_from_pyobject(&value, py_value) != 0) {
		return NULL;
	}
	gst_structure_set_value(pyg_boxed_get(self, GstStructure), field,
            &value);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 1530 "gst.c"


static PyObject *
_wrap_gst_structure_remove_field(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "fieldname", NULL };
    char *fieldname;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstStructure.remove_field", kwlist, &fieldname))
        return NULL;
    gst_structure_remove_field(pyg_boxed_get(self, GstStructure), fieldname);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_structure_remove_all_fields(PyObject *self)
{
    gst_structure_remove_all_fields(pyg_boxed_get(self, GstStructure));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_structure_get_field_type(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "fieldname", NULL };
    char *fieldname;
    GType ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstStructure.get_field_type", kwlist, &fieldname))
        return NULL;
    ret = gst_structure_get_field_type(pyg_boxed_get(self, GstStructure), fieldname);
    return pyg_type_wrapper_new(ret);
}

#line 1043 "gst.override"
static gboolean
pygst_structure_foreach_marshal(GQuark field_id,
				GValue *value,
				gpointer user_data)
{
	PyGstCustomNotify *cunote = user_data;
	PyObject *py_field, *py_value, *retobj;
	gboolean retval = TRUE;
	PyGILState_STATE state;
	
	g_assert(cunote->func);

	state = pyg_gil_state_ensure();

	py_field = Py_BuildValue("s", g_quark_to_string(field_id));
	py_value = pyg_value_as_pyobject(value, FALSE);
	if (cunote->data)
		retobj = PyEval_CallFunction(cunote->func, "(NNO)",
					     py_field, py_value,
					     cunote->data);
	else
		retobj = PyEval_CallFunction(cunote->func, "(NN)",
					     py_field, py_value);

	if (PyErr_Occurred () || (retobj == NULL) || (retobj == Py_None)) {
		PyErr_Print ();
		retval = FALSE;
	} else if (retobj != Py_None) {
		retval = PyInt_AsLong(retobj);
	}

	Py_XDECREF(retobj);

	pyg_gil_state_release(state);
	
	return retval;
}

static PyObject *
_wrap_gst_structure_foreach (PyGObject *self,
			     PyObject *args,
			     PyObject *kwargs)
{
	static char *kwlist[] = { "foreach_function", "args", NULL };
	PyObject *pyfunc, *pyarg = NULL;
	PyGstCustomNotify cunote;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "O|O:GstStructure.foreach",
					 kwlist,
					 &pyfunc, &pyarg)) {
		return NULL;
	}

	if (!PyCallable_Check(pyfunc)) {
		PyErr_SetString(PyExc_TypeError, "foreach_function not callable");
		return NULL;
	}

	cunote.func = pyfunc;
	cunote.data = pyarg;
	gst_structure_foreach(pyg_boxed_get(self, GstStructure),
			      pygst_structure_foreach_marshal,
			      &cunote);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 1636 "gst.c"


static PyObject *
_wrap_gst_structure_n_fields(PyObject *self)
{
    int ret;

    ret = gst_structure_n_fields(pyg_boxed_get(self, GstStructure));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_structure_has_field(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "fieldname", NULL };
    char *fieldname;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstStructure.has_field", kwlist, &fieldname))
        return NULL;
    ret = gst_structure_has_field(pyg_boxed_get(self, GstStructure), fieldname);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_structure_has_field_typed(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "fieldname", "type", NULL };
    char *fieldname;
    PyObject *py_type = NULL;
    GType type;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO:GstStructure.has_field_typed", kwlist, &fieldname, &py_type))
        return NULL;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return NULL;
    ret = gst_structure_has_field_typed(pyg_boxed_get(self, GstStructure), fieldname, type);
    return PyBool_FromLong(ret);

}

#line 924 "gst.override"
static PyObject *
_wrap_gst_structure_get_int(PyObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "fieldname", NULL };
	char *fieldname;
	int value;
	
	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "s:GstStructure.get_int",
					 kwlist, &fieldname))
		return NULL;

	if (gst_structure_get_int(pyg_boxed_get(self, GstStructure), fieldname, &value))
		return PyInt_FromLong(value);

	/* XXX: Raise exception? */
	Py_INCREF(Py_None);
	return Py_None;
}
#line 1700 "gst.c"


static PyObject *
_wrap_gst_structure_get_string(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "fieldname", NULL };
    char *fieldname;
    const gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstStructure.get_string", kwlist, &fieldname))
        return NULL;
    ret = gst_structure_get_string(pyg_boxed_get(self, GstStructure), fieldname);
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_structure_to_string(PyObject *self)
{
    gchar *ret;

    ret = gst_structure_to_string(pyg_boxed_get(self, GstStructure));
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

#line 945 "gst.override"
static PyObject*
_wrap_gst_structure_has_key(PyGObject *self, PyObject *args)
{
	gchar *key;
	gboolean has_field;
    
	if (!PyArg_ParseTuple(args, "s:GstStructure.has_key", &key))
		return NULL;

	has_field = gst_structure_has_field((GstStructure*)self->obj, key);
	    
	return PyBool_FromLong(has_field);
}    
#line 1748 "gst.c"


static PyMethodDef _PyGstStructure_methods[] = {
    { "get_name", (PyCFunction)_wrap_gst_structure_get_name, METH_NOARGS },
    { "set_name", (PyCFunction)_wrap_gst_structure_set_name, METH_VARARGS|METH_KEYWORDS },
    { "set_value", (PyCFunction)_wrap_gst_structure_set_value, METH_VARARGS|METH_KEYWORDS },
    { "remove_field", (PyCFunction)_wrap_gst_structure_remove_field, METH_VARARGS|METH_KEYWORDS },
    { "remove_all_fields", (PyCFunction)_wrap_gst_structure_remove_all_fields, METH_NOARGS },
    { "get_field_type", (PyCFunction)_wrap_gst_structure_get_field_type, METH_VARARGS|METH_KEYWORDS },
    { "foreach", (PyCFunction)_wrap_gst_structure_foreach, METH_VARARGS|METH_KEYWORDS },
    { "n_fields", (PyCFunction)_wrap_gst_structure_n_fields, METH_NOARGS },
    { "has_field", (PyCFunction)_wrap_gst_structure_has_field, METH_VARARGS|METH_KEYWORDS },
    { "has_field_typed", (PyCFunction)_wrap_gst_structure_has_field_typed, METH_VARARGS|METH_KEYWORDS },
    { "get_int", (PyCFunction)_wrap_gst_structure_get_int, METH_VARARGS|METH_KEYWORDS },
    { "get_string", (PyCFunction)_wrap_gst_structure_get_string, METH_VARARGS|METH_KEYWORDS },
    { "to_string", (PyCFunction)_wrap_gst_structure_to_string, METH_NOARGS },
    { "has_key", (PyCFunction)_wrap_gst_structure_has_key, METH_VARARGS },
    { NULL, NULL, 0 }
};

#line 1113 "gst.override"
static PyObject *
_wrap_gst_structure_tp_repr (PyGObject *self)
{
	char *buf;
	PyObject *retval;
	
	buf = g_strdup_printf("<GstStructure (%s) at %lx>",
			      gst_structure_get_name((GstStructure*)self->obj),
			      (long)self->obj);

	retval = PyString_FromString(buf);
	g_free(buf);
	return retval;
}
#line 1784 "gst.c"


#line 960 "gst.override"
static int
_wrap_gst_structure_length(PyGObject *self)
{
	return gst_structure_n_fields((GstStructure*)self->obj);
}

static PyObject *
_wrap_gst_structure_subscript(PyGObject *self, PyObject *py_key)
{
	PyObject *v = NULL;
	const char *field = PyString_AsString(py_key);
	
	if (gst_structure_has_field((GstStructure*)self->obj, field)) {
		const GValue *gvalue;
		gvalue = gst_structure_get_value((GstStructure*)self->obj, field);
		g_assert(gvalue != NULL);
		v = pyg_value_as_pyobject(gvalue, TRUE);
	} else {
		PyErr_SetString(PyExc_KeyError, field);
	}
		
	if (v != NULL)
		Py_INCREF(v);
	return v;
}

static int
_wrap_gst_structure_ass_subscript(PyGObject *self,
				  PyObject *py_key,
				  PyObject *py_value)
{
	const char *key;
	GstStructure* structure;

	structure = (GstStructure*)self->obj;
	key = PyString_AsString(py_key);
	if (py_value != NULL) {
	    if (PyString_Check(py_value)) {
#if 0		
		GValue *value = NULL;
		gst_structure_field_from_string(PyString_AsString(py_value), value);
		g_print ("gvalue: %s %s %s\n",
			 PyString_AsString(py_value),
			 gst_value_serialize(value),
			 G_VALUE_TYPE_NAME(value));
		gst_structure_set_value(structure, key, value);
#else
		GValue value = { 0, };
		g_value_init (&value, G_TYPE_STRING);
		gst_value_deserialize(&value, PyString_AsString(py_value));
		gst_structure_set_value(structure, key, &value);
		g_value_unset(&value);
#endif		
		// gst_structure_set(structure, key, G_TYPE_STRING, PyString_AsString(py_value), NULL);
	    } else if (PyInt_Check(py_value))
		gst_structure_set(structure, key, G_TYPE_INT, PyInt_AsLong(py_value), NULL);
	    else if (PyFloat_Check(py_value))
		gst_structure_set(structure, key, G_TYPE_DOUBLE, PyFloat_AsDouble(py_value), NULL);
#if 0	    
	    g_value_init(&value, g_type_from_name("PyObject"));
	    if (pyg_value_from_pyobject(&value, py_value)) {
		PyErr_SetString(PyExc_TypeError, "can't convert value");
		return -1;
	    }
	    
	    gst_structure_set_value(structure, key, &value);
	    g_value_unset(&value);
#endif	    
	} else {
	    gst_structure_remove_field(structure, key);
	}
	
	return 0;
}

static PyMappingMethods _wrap_gst_structure_tp_as_mapping = {
	(inquiry)_wrap_gst_structure_length,         /* mp_length */
	(binaryfunc)_wrap_gst_structure_subscript,   /* mp_subscript */
	(objobjargproc)_wrap_gst_structure_ass_subscript /* mp_ass_subscript */
};

#line 1869 "gst.c"


PyTypeObject PyGstStructure_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Structure",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)_wrap_gst_structure_tp_repr,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)&_wrap_gst_structure_tp_as_mapping,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstStructure_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)_wrap_gst_structure_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstTagList ----------- */

static int
_wrap_gst_tag_list_new(PyGBoxed *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { NULL };

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, ":GstTagList.__init__", kwlist))
        return -1;
    self->gtype = GST_TYPE_TAG_LIST;
    self->free_on_dealloc = FALSE;
    self->boxed = gst_tag_list_new();

    if (!self->boxed) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstTagList object");
        return -1;
    }
    self->free_on_dealloc = TRUE;
    return 0;
}

static PyObject *
_wrap_gst_tag_list_insert(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "from_", "mode", NULL };
    GstTagList *from = NULL;
    PyObject *py_from, *py_mode = NULL;
    GstTagMergeMode mode;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO:GstTagList.insert", kwlist, &py_from, &py_mode))
        return NULL;
    if (pyg_boxed_check(py_from, GST_TYPE_TAG_LIST))
        from = pyg_boxed_get(py_from, GstTagList);
    else {
        PyErr_SetString(PyExc_TypeError, "from should be a GstTagList");
        return NULL;
    }
    if (pyg_enum_get_value(GST_TYPE_TAG_MERGE_MODE, py_mode, (gint *)&mode))
        return NULL;
    gst_tag_list_insert(pyg_boxed_get(self, GstTagList), from, mode);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_tag_list_merge(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "list2", "mode", NULL };
    GstTagList *list2 = NULL, *ret;
    PyObject *py_list2, *py_mode = NULL;
    GstTagMergeMode mode;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO:GstTagList.merge", kwlist, &py_list2, &py_mode))
        return NULL;
    if (pyg_boxed_check(py_list2, GST_TYPE_TAG_LIST))
        list2 = pyg_boxed_get(py_list2, GstTagList);
    else {
        PyErr_SetString(PyExc_TypeError, "list2 should be a GstTagList");
        return NULL;
    }
    if (pyg_enum_get_value(GST_TYPE_TAG_MERGE_MODE, py_mode, (gint *)&mode))
        return NULL;
    ret = gst_tag_list_merge(pyg_boxed_get(self, GstTagList), list2, mode);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_TAG_LIST, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_tag_list_remove_tag(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "tag", NULL };
    char *tag;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstTagList.remove_tag", kwlist, &tag))
        return NULL;
    gst_tag_list_remove_tag(pyg_boxed_get(self, GstTagList), tag);
    Py_INCREF(Py_None);
    return Py_None;
}

#line 1146 "gst.override"
static gboolean
pygst_tag_list_foreach_marshal(GstTagList *list,
			       const gchar *tag,
			       gpointer user_data)
{
	PyGstCustomNotify *cunote = user_data;
	PyObject *py_list;
	PyObject *py_key, *retobj;
	gboolean retval = TRUE;
	PyGILState_STATE state;
	
	g_assert(cunote->func);

	state = pyg_gil_state_ensure();

	py_list = pyg_boxed_new(GST_TYPE_TAG_LIST, list, TRUE, TRUE);
	py_key = Py_BuildValue("s", tag);
	if (cunote->data)
		retobj = PyEval_CallFunction(cunote->func, "(NNO)",
					     py_list,
					     py_key,
					     cunote->data);
	else
		retobj = PyEval_CallFunction(cunote->func, "(NN)",
					     py_list,
					     py_key);

	if (PyErr_Occurred () || (retobj == NULL) || (retobj == Py_None)) {
		PyErr_Print ();
		retval = FALSE;
	} else if (retobj != Py_None) {
		retval = PyInt_AsLong(retobj);
	}

	Py_XDECREF(retobj);

	pyg_gil_state_release(state);
	
	return retval;
}

static PyObject *
_wrap_gst_tag_list_foreach (PyGObject *self,
			    PyObject *args,
			    PyObject *kwargs)
{
	static char *kwlist[] = { "foreach_function", "args", NULL };
	PyObject *pyfunc, *pyarg = NULL;
	PyGstCustomNotify cunote;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "O|O:GstTagList.foreach",
					 kwlist, &pyfunc, &pyarg))
		return NULL;

	if (!PyCallable_Check(pyfunc)) {
		PyErr_SetString(PyExc_TypeError, "foreach_function not callable");
		return NULL;
	}

	cunote.func = pyfunc;
	cunote.data = pyarg;
	gst_tag_list_foreach(pyg_boxed_get(self, GstTagList),
			     (GstTagForeachFunc)pygst_tag_list_foreach_marshal,
			     &cunote);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 2069 "gst.c"


#line 673 "gst.override"
void
tag_foreach_func_dict (const GstTagList *list,
		       const gchar      *tag,
		       PyObject         *dict)
{
	int count;
	guint i;
	const GValue *gvalue;
	PyObject *value;
	gchar *key;
    
	count = gst_tag_list_get_tag_size(GST_TAG_LIST(list), tag);

	for (i = 0; i < count; i++) {
		gvalue = gst_tag_list_get_value_index(GST_TAG_LIST(list), tag, i);
		value = pyg_value_as_pyobject(gvalue, TRUE);
		key = g_strdup (tag);
		PyDict_SetItemString(dict, key, value);
		g_free (key);
		Py_DECREF(value);
	}
}
void
tag_foreach_func_list (const GstTagList *list,
		       const gchar      *tag,
		       PyObject         *py_list)
{
	int count;
    
	count = gst_tag_list_get_tag_size(GST_TAG_LIST(list), tag);
	if (count == 0)
		PyErr_SetString(PyExc_KeyError, tag);
	else if (count == 1)
		PyList_Append(py_list, PyString_FromString(tag));
#if 0	
	else if (count > 1)
		PyErr_SetString(PyExc_TypeError, "lists are currently unspported");
#endif
	
}

static PyObject*
_wrap_gst_tag_list_keys(PyGObject *self)
{
	PyObject *dict;

	dict = PyList_New(0);
    
	gst_tag_list_foreach(GST_TAG_LIST(self->obj),
			     (GstTagForeachFunc)tag_foreach_func_list,
			     (gpointer)dict);
	return dict;
}
#line 2126 "gst.c"


#line 945 "gst.override"
static PyObject*
_wrap_gst_tag_list_has_key(PyGObject *self, PyObject *args)
{
	gchar *key;
	const GValue *gvalue;
    
	if (!PyArg_ParseTuple(args, "s:GstTagList.has_key", &key))
		return NULL;

	gvalue = gst_tag_list_get_value_index(GST_TAG_LIST(self->obj), key, 0);

	return PyInt_FromLong(gvalue != NULL);
}    
#line 2143 "gst.c"


#line 779 "gst.override"
static PyObject *
_wrap_gst_tag_list_get(PyGObject *self, PyObject *args)
{
	char *key;
	PyObject *failobj = Py_None;
	PyObject *val = NULL;
	const GValue *gvalue;
	
	if (!PyArg_ParseTuple(args, "s|O:GstTagList.get", &key, &failobj))
		return NULL;

	gvalue = gst_tag_list_get_value_index(GST_TAG_LIST(self->obj), key, 0);
	if (gvalue != NULL) {
		int count = gst_tag_list_get_tag_size(GST_TAG_LIST(self->obj), key);
		if (count == 0) {
			PyErr_SetString(PyExc_KeyError, key);
		} else if (count == 1) {
			gvalue = gst_tag_list_get_value_index(GST_TAG_LIST(self->obj), key, 0);
			val = pyg_value_as_pyobject(gvalue, TRUE);
		} else {
			PyErr_SetString(PyExc_TypeError, "lists are currently unspported");
		}
	}

	if (val == NULL)
		val = failobj;
	Py_INCREF(val);
	return val;
}

static PyGstPadPrivate*
pad_private(GstPad *pad)
{
	return (PyGstPadPrivate*)gst_pad_get_element_private(pad);
}
	
static PyGstPadPrivate*
py_pad_private(PyGObject *pad)
{
	PyGstPadPrivate *private;
	GstPad *gpad;

	gpad = (GstPad*)pygobject_get(pad);
	private = (PyGstPadPrivate*)gst_pad_get_element_private(gpad);
	if (private == NULL) {
		/* FIXME need to free this somewhere */
		private = g_new0(PyGstPadPrivate, 1);
		Py_INCREF(pad);
		private->pad = pad;
		gst_pad_set_element_private(gpad, private);
	}
	return private;
}
#line 2200 "gst.c"


static PyMethodDef _PyGstTagList_methods[] = {
    { "insert", (PyCFunction)_wrap_gst_tag_list_insert, METH_VARARGS|METH_KEYWORDS },
    { "merge", (PyCFunction)_wrap_gst_tag_list_merge, METH_VARARGS|METH_KEYWORDS },
    { "remove_tag", (PyCFunction)_wrap_gst_tag_list_remove_tag, METH_VARARGS|METH_KEYWORDS },
    { "foreach", (PyCFunction)_wrap_gst_tag_list_foreach, METH_VARARGS|METH_KEYWORDS },
    { "keys", (PyCFunction)_wrap_gst_tag_list_keys, METH_NOARGS },
    { "has_key", (PyCFunction)_wrap_gst_tag_list_has_key, METH_VARARGS },
    { "get", (PyCFunction)_wrap_gst_tag_list_get, METH_VARARGS },
    { NULL, NULL, 0 }
};

#line 728 "gst.override"
static int
_wrap_gst_tag_list_length(PyGObject *self)
{
	return gst_structure_n_fields((GstStructure*)self->obj);
}

static PyObject *
_wrap_gst_tag_list_subscript(PyGObject *self, PyObject *py_key)
{
	PyObject *v = NULL;
	char *key = PyString_AsString(py_key);
	
	int count = gst_tag_list_get_tag_size(GST_TAG_LIST(self->obj), key);
	if (count == 0) {
		PyErr_SetObject(PyExc_KeyError, py_key);
	} else if (count == 1) {
		const GValue *gvalue;
		gvalue = gst_tag_list_get_value_index(GST_TAG_LIST(self->obj), key, 0);
		v = pyg_value_as_pyobject(gvalue, TRUE);
	} else {
		PyErr_SetString(PyExc_TypeError, "lists are currently unspported");
	}
		
	if (v != NULL)
		Py_INCREF(v);
	return v;
}

static PySequenceMethods _wrap_gst_tag_list_tp_as_mapping = {
	(inquiry)_wrap_gst_tag_list_length,         /* mp_length */
	(binaryfunc)_wrap_gst_tag_list_subscript,   /* mp_subscript */
	NULL,
};

#line 2249 "gst.c"


PyTypeObject PyGstTagList_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.TagList",			/* tp_name */
    sizeof(PyGBoxed),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)&_wrap_gst_tag_list_tp_as_mapping,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstTagList_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)_wrap_gst_tag_list_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstObject ----------- */

static PyObject *
_wrap_gst_object_set_name(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstObject.set_name", kwlist, &name))
        return NULL;
    gst_object_set_name(GST_OBJECT(self->obj), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_object_get_name(PyGObject *self)
{
    const gchar *ret;

    ret = gst_object_get_name(GST_OBJECT(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_object_set_parent(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "parent", NULL };
    PyGObject *parent;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstObject.set_parent", kwlist, &PyGstObject_Type, &parent))
        return NULL;
    gst_object_set_parent(GST_OBJECT(self->obj), GST_OBJECT(parent->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_object_get_parent(PyGObject *self)
{
    GstObject *ret;

    ret = gst_object_get_parent(GST_OBJECT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_object_unparent(PyGObject *self)
{
    gst_object_unparent(GST_OBJECT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_object_ref(PyGObject *self)
{
    GstObject *ret;

    ret = gst_object_ref(GST_OBJECT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_object_unref(PyGObject *self)
{
    gst_object_unref(GST_OBJECT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_object_sink(PyGObject *self)
{
    gst_object_sink(GST_OBJECT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_object_get_path_string(PyGObject *self)
{
    gchar *ret;

    ret = gst_object_get_path_string(GST_OBJECT(self->obj));
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstObject_methods[] = {
    { "set_name", (PyCFunction)_wrap_gst_object_set_name, METH_VARARGS|METH_KEYWORDS },
    { "get_name", (PyCFunction)_wrap_gst_object_get_name, METH_NOARGS },
    { "set_parent", (PyCFunction)_wrap_gst_object_set_parent, METH_VARARGS|METH_KEYWORDS },
    { "get_parent", (PyCFunction)_wrap_gst_object_get_parent, METH_NOARGS },
    { "unparent", (PyCFunction)_wrap_gst_object_unparent, METH_NOARGS },
    { "ref", (PyCFunction)_wrap_gst_object_ref, METH_NOARGS },
    { "unref", (PyCFunction)_wrap_gst_object_unref, METH_NOARGS },
    { "sink", (PyCFunction)_wrap_gst_object_sink, METH_NOARGS },
    { "get_path_string", (PyCFunction)_wrap_gst_object_get_path_string, METH_NOARGS },
    { NULL, NULL, 0 }
};

static PyObject *
_wrap_gst_object__get_flags(PyObject *self, void *closure)
{
    time_t ret;

    ret = GST_OBJECT(pygobject_get(self))->flags;
    return PyInt_FromLong(ret);
}

static PyGetSetDef gst_object_getsets[] = {
    { "flags", (getter)_wrap_gst_object__get_flags, (setter)0 },
    { NULL, (getter)0, (setter)0 },
};

PyTypeObject PyGstObject_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Object",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstObject_methods,			/* tp_methods */
    0,					/* tp_members */
    gst_object_getsets,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstIndex ----------- */

static int
_wrap_gst_index_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    GType obj_type = pyg_type_from_object((PyObject *) self);

    self->obj = g_object_newv(obj_type, 0, NULL);
    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create %(typename)s object");
        return -1;
    }

    pygobject_register_wrapper((PyObject *)self);
    return 0;
}


static PyObject *
_wrap_gst_index_commit(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "id", NULL };
    int id;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstIndex.commit", kwlist, &id))
        return NULL;
    gst_index_commit(GST_INDEX(self->obj), id);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_index_get_group(PyGObject *self)
{
    int ret;

    ret = gst_index_get_group(GST_INDEX(self->obj));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_index_new_group(PyGObject *self)
{
    int ret;

    ret = gst_index_new_group(GST_INDEX(self->obj));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_index_set_group(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "groupnum", NULL };
    int groupnum, ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstIndex.set_group", kwlist, &groupnum))
        return NULL;
    ret = gst_index_set_group(GST_INDEX(self->obj), groupnum);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_index_set_certainty(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "certainty", NULL };
    PyObject *py_certainty = NULL;
    GstIndexCertainty certainty;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstIndex.set_certainty", kwlist, &py_certainty))
        return NULL;
    if (pyg_enum_get_value(GST_TYPE_INDEX_CERTAINTY, py_certainty, (gint *)&certainty))
        return NULL;
    gst_index_set_certainty(GST_INDEX(self->obj), certainty);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_index_get_certainty(PyGObject *self)
{
    gint ret;

    ret = gst_index_get_certainty(GST_INDEX(self->obj));
    return pyg_enum_from_gtype(GST_TYPE_INDEX_CERTAINTY, ret);
}

static PyMethodDef _PyGstIndex_methods[] = {
    { "commit", (PyCFunction)_wrap_gst_index_commit, METH_VARARGS|METH_KEYWORDS },
    { "get_group", (PyCFunction)_wrap_gst_index_get_group, METH_NOARGS },
    { "new_group", (PyCFunction)_wrap_gst_index_new_group, METH_NOARGS },
    { "set_group", (PyCFunction)_wrap_gst_index_set_group, METH_VARARGS|METH_KEYWORDS },
    { "set_certainty", (PyCFunction)_wrap_gst_index_set_certainty, METH_VARARGS|METH_KEYWORDS },
    { "get_certainty", (PyCFunction)_wrap_gst_index_get_certainty, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstIndex_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Index",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstIndex_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_index_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstElement ----------- */

static PyObject *
_wrap_gst_element_enable_threadsafe_properties(PyGObject *self)
{
    gst_element_enable_threadsafe_properties(GST_ELEMENT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_disable_threadsafe_properties(PyGObject *self)
{
    gst_element_disable_threadsafe_properties(GST_ELEMENT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_set_pending_properties(PyGObject *self)
{
    gst_element_set_pending_properties(GST_ELEMENT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_requires_clock(PyGObject *self)
{
    int ret;

    ret = gst_element_requires_clock(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_provides_clock(PyGObject *self)
{
    int ret;

    ret = gst_element_provides_clock(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_get_clock(PyGObject *self)
{
    GstClock *ret;

    ret = gst_element_get_clock(GST_ELEMENT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_set_clock(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "clock", NULL };
    PyGObject *clock;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.set_clock", kwlist, &PyGstClock_Type, &clock))
        return NULL;
    gst_element_set_clock(GST_ELEMENT(self->obj), GST_CLOCK(clock->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_get_time(PyGObject *self)
{
    guint64 ret;

    ret = gst_element_get_time(GST_ELEMENT(self->obj));
    return PyLong_FromUnsignedLongLong(ret);
}

static PyObject *
_wrap_gst_element_wait(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "timestamp", NULL };
    PyObject *py_timestamp = NULL;
    int ret;
    guint64 timestamp;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.wait", kwlist, &PyLong_Type, &py_timestamp))
        return NULL;
    timestamp = PyLong_AsUnsignedLongLong(py_timestamp);
    ret = gst_element_wait(GST_ELEMENT(self->obj), timestamp);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_set_time(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "time", NULL };
    PyObject *py_time = NULL;
    guint64 time;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.set_time", kwlist, &PyLong_Type, &py_time))
        return NULL;
    time = PyLong_AsUnsignedLongLong(py_time);
    gst_element_set_time(GST_ELEMENT(self->obj), time);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_adjust_time(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "diff", NULL };
    gint64 diff;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "L:GstElement.adjust_time", kwlist, &diff))
        return NULL;
    gst_element_adjust_time(GST_ELEMENT(self->obj), diff);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_is_indexable(PyGObject *self)
{
    int ret;

    ret = gst_element_is_indexable(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_set_index(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "index", NULL };
    PyGObject *index;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.set_index", kwlist, &PyGstIndex_Type, &index))
        return NULL;
    gst_element_set_index(GST_ELEMENT(self->obj), GST_INDEX(index->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_get_index(PyGObject *self)
{
    GstIndex *ret;

    ret = gst_element_get_index(GST_ELEMENT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_release_locks(PyGObject *self)
{
    int ret;

    ret = gst_element_release_locks(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_yield(PyGObject *self)
{
    gst_element_yield(GST_ELEMENT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_interrupt(PyGObject *self)
{
    int ret;

    ret = gst_element_interrupt(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_set_scheduler(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sched", NULL };
    PyGObject *sched;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.set_scheduler", kwlist, &PyGstScheduler_Type, &sched))
        return NULL;
    gst_element_set_scheduler(GST_ELEMENT(self->obj), GST_SCHEDULER(sched->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_get_scheduler(PyGObject *self)
{
    GstScheduler *ret;

    ret = gst_element_get_scheduler(GST_ELEMENT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_add_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", NULL };
    PyGObject *pad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.add_pad", kwlist, &PyGstPad_Type, &pad))
        return NULL;
    gst_element_add_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_remove_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", NULL };
    PyGObject *pad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.remove_pad", kwlist, &PyGstPad_Type, &pad))
        return NULL;
    gst_element_remove_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_add_ghost_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", "name", NULL };
    PyGObject *pad;
    char *name;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!s:GstElement.add_ghost_pad", kwlist, &PyGstPad_Type, &pad, &name))
        return NULL;
    ret = gst_element_add_ghost_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_remove_ghost_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", NULL };
    PyGObject *pad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.remove_ghost_pad", kwlist, &PyGstPad_Type, &pad))
        return NULL;
    gst_element_remove_ghost_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_get_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstElement.get_pad", kwlist, &name))
        return NULL;
    ret = gst_element_get_pad(GST_ELEMENT(self->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_get_static_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstElement.get_static_pad", kwlist, &name))
        return NULL;
    ret = gst_element_get_static_pad(GST_ELEMENT(self->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_get_request_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstElement.get_request_pad", kwlist, &name))
        return NULL;
    ret = gst_element_get_request_pad(GST_ELEMENT(self->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_release_request_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", NULL };
    PyGObject *pad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.release_request_pad", kwlist, &PyGstPad_Type, &pad))
        return NULL;
    gst_element_release_request_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

#line 119 "gst.override"
static PyObject *
_wrap_gst_element_get_pad_list(PyGObject *self)
{
	GList *l, *pads;
	PyObject *list;
	
	pads = GST_ELEMENT_PADS(GST_ELEMENT(self->obj));

	list = PyList_New(0);
	for (l = pads; l; l = l->next) {
		GstPad *pad = (GstPad*)l->data;
		PyList_Append(list, pygobject_new(G_OBJECT(pad)));
	}
		
	return list;
}
#line 2948 "gst.c"


static PyObject *
_wrap_gst_element_get_compatible_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", NULL };
    PyGObject *pad;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.get_compatible_pad", kwlist, &PyGstPad_Type, &pad))
        return NULL;
    ret = gst_element_get_compatible_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_get_compatible_pad_filtered(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", "filtercaps", NULL };
    PyGObject *pad;
    PyObject *py_filtercaps;
    GstCaps *filtercaps = NULL;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O:GstElement.get_compatible_pad_filtered", kwlist, &PyGstPad_Type, &pad, &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_element_get_compatible_pad_filtered(GST_ELEMENT(self->obj), GST_PAD(pad->obj), filtercaps);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_get_pad_template(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstPadTemplate *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstElement.get_pad_template", kwlist, &name))
        return NULL;
    ret = gst_element_get_pad_template(GST_ELEMENT(self->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

#line 137 "gst.override"
static PyObject *
_wrap_gst_element_get_pad_template_list(PyGObject *self)
{
	GList *l, *pads;
	PyObject *list;
	
	pads = (GList*)gst_element_get_pad_template_list(GST_ELEMENT(self->obj));

	list = PyList_New(0);
	for (l = pads; l; l = l->next) {
		GstPad *pad = (GstPad*)l->data;
		PyList_Append(list, pygobject_new(G_OBJECT(pad)));
	}
		
	return list;
}
#line 3018 "gst.c"


static PyObject *
_wrap_gst_element_get_compatible_pad_template(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "compattempl", NULL };
    PyGObject *compattempl;
    GstPadTemplate *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.get_compatible_pad_template", kwlist, &PyGstPadTemplate_Type, &compattempl))
        return NULL;
    ret = gst_element_get_compatible_pad_template(GST_ELEMENT(self->obj), GST_PAD_TEMPLATE(compattempl->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

#line 338 "gst.override"
static PyObject *
_wrap_gst_element_link(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "dest", NULL };
    PyGObject *dest;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.link",
                                     kwlist, &PyGstElement_Type, &dest))
        return NULL;
    ret = gst_element_link(GST_ELEMENT(self->obj), GST_ELEMENT(dest->obj));
    if (!ret) {
        PyErr_SetString(PyGstExc_LinkError, "link failed");
        return NULL;
    }
    return PyBool_FromLong(ret);
}

#line 3054 "gst.c"


#line 358 "gst.override"
static PyObject *
_wrap_gst_element_link_filtered(PyGObject *self, PyObject *args,
                                PyObject *kwargs)
{
    static char *kwlist[] = { "dest", "filtercaps", NULL };
    PyGObject *dest;
    PyObject *py_filtercaps;
    int ret;
    GstCaps *filtercaps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,
                                     "O!O:GstElement.link_filtered",
                                     kwlist, &PyGstElement_Type,
                                     &dest, &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_element_link_filtered(GST_ELEMENT(self->obj),
                                    GST_ELEMENT(dest->obj),
                                    filtercaps);
    if (!ret) {
        PyErr_SetString(PyGstExc_LinkError, "link failed");
        return NULL;
    }
    return PyBool_FromLong(ret);

}

#line 3090 "gst.c"


static PyObject *
_wrap_gst_element_unlink(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "dest", NULL };
    PyGObject *dest;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstElement.unlink", kwlist, &PyGstElement_Type, &dest))
        return NULL;
    gst_element_unlink(GST_ELEMENT(self->obj), GST_ELEMENT(dest->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

#line 392 "gst.override"
static PyObject *
_wrap_gst_element_link_pads(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "srcpadname", "dest", "destpadname", NULL };
    char *srcpadname, *destpadname;
    PyGObject *dest;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,
                                     "sO!s:GstElement.link_pads", kwlist,
                                     &srcpadname, &PyGstElement_Type, &dest,
                                     &destpadname))
        return NULL;
    ret = gst_element_link_pads(GST_ELEMENT(self->obj), srcpadname,
                                GST_ELEMENT(dest->obj), destpadname);
    if (!ret) {
        PyErr_SetString(PyGstExc_LinkError, "link failed");
        return NULL;
    }
    return PyBool_FromLong(ret);

}

#line 3130 "gst.c"


#line 417 "gst.override"
static PyObject *
_wrap_gst_element_link_pads_filtered(PyGObject *self, PyObject *args,
                                     PyObject *kwargs)
{
    static char *kwlist[] = { "srcpadname", "dest", "destpadname",
                              "filtercaps", NULL };
    char *srcpadname, *destpadname;
    PyGObject *dest;
    int ret;
    PyObject *py_filtercaps;
    GstCaps *filtercaps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,
                                     "sO!sO:GstElement.link_pads_filtered",
                                     kwlist, &srcpadname, &PyGstElement_Type,
                                     &dest, &destpadname, &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_element_link_pads_filtered(GST_ELEMENT(self->obj), srcpadname,
                                         GST_ELEMENT(dest->obj), destpadname,
                                         filtercaps);
    if (!ret) {
        PyErr_SetString(PyGstExc_LinkError, "link failed");
        return NULL;
    }
    return PyBool_FromLong(ret);
}

#line 3167 "gst.c"


static PyObject *
_wrap_gst_element_unlink_pads(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "srcpadname", "dest", "destpadname", NULL };
    char *srcpadname, *destpadname;
    PyGObject *dest;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO!s:GstElement.unlink_pads", kwlist, &srcpadname, &PyGstElement_Type, &dest, &destpadname))
        return NULL;
    gst_element_unlink_pads(GST_ELEMENT(self->obj), srcpadname, GST_ELEMENT(dest->obj), destpadname);
    Py_INCREF(Py_None);
    return Py_None;
}

#line 1557 "gst.override"
static PyObject *
_wrap_gst_element_send_event(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "event", NULL };
    PyObject *py_event;
    int ret;
    GstEvent *event = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstElement.send_event", kwlist, &py_event))
        return NULL;
    if (pyg_boxed_check(py_event, GST_TYPE_EVENT))
        event = pyg_boxed_get(py_event, GstEvent);
    else {
        PyErr_SetString(PyExc_TypeError, "event should be a GstEvent");
        return NULL;
    }

    /* The pipeline unrefs the event, but we want to keep the ownership */
    gst_event_ref(event);
    
    ret = gst_element_send_event(GST_ELEMENT(self->obj), event);
    return PyBool_FromLong(ret);

}
#line 3209 "gst.c"


static PyObject *
_wrap_gst_element_seek(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "seek_type", "offset", NULL };
    PyObject *py_seek_type = NULL, *py_offset = NULL;
    int ret;
    GstSeekType seek_type;
    guint64 offset;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO!:GstElement.seek", kwlist, &py_seek_type, &PyLong_Type, &py_offset))
        return NULL;
    if (pyg_flags_get_value(GST_TYPE_SEEK_TYPE, py_seek_type, (gint *)&seek_type))
        return NULL;
    offset = PyLong_AsUnsignedLongLong(py_offset);
    ret = gst_element_seek(GST_ELEMENT(self->obj), seek_type, offset);
    return PyBool_FromLong(ret);

}

#line 219 "gst.override"
static PyObject *
_wrap_gst_element_query(PyGObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "type", "format", NULL };
	GstQueryType type;
	GstFormat format;
	gint64 value = 0;
	gboolean ret;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "ii:GstElement.query", kwlist,
					 &type, &format))
		return NULL;
	
	ret = gst_element_query(GST_ELEMENT(self->obj), type, &format, &value);
	return PyLong_FromLongLong(value);
}
#line 3249 "gst.c"


#line 262 "gst.override"
static PyObject *
_wrap_gst_element_convert(PyGObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "src_format", "src_value", "dest_format", NULL };
	GstFormat src_format, dest_format;
	PyObject *src_value_obj;
	gint64 src_value, dest_value;
	gboolean ret;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs, "iOi:GstElement.convert", kwlist, &src_format, &src_value_obj, &dest_format))
		return NULL;
	src_value = PyLong_AsLongLong(src_value_obj);
	dest_value = 0;
	ret = gst_element_convert(GST_ELEMENT(self->obj), src_format, src_value, &dest_format, &dest_value);
	if (!ret) {
		PyErr_SetString(PyExc_RuntimeError, "conversion could not be performed");
		return NULL;
	}
	
	return PyInt_FromLong(dest_value);
}
#line 3274 "gst.c"


static PyObject *
_wrap_gst_element_found_tags(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "tag_list", NULL };
    GstTagList *tag_list = NULL;
    PyObject *py_tag_list;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstElement.found_tags", kwlist, &py_tag_list))
        return NULL;
    if (pyg_boxed_check(py_tag_list, GST_TYPE_TAG_LIST))
        tag_list = pyg_boxed_get(py_tag_list, GstTagList);
    else {
        PyErr_SetString(PyExc_TypeError, "tag_list should be a GstTagList");
        return NULL;
    }
    gst_element_found_tags(GST_ELEMENT(self->obj), tag_list);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_found_tags_for_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pad", "timestamp", "list", NULL };
    PyGObject *pad;
    PyObject *py_timestamp = NULL, *py_list;
    GstTagList *list = NULL;
    guint64 timestamp;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O!O:GstElement.found_tags_for_pad", kwlist, &PyGstPad_Type, &pad, &PyLong_Type, &py_timestamp, &py_list))
        return NULL;
    timestamp = PyLong_AsUnsignedLongLong(py_timestamp);
    if (pyg_boxed_check(py_list, GST_TYPE_TAG_LIST))
        list = pyg_boxed_get(py_list, GstTagList);
    else {
        PyErr_SetString(PyExc_TypeError, "list should be a GstTagList");
        return NULL;
    }
    gst_element_found_tags_for_pad(GST_ELEMENT(self->obj), GST_PAD(pad->obj), timestamp, list);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_set_eos(PyGObject *self)
{
    gst_element_set_eos(GST_ELEMENT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_is_locked_state(PyGObject *self)
{
    int ret;

    ret = gst_element_is_locked_state(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_set_locked_state(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "locked_state", NULL };
    int locked_state;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstElement.set_locked_state", kwlist, &locked_state))
        return NULL;
    gst_element_set_locked_state(GST_ELEMENT(self->obj), locked_state);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_sync_state_with_parent(PyGObject *self)
{
    int ret;

    ret = gst_element_sync_state_with_parent(GST_ELEMENT(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_get_state(PyGObject *self)
{
    guint ret;

    ret = gst_element_get_state(GST_ELEMENT(self->obj));
    return pyg_flags_from_gtype(GST_TYPE_ELEMENT_STATE, ret);
}

#line 155 "gst.override"
static PyObject *
_wrap_gst_element_set_state(PyGObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "state", NULL };
	PyObject *py_state = NULL;
	GstElementState state;
	gint ret;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstElement.set_state", kwlist, &py_state))
		return NULL;
	if (pyg_flags_get_value(GST_TYPE_ELEMENT_STATE, py_state, (gint *)&state))
		return NULL;

	pyg_begin_allow_threads;
    
	ret = gst_element_set_state(GST_ELEMENT(self->obj), state);
    
	pyg_end_allow_threads;

	return PyInt_FromLong(ret);
}
#line 3392 "gst.c"


static PyObject *
_wrap_gst_element_wait_state_change(PyGObject *self)
{
    gst_element_wait_state_change(GST_ELEMENT(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_get_factory(PyGObject *self)
{
    GstElementFactory *ret;

    ret = gst_element_get_factory(GST_ELEMENT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_get_managing_bin(PyGObject *self)
{
    GstBin *ret;

    ret = gst_element_get_managing_bin(GST_ELEMENT(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_implements_interface(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "iface_type", NULL };
    PyObject *py_iface_type = NULL;
    int ret;
    GType iface_type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstElement.implements_interface", kwlist, &py_iface_type))
        return NULL;
    if ((iface_type = pyg_type_from_object(py_iface_type)) == 0)
        return NULL;
    ret = gst_element_implements_interface(GST_ELEMENT(self->obj), iface_type);
    return PyBool_FromLong(ret);

}

static PyMethodDef _PyGstElement_methods[] = {
    { "enable_threadsafe_properties", (PyCFunction)_wrap_gst_element_enable_threadsafe_properties, METH_NOARGS },
    { "disable_threadsafe_properties", (PyCFunction)_wrap_gst_element_disable_threadsafe_properties, METH_NOARGS },
    { "set_pending_properties", (PyCFunction)_wrap_gst_element_set_pending_properties, METH_NOARGS },
    { "requires_clock", (PyCFunction)_wrap_gst_element_requires_clock, METH_NOARGS },
    { "provides_clock", (PyCFunction)_wrap_gst_element_provides_clock, METH_NOARGS },
    { "get_clock", (PyCFunction)_wrap_gst_element_get_clock, METH_NOARGS },
    { "set_clock", (PyCFunction)_wrap_gst_element_set_clock, METH_VARARGS|METH_KEYWORDS },
    { "get_time", (PyCFunction)_wrap_gst_element_get_time, METH_NOARGS },
    { "wait", (PyCFunction)_wrap_gst_element_wait, METH_VARARGS|METH_KEYWORDS },
    { "set_time", (PyCFunction)_wrap_gst_element_set_time, METH_VARARGS|METH_KEYWORDS },
    { "adjust_time", (PyCFunction)_wrap_gst_element_adjust_time, METH_VARARGS|METH_KEYWORDS },
    { "is_indexable", (PyCFunction)_wrap_gst_element_is_indexable, METH_NOARGS },
    { "set_index", (PyCFunction)_wrap_gst_element_set_index, METH_VARARGS|METH_KEYWORDS },
    { "get_index", (PyCFunction)_wrap_gst_element_get_index, METH_NOARGS },
    { "release_locks", (PyCFunction)_wrap_gst_element_release_locks, METH_NOARGS },
    { "yield_", (PyCFunction)_wrap_gst_element_yield, METH_NOARGS },
    { "interrupt", (PyCFunction)_wrap_gst_element_interrupt, METH_NOARGS },
    { "set_scheduler", (PyCFunction)_wrap_gst_element_set_scheduler, METH_VARARGS|METH_KEYWORDS },
    { "get_scheduler", (PyCFunction)_wrap_gst_element_get_scheduler, METH_NOARGS },
    { "add_pad", (PyCFunction)_wrap_gst_element_add_pad, METH_VARARGS|METH_KEYWORDS },
    { "remove_pad", (PyCFunction)_wrap_gst_element_remove_pad, METH_VARARGS|METH_KEYWORDS },
    { "add_ghost_pad", (PyCFunction)_wrap_gst_element_add_ghost_pad, METH_VARARGS|METH_KEYWORDS },
    { "remove_ghost_pad", (PyCFunction)_wrap_gst_element_remove_ghost_pad, METH_VARARGS|METH_KEYWORDS },
    { "get_pad", (PyCFunction)_wrap_gst_element_get_pad, METH_VARARGS|METH_KEYWORDS },
    { "get_static_pad", (PyCFunction)_wrap_gst_element_get_static_pad, METH_VARARGS|METH_KEYWORDS },
    { "get_request_pad", (PyCFunction)_wrap_gst_element_get_request_pad, METH_VARARGS|METH_KEYWORDS },
    { "release_request_pad", (PyCFunction)_wrap_gst_element_release_request_pad, METH_VARARGS|METH_KEYWORDS },
    { "get_pad_list", (PyCFunction)_wrap_gst_element_get_pad_list, METH_NOARGS },
    { "get_compatible_pad", (PyCFunction)_wrap_gst_element_get_compatible_pad, METH_VARARGS|METH_KEYWORDS },
    { "get_compatible_pad_filtered", (PyCFunction)_wrap_gst_element_get_compatible_pad_filtered, METH_VARARGS|METH_KEYWORDS },
    { "get_pad_template", (PyCFunction)_wrap_gst_element_get_pad_template, METH_VARARGS|METH_KEYWORDS },
    { "get_pad_template_list", (PyCFunction)_wrap_gst_element_get_pad_template_list, METH_NOARGS },
    { "get_compatible_pad_template", (PyCFunction)_wrap_gst_element_get_compatible_pad_template, METH_VARARGS|METH_KEYWORDS },
    { "link", (PyCFunction)_wrap_gst_element_link, METH_VARARGS|METH_KEYWORDS },
    { "link_filtered", (PyCFunction)_wrap_gst_element_link_filtered, METH_VARARGS|METH_KEYWORDS },
    { "unlink", (PyCFunction)_wrap_gst_element_unlink, METH_VARARGS|METH_KEYWORDS },
    { "link_pads", (PyCFunction)_wrap_gst_element_link_pads, METH_VARARGS|METH_KEYWORDS },
    { "link_pads_filtered", (PyCFunction)_wrap_gst_element_link_pads_filtered, METH_VARARGS|METH_KEYWORDS },
    { "unlink_pads", (PyCFunction)_wrap_gst_element_unlink_pads, METH_VARARGS|METH_KEYWORDS },
    { "send_event", (PyCFunction)_wrap_gst_element_send_event, METH_VARARGS|METH_KEYWORDS },
    { "seek", (PyCFunction)_wrap_gst_element_seek, METH_VARARGS|METH_KEYWORDS },
    { "query", (PyCFunction)_wrap_gst_element_query, METH_VARARGS|METH_KEYWORDS },
    { "convert", (PyCFunction)_wrap_gst_element_convert, METH_VARARGS|METH_KEYWORDS },
    { "found_tags", (PyCFunction)_wrap_gst_element_found_tags, METH_VARARGS|METH_KEYWORDS },
    { "found_tags_for_pad", (PyCFunction)_wrap_gst_element_found_tags_for_pad, METH_VARARGS|METH_KEYWORDS },
    { "set_eos", (PyCFunction)_wrap_gst_element_set_eos, METH_NOARGS },
    { "is_locked_state", (PyCFunction)_wrap_gst_element_is_locked_state, METH_NOARGS },
    { "set_locked_state", (PyCFunction)_wrap_gst_element_set_locked_state, METH_VARARGS|METH_KEYWORDS },
    { "sync_state_with_parent", (PyCFunction)_wrap_gst_element_sync_state_with_parent, METH_NOARGS },
    { "get_state", (PyCFunction)_wrap_gst_element_get_state, METH_NOARGS },
    { "set_state", (PyCFunction)_wrap_gst_element_set_state, METH_VARARGS|METH_KEYWORDS },
    { "wait_state_change", (PyCFunction)_wrap_gst_element_wait_state_change, METH_NOARGS },
    { "get_factory", (PyCFunction)_wrap_gst_element_get_factory, METH_NOARGS },
    { "get_managing_bin", (PyCFunction)_wrap_gst_element_get_managing_bin, METH_NOARGS },
    { "implements_interface", (PyCFunction)_wrap_gst_element_implements_interface, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstElement_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Element",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstElement_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstBin ----------- */

static int
_wrap_gst_bin_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "|z:GstBin.__init__", kwlist, &name))
        return -1;
    self->obj = (GObject *)gst_bin_new(name);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstBin object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

static PyObject *
_wrap_gst_bin_add(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstBin.add", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_bin_add(GST_BIN(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

#line 28 "gstbin.override"
static PyObject *
_wrap_gst_bin_add_many(PyGObject *self, PyObject *args)
{
	PyGObject *element;
	int i, len;

	len = PyTuple_Size(args);
	if (len == 0) {
		PyErr_SetString(PyExc_TypeError, "GstBin.add_many requires at least one argument");
		return NULL;
	}
       
    
	for (i = 0; i < len; i++) {
		element = (PyGObject*)PyTuple_GetItem(args, i);
		if (!pygobject_check(element, &PyGstElement_Type))
		{
			PyErr_SetString(PyExc_TypeError, "argument must be a GstElement");
			return NULL;
		}
	}
	
	for (i = 0; i < len; i++) {
		element = (PyGObject*)PyTuple_GetItem(args, i);
		gst_bin_add(GST_BIN(self->obj), GST_ELEMENT(element->obj));
	}

	Py_INCREF(Py_None);
	return Py_None;
}
#line 3610 "gst.c"


static PyObject *
_wrap_gst_bin_remove(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstBin.remove", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_bin_remove(GST_BIN(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

#line 60 "gstbin.override"
static PyObject *
_wrap_gst_bin_remove_many(PyGObject *self, PyObject *args)
{
	PyGObject *element;
	int i, len;

	len = PyTuple_Size(args);
	if (len == 0) {
		PyErr_SetString(PyExc_TypeError, "GstBin.remove_many requires at least one argument");
		return NULL;
	}
       
    
	for (i = 0; i < len; i++) {
		element = (PyGObject*)PyTuple_GetItem(args, i);
		if (!pygobject_check(element, &PyGstElement_Type))
		{
			PyErr_SetString(PyExc_TypeError, "argument must be a GstElement");
			return NULL;
		}
	}
	
	for (i = 0; i < len; i++) {
		element = (PyGObject*)PyTuple_GetItem(args, i);
		gst_bin_remove(GST_BIN(self->obj), GST_ELEMENT(element->obj));
	}

	Py_INCREF(Py_None);
	return Py_None;
}
#line 3657 "gst.c"


#line 136 "gstbin.override"
static PyObject *
_wrap_gst_bin_get_by_name(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "recurse", NULL };
    char *name;
    gboolean recurse = FALSE;
    GstElement *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s|b:GstBin.get_by_name",
				     kwlist, &name, &recurse))
        return NULL;
    
    if (recurse)
	    ret = gst_bin_get_by_name_recurse_up(GST_BIN(self->obj), name);
    else
	    ret = gst_bin_get_by_name(GST_BIN(self->obj), name);
    
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}
#line 3681 "gst.c"


#line 116 "gstbin.override"
static PyObject *
_wrap_gst_bin_get_list(PyGObject *self)
{
	GList *elements, *l;
	PyObject *tuple;
	int i;
	
	elements = (GList*)gst_bin_get_list(GST_BIN(self->obj));
	tuple = PyTuple_New(g_list_length(elements));
	for (i = 0, l = elements; l; l = l->next, i++) {
		GstElement *element = (GstElement*)l->data;
		if (!element)
			continue;
		PyTuple_SetItem(tuple, i, pygobject_new(G_OBJECT(element)));
	}
		
	return tuple;
}
#line 3703 "gst.c"


static PyObject *
_wrap_gst_bin_get_by_interface(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "interface", NULL };
    PyObject *py_interface = NULL;
    GType interface;
    GstElement *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstBin.get_by_interface", kwlist, &py_interface))
        return NULL;
    if ((interface = pyg_type_from_object(py_interface)) == 0)
        return NULL;
    ret = gst_bin_get_by_interface(GST_BIN(self->obj), interface);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

#line 92 "gstbin.override"
static PyObject *
_wrap_gst_bin_iterate(PyGObject *self)
{
	int ret;

/* XXX: Find out which one is the most correct */
#if 1	
        pyg_begin_allow_threads;

	ret = gst_bin_iterate(GST_BIN(self->obj));
	
        pyg_end_allow_threads;

#else
	PyGILState_STATE state;
	
        state = pyg_gil_state_ensure();
	ret = gst_bin_iterate(GST_BIN(self->obj));
	pyg_gil_state_release(state);
#endif	
	return PyInt_FromLong(ret);
}
#line 3746 "gst.c"


static PyObject *
_wrap_gst_bin_use_clock(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "clock", NULL };
    PyGObject *clock;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstBin.use_clock", kwlist, &PyGstClock_Type, &clock))
        return NULL;
    gst_bin_use_clock(GST_BIN(self->obj), GST_CLOCK(clock->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_bin_get_clock(PyGObject *self)
{
    GstClock *ret;

    ret = gst_bin_get_clock(GST_BIN(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_bin_auto_clock(PyGObject *self)
{
    gst_bin_auto_clock(GST_BIN(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_bin_sync_children_state(PyGObject *self)
{
    gint ret;

    ret = gst_bin_sync_children_state(GST_BIN(self->obj));
    return pyg_enum_from_gtype(GST_TYPE_ELEMENT_STATE_RETURN, ret);
}

static PyMethodDef _PyGstBin_methods[] = {
    { "add", (PyCFunction)_wrap_gst_bin_add, METH_VARARGS|METH_KEYWORDS },
    { "add_many", (PyCFunction)_wrap_gst_bin_add_many, METH_VARARGS },
    { "remove", (PyCFunction)_wrap_gst_bin_remove, METH_VARARGS|METH_KEYWORDS },
    { "remove_many", (PyCFunction)_wrap_gst_bin_remove_many, METH_VARARGS },
    { "get_by_name", (PyCFunction)_wrap_gst_bin_get_by_name, METH_VARARGS|METH_KEYWORDS },
    { "get_list", (PyCFunction)_wrap_gst_bin_get_list, METH_NOARGS },
    { "get_by_interface", (PyCFunction)_wrap_gst_bin_get_by_interface, METH_VARARGS|METH_KEYWORDS },
    { "iterate", (PyCFunction)_wrap_gst_bin_iterate, METH_NOARGS },
    { "use_clock", (PyCFunction)_wrap_gst_bin_use_clock, METH_VARARGS|METH_KEYWORDS },
    { "get_clock", (PyCFunction)_wrap_gst_bin_get_clock, METH_NOARGS },
    { "auto_clock", (PyCFunction)_wrap_gst_bin_auto_clock, METH_NOARGS },
    { "sync_children_state", (PyCFunction)_wrap_gst_bin_sync_children_state, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstBin_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Bin",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstBin_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_bin_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstClock ----------- */

static PyObject *
_wrap_gst_clock_set_speed(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "speed", NULL };
    double speed, ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "d:GstClock.set_speed", kwlist, &speed))
        return NULL;
    ret = gst_clock_set_speed(GST_CLOCK(self->obj), speed);
    return PyFloat_FromDouble(ret);
}

static PyObject *
_wrap_gst_clock_get_speed(PyGObject *self)
{
    double ret;

    ret = gst_clock_get_speed(GST_CLOCK(self->obj));
    return PyFloat_FromDouble(ret);
}

static PyObject *
_wrap_gst_clock_set_resolution(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "resolution", NULL };
    PyObject *py_resolution = NULL;
    guint64 resolution, ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstClock.set_resolution", kwlist, &PyLong_Type, &py_resolution))
        return NULL;
    resolution = PyLong_AsUnsignedLongLong(py_resolution);
    ret = gst_clock_set_resolution(GST_CLOCK(self->obj), resolution);
    return PyLong_FromUnsignedLongLong(ret);
}

static PyObject *
_wrap_gst_clock_get_resolution(PyGObject *self)
{
    guint64 ret;

    ret = gst_clock_get_resolution(GST_CLOCK(self->obj));
    return PyLong_FromUnsignedLongLong(ret);
}

static PyObject *
_wrap_gst_clock_set_active(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "active", NULL };
    int active;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstClock.set_active", kwlist, &active))
        return NULL;
    gst_clock_set_active(GST_CLOCK(self->obj), active);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_clock_is_active(PyGObject *self)
{
    int ret;

    ret = gst_clock_is_active(GST_CLOCK(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_clock_reset(PyGObject *self)
{
    gst_clock_reset(GST_CLOCK(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_clock_handle_discont(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "time", NULL };
    PyObject *py_time = NULL;
    int ret;
    guint64 time;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstClock.handle_discont", kwlist, &PyLong_Type, &py_time))
        return NULL;
    time = PyLong_AsUnsignedLongLong(py_time);
    ret = gst_clock_handle_discont(GST_CLOCK(self->obj), time);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_clock_get_time(PyGObject *self)
{
    guint64 ret;

    ret = gst_clock_get_time(GST_CLOCK(self->obj));
    return PyLong_FromUnsignedLongLong(ret);
}

static PyObject *
_wrap_gst_clock_get_event_time(PyGObject *self)
{
    guint64 ret;

    ret = gst_clock_get_event_time(GST_CLOCK(self->obj));
    return PyLong_FromUnsignedLongLong(ret);
}

static PyObject *
_wrap_gst_clock_get_next_id(PyGObject *self)
{
    gpointer ret;

    ret = gst_clock_get_next_id(GST_CLOCK(self->obj));
    /* pyg_pointer_new handles NULL checking */
    return pyg_pointer_new(G_TYPE_POINTER, &ret);
}

static PyObject *
_wrap_gst_clock_new_single_shot_id(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "time", NULL };
    PyObject *py_time = NULL;
    gpointer ret;
    guint64 time;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstClock.new_single_shot_id", kwlist, &PyLong_Type, &py_time))
        return NULL;
    time = PyLong_AsUnsignedLongLong(py_time);
    ret = gst_clock_new_single_shot_id(GST_CLOCK(self->obj), time);
    /* pyg_pointer_new handles NULL checking */
    return pyg_pointer_new(G_TYPE_POINTER, &ret);
}

static PyObject *
_wrap_gst_clock_new_periodic_id(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "start_time", "interval", NULL };
    PyObject *py_start_time = NULL, *py_interval = NULL;
    gpointer ret;
    guint64 start_time, interval;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O!:GstClock.new_periodic_id", kwlist, &PyLong_Type, &py_start_time, &PyLong_Type, &py_interval))
        return NULL;
    start_time = PyLong_AsUnsignedLongLong(py_start_time);
    interval = PyLong_AsUnsignedLongLong(py_interval);
    ret = gst_clock_new_periodic_id(GST_CLOCK(self->obj), start_time, interval);
    /* pyg_pointer_new handles NULL checking */
    return pyg_pointer_new(G_TYPE_POINTER, &ret);
}

static PyMethodDef _PyGstClock_methods[] = {
    { "set_speed", (PyCFunction)_wrap_gst_clock_set_speed, METH_VARARGS|METH_KEYWORDS },
    { "get_speed", (PyCFunction)_wrap_gst_clock_get_speed, METH_NOARGS },
    { "set_resolution", (PyCFunction)_wrap_gst_clock_set_resolution, METH_VARARGS|METH_KEYWORDS },
    { "get_resolution", (PyCFunction)_wrap_gst_clock_get_resolution, METH_NOARGS },
    { "set_active", (PyCFunction)_wrap_gst_clock_set_active, METH_VARARGS|METH_KEYWORDS },
    { "is_active", (PyCFunction)_wrap_gst_clock_is_active, METH_NOARGS },
    { "reset", (PyCFunction)_wrap_gst_clock_reset, METH_NOARGS },
    { "handle_discont", (PyCFunction)_wrap_gst_clock_handle_discont, METH_VARARGS|METH_KEYWORDS },
    { "get_time", (PyCFunction)_wrap_gst_clock_get_time, METH_NOARGS },
    { "get_event_time", (PyCFunction)_wrap_gst_clock_get_event_time, METH_NOARGS },
    { "get_next_id", (PyCFunction)_wrap_gst_clock_get_next_id, METH_NOARGS },
    { "new_single_shot_id", (PyCFunction)_wrap_gst_clock_new_single_shot_id, METH_VARARGS|METH_KEYWORDS },
    { "new_periodic_id", (PyCFunction)_wrap_gst_clock_new_periodic_id, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstClock_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Clock",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstClock_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstPad ----------- */

static int
_wrap_gst_pad_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "direction", NULL };
    char *name;
    PyObject *py_direction = NULL;
    GstPadDirection direction;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO:GstPad.__init__", kwlist, &name, &py_direction))
        return -1;
    if (pyg_enum_get_value(GST_TYPE_PAD_DIRECTION, py_direction, (gint *)&direction))
        return -1;
    self->obj = (GObject *)gst_pad_new(name, direction);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstPad object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

static PyObject *
_wrap_gst_pad_set_name(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstPad.set_name", kwlist, &name))
        return NULL;
    gst_pad_set_name(GST_PAD(self->obj), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_get_name(PyGObject *self)
{
    const gchar *ret;

    ret = gst_pad_get_name(GST_PAD(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_get_direction(PyGObject *self)
{
    gint ret;

    ret = gst_pad_get_direction(GST_PAD(self->obj));
    return pyg_enum_from_gtype(GST_TYPE_PAD_DIRECTION, ret);
}

static PyObject *
_wrap_gst_pad_set_active(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "active", NULL };
    int active;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstPad.set_active", kwlist, &active))
        return NULL;
    gst_pad_set_active(GST_PAD(self->obj), active);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_is_active(PyGObject *self)
{
    int ret;

    ret = gst_pad_is_active(GST_PAD(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_set_parent(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "parent", NULL };
    PyGObject *parent;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.set_parent", kwlist, &PyGstElement_Type, &parent))
        return NULL;
    gst_pad_set_parent(GST_PAD(self->obj), GST_ELEMENT(parent->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_get_parent(PyGObject *self)
{
    GstElement *ret;

    ret = gst_pad_get_parent(GST_PAD(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_pad_get_real_parent(PyGObject *self)
{
    GstElement *ret;

    ret = gst_pad_get_real_parent(GST_PAD(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_pad_get_scheduler(PyGObject *self)
{
    GstScheduler *ret;

    ret = gst_pad_get_scheduler(GST_PAD(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_pad_add_ghost_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "ghostpad", NULL };
    PyGObject *ghostpad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.add_ghost_pad", kwlist, &PyGstPad_Type, &ghostpad))
        return NULL;
    gst_pad_add_ghost_pad(GST_PAD(self->obj), GST_PAD(ghostpad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_remove_ghost_pad(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "ghostpad", NULL };
    PyGObject *ghostpad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.remove_ghost_pad", kwlist, &PyGstPad_Type, &ghostpad))
        return NULL;
    gst_pad_remove_ghost_pad(GST_PAD(self->obj), GST_PAD(ghostpad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_get_pad_template(PyGObject *self)
{
    GstPadTemplate *ret;

    ret = gst_pad_get_pad_template(GST_PAD(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_pad_alloc_buffer(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "offset", "size", NULL };
    PyObject *py_offset = NULL;
    int size;
    GstBuffer *ret;
    guint64 offset;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!i:GstPad.alloc_buffer", kwlist, &PyLong_Type, &py_offset, &size))
        return NULL;
    offset = PyLong_AsUnsignedLongLong(py_offset);
    ret = gst_pad_alloc_buffer(GST_PAD(self->obj), offset, size);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_BUFFER, ret, TRUE, TRUE);
}

#line 87 "gstpad-handlers.override"

static void
call_chain_function(GstPad *pad, GstBuffer *buf)
{
	PyObject *function;
	PyGILState_STATE state;

	function = pad_private(pad)->chain_function;

	state = pyg_gil_state_ensure();

	PyObject_CallFunction (function,
			"OO", 
			pad_private(pad)->pad,
			pyg_boxed_new(GST_TYPE_BUFFER, buf, TRUE, TRUE));

	if (PyErr_Occurred ()) {
		PyErr_Print ();
		pyg_gil_state_release(state);
		return;
	}

	pyg_gil_state_release(state);
}

static PyObject*
_wrap_gst_pad_set_chain_function(PyGObject *self,
				PyObject  *args,
				PyObject  *kwargs)
{
	static char *kwlist[] = { "chain_function", NULL };
	PyObject *chain_function;
	GstPad *pad;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
				"O:GstPad.set_chain_funcion",
				kwlist,
				&chain_function)) {
		return NULL;
	}

	if (!PyCallable_Check(chain_function)) {
		PyErr_SetString(PyExc_TypeError, "chain_function not callable");
		return NULL;
	}

	Py_INCREF(chain_function);
	py_pad_private(self)->chain_function = chain_function;
	pad = (GstPad*)pygobject_get(self);
	gst_pad_set_chain_function(pad, (GstPadChainFunction)call_chain_function);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 4302 "gst.c"


#line 205 "gstpad-handlers.override"

static GstData*
call_get_function (GstPad *pad)
{
	PyObject *function;
	PyObject *retval;
	GstData *data = NULL;
	PyGILState_STATE state;
	
	function = pad_private(pad)->get_function;
	
	state = pyg_gil_state_ensure();

	retval = PyObject_CallFunction(function, "O", pad_private(pad)->pad);

	if (PyErr_Occurred()) {
		PyErr_Print();
		goto bail;
	} else if (retval == Py_None) {
	    goto bail;
	}

	pygst_data_from_pyobject(retval, &data);

bail:
	pyg_gil_state_release(state);
	return data;
}

static PyObject*
_wrap_gst_pad_set_get_function (PyGObject *self,
				PyObject  *args,
				PyObject  *kwargs)
{
	static char *kwlist[] = { "get_function", NULL };
	PyObject *get_function;
	GstPad *pad;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "O:GstPad.set_get_funcion",
					 kwlist,
					 &get_function)) {
		return NULL;
	}

	if (!PyCallable_Check(get_function)) {
		PyErr_SetString(PyExc_TypeError, "get_function not callable");
		return NULL;
	}

	Py_INCREF(get_function);
	py_pad_private(self)->get_function = get_function;
	pad = (GstPad*)pygobject_get(self);
	gst_pad_set_get_function(pad, (GstPadGetFunction)call_get_function);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 4364 "gst.c"


#line 143 "gstpad-handlers.override"

static gboolean
call_event_function (GstPad *pad, GstEvent *event)
{
	PyObject *function;
	PyObject *retval;
	gboolean ret;
	PyGILState_STATE state;
	
	function = pad_private(pad)->event_function;
	
	state = pyg_gil_state_ensure();

	retval = PyObject_CallFunction (function,
					"OO",
					pad_private(pad)->pad,
					pyg_boxed_new(GST_TYPE_EVENT, event, TRUE, TRUE));

	if (PyErr_Occurred ()) {
		PyErr_Print ();
        	pyg_gil_state_release(state);
		return FALSE;
	}

	ret = PyInt_AsLong(retval);

	pyg_gil_state_release(state);

	return ret;
}

static PyObject*
_wrap_gst_pad_set_event_function (PyGObject *self,
				  PyObject  *args,
				  PyObject  *kwargs)
{
	static char *kwlist[] = { "event_function", NULL };
	PyObject *event_function;
	GstPad *pad;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
				"O:GstPad.set_event_funcion",
				kwlist,
				&event_function)) {
		return NULL;
	}

	if (!PyCallable_Check(event_function)) {
		PyErr_SetString(PyExc_TypeError, "event_function not callable");
		return NULL;
	}

	Py_INCREF(event_function);
	py_pad_private(self)->event_function = event_function;
	pad = (GstPad*)pygobject_get(self);
	gst_pad_set_event_function(pad, (GstPadEventFunction)call_event_function);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 4428 "gst.c"


#line 25 "gstpad-handlers.override"

static GstPadLinkReturn
call_link_function (GstPad *pad, GstCaps *caps)
{
	PyObject *function;
	PyObject *retval;
	GstPadLinkReturn ret;
	PyGILState_STATE state;
	
	function = pad_private(pad)->link_function;
	
	state = pyg_gil_state_ensure();

	retval = (PyObject*)PyObject_CallFunction (function,
			"OO",
			pad_private(pad)->pad,
    			pyg_boxed_new(GST_TYPE_CAPS, caps, TRUE, TRUE));

	if (PyErr_Occurred ()) {
		PyErr_Print ();
        	pyg_gil_state_release(state);
		return GST_PAD_LINK_REFUSED;
	}

	ret = PyInt_AsLong(retval);

	pyg_gil_state_release(state);

	return ret;
}

static PyObject*
_wrap_gst_pad_set_link_function (PyGObject *self,
		PyObject  *args,
		PyObject  *kwargs)
{
	static char *kwlist[] = { "link_function", NULL };
	PyObject *link_function;
	GstPad *pad;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
				"O:GstPad.set_link_funcion",
				kwlist,
				&link_function)) {
		return NULL;
	}

	if (!PyCallable_Check(link_function)) {
		PyErr_SetString(PyExc_TypeError, "link_function not callable");
		return NULL;
	}

	Py_INCREF(link_function);
	py_pad_private(self)->link_function = link_function;
	pad = (GstPad*)pygobject_get(self);
	gst_pad_set_link_function(pad, (GstPadLinkFunction)call_link_function);

	Py_INCREF(Py_None);
	return Py_None;
}
#line 4492 "gst.c"


static PyObject *
_wrap_gst_pad_can_link(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", NULL };
    PyGObject *sinkpad;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.can_link", kwlist, &PyGstPad_Type, &sinkpad))
        return NULL;
    ret = gst_pad_can_link(GST_PAD(self->obj), GST_PAD(sinkpad->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_can_link_filtered(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", "filtercaps", NULL };
    PyGObject *sinkpad;
    PyObject *py_filtercaps;
    int ret;
    GstCaps *filtercaps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O:GstPad.can_link_filtered", kwlist, &PyGstPad_Type, &sinkpad, &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_can_link_filtered(GST_PAD(self->obj), GST_PAD(sinkpad->obj), filtercaps);
    return PyBool_FromLong(ret);

}

#line 499 "gst.override"
static PyObject *
_wrap_gst_pad_link(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", NULL };
    PyGObject *sinkpad;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.link", kwlist,
                                     &PyGstPad_Type, &sinkpad))
        return NULL;
    ret = gst_pad_link(GST_PAD(self->obj), GST_PAD(sinkpad->obj));
    if (!ret) {
        PyErr_SetString(PyGstExc_LinkError, "link failed");
        return NULL;
    }
    return PyBool_FromLong(ret);
}

#line 4550 "gst.c"


#line 519 "gst.override"
static PyObject *
_wrap_gst_pad_link_filtered(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", "filtercaps", NULL };
    PyGObject *sinkpad;
    PyObject *py_filtercaps;
    int ret;
    GstCaps *filtercaps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O:GstPad.link_filtered",
                                     kwlist, &PyGstPad_Type, &sinkpad,
                                     &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_link_filtered(GST_PAD(self->obj),
                                GST_PAD(sinkpad->obj),
                                filtercaps);
    if (!ret) {
        PyErr_SetString(PyGstExc_LinkError, "link failed");
        return NULL;
    }
    return PyBool_FromLong(ret);
}

#line 4583 "gst.c"


static PyObject *
_wrap_gst_pad_unlink(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", NULL };
    PyGObject *sinkpad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.unlink", kwlist, &PyGstPad_Type, &sinkpad))
        return NULL;
    gst_pad_unlink(GST_PAD(self->obj), GST_PAD(sinkpad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_is_linked(PyGObject *self)
{
    int ret;

    ret = gst_pad_is_linked(GST_PAD(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_get_peer(PyGObject *self)
{
    GstPad *ret;

    ret = gst_pad_get_peer(GST_PAD(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

#line 1240 "gst.override"
static PyObject *
_wrap_gst_pad_get_negotiated_caps(PyGObject *self)
{
	GstCaps *ret = (GstCaps*)gst_pad_get_negotiated_caps(GST_PAD(self->obj));
	return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}
#line 4626 "gst.c"


static PyObject *
_wrap_gst_pad_is_negotiated(PyGObject *self)
{
    int ret;

    ret = gst_pad_is_negotiated(GST_PAD(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_get_caps(PyGObject *self)
{
    GstCaps *ret;

    ret = gst_pad_get_caps(GST_PAD(self->obj));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

#line 1248 "gst.override"
static PyObject *
_wrap_gst_pad_get_pad_template_caps(PyGObject *self)
{
	GstCaps *ret = (GstCaps*)gst_pad_get_pad_template_caps(GST_PAD(self->obj));
	return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}
#line 4656 "gst.c"


static PyObject *
_wrap_gst_pad_try_set_caps(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    gint ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.try_set_caps", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_try_set_caps(GST_PAD(self->obj), caps);
    return pyg_enum_from_gtype(GST_TYPE_PAD_LINK_RETURN, ret);
}

static PyObject *
_wrap_gst_pad_try_set_caps_nonfixed(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    gint ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.try_set_caps_nonfixed", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_try_set_caps_nonfixed(GST_PAD(self->obj), caps);
    return pyg_enum_from_gtype(GST_TYPE_PAD_LINK_RETURN, ret);
}

static PyObject *
_wrap_gst_pad_check_compatibility(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", NULL };
    PyGObject *sinkpad;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.check_compatibility", kwlist, &PyGstPad_Type, &sinkpad))
        return NULL;
    ret = gst_pad_check_compatibility(GST_PAD(self->obj), GST_PAD(sinkpad->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_proxy_getcaps(PyGObject *self)
{
    GstCaps *ret;

    ret = gst_pad_proxy_getcaps(GST_PAD(self->obj));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_pad_proxy_pad_link(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    gint ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.proxy_pad_link", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_proxy_pad_link(GST_PAD(self->obj), caps);
    return pyg_enum_from_gtype(GST_TYPE_PAD_LINK_RETURN, ret);
}

static PyObject *
_wrap_gst_pad_proxy_fixate(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    GstCaps *caps = NULL, *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.proxy_fixate", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_proxy_fixate(GST_PAD(self->obj), caps);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_pad_proxy_link(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    gint ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.proxy_link", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_proxy_link(GST_PAD(self->obj), caps);
    return pyg_enum_from_gtype(GST_TYPE_PAD_LINK_RETURN, ret);
}

static PyObject *
_wrap_gst_pad_set_explicit_caps(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    int ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.set_explicit_caps", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_set_explicit_caps(GST_PAD(self->obj), caps);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_use_explicit_caps(PyGObject *self)
{
    gst_pad_use_explicit_caps(GST_PAD(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_relink_filtered(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", "filtercaps", NULL };
    PyGObject *sinkpad;
    PyObject *py_filtercaps;
    int ret;
    GstCaps *filtercaps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O:GstPad.relink_filtered", kwlist, &PyGstPad_Type, &sinkpad, &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_relink_filtered(GST_PAD(self->obj), GST_PAD(sinkpad->obj), filtercaps);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_perform_negotiate(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", NULL };
    PyGObject *sinkpad;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstPad.perform_negotiate", kwlist, &PyGstPad_Type, &sinkpad))
        return NULL;
    ret = gst_pad_perform_negotiate(GST_PAD(self->obj), GST_PAD(sinkpad->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_renegotiate(PyGObject *self)
{
    gint ret;

    ret = gst_pad_renegotiate(GST_PAD(self->obj));
    return pyg_enum_from_gtype(GST_TYPE_PAD_LINK_RETURN, ret);
}

static PyObject *
_wrap_gst_pad_unnegotiate(PyGObject *self)
{
    gst_pad_unnegotiate(GST_PAD(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_try_relink_filtered(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sinkpad", "filtercaps", NULL };
    PyGObject *sinkpad;
    PyObject *py_filtercaps;
    int ret;
    GstCaps *filtercaps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O:GstPad.try_relink_filtered", kwlist, &PyGstPad_Type, &sinkpad, &py_filtercaps))
        return NULL;
    if (pyg_boxed_check(py_filtercaps, GST_TYPE_CAPS))
        filtercaps = pyg_boxed_get(py_filtercaps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "filtercaps should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_try_relink_filtered(GST_PAD(self->obj), GST_PAD(sinkpad->obj), filtercaps);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_get_allowed_caps(PyGObject *self)
{
    GstCaps *ret;

    ret = gst_pad_get_allowed_caps(GST_PAD(self->obj));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_pad_caps_change_notify(PyGObject *self)
{
    gst_pad_caps_change_notify(GST_PAD(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_recover_caps_error(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "allowed", NULL };
    PyObject *py_allowed;
    int ret;
    GstCaps *allowed = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.recover_caps_error", kwlist, &py_allowed))
        return NULL;
    if (pyg_boxed_check(py_allowed, GST_TYPE_CAPS))
        allowed = pyg_boxed_get(py_allowed, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "allowed should be a GstCaps");
        return NULL;
    }
    ret = gst_pad_recover_caps_error(GST_PAD(self->obj), allowed);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_push(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "data", NULL };
    GstData* data;
    PyObject *py_data;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.push", kwlist, &py_data))
        return NULL;
    if (!pygst_data_from_pyobject(py_data, &data))
        return NULL;
    gst_pad_push(GST_PAD(self->obj), data);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_send_event(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "event", NULL };
    PyObject *py_event;
    int ret;
    GstEvent *event = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.send_event", kwlist, &py_event))
        return NULL;
    if (pyg_boxed_check(py_event, GST_TYPE_EVENT))
        event = pyg_boxed_get(py_event, GstEvent);
    else {
        PyErr_SetString(PyExc_TypeError, "event should be a GstEvent");
        return NULL;
    }
    ret = gst_pad_send_event(GST_PAD(self->obj), event);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_pad_event_default(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "event", NULL };
    PyObject *py_event;
    int ret;
    GstEvent *event = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstPad.event_default", kwlist, &py_event))
        return NULL;
    if (pyg_boxed_check(py_event, GST_TYPE_EVENT))
        event = pyg_boxed_get(py_event, GstEvent);
    else {
        PyErr_SetString(PyExc_TypeError, "event should be a GstEvent");
        return NULL;
    }
    ret = gst_pad_event_default(GST_PAD(self->obj), event);
    return PyBool_FromLong(ret);

}

#line 238 "gst.override"
static PyObject *
_wrap_gst_pad_convert(PyGObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "src_format", "src_value",
				  "dest_format", NULL };
	GstFormat src_format, dest_format;
	PyObject *src_value_obj;
	gint64 src_value, dest_value = 0;
	gboolean ret;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "iOi:GstPad.convert", kwlist,
					 &src_format, &src_value_obj,
					 &dest_format))
		return NULL;
	
	src_value = PyLong_AsLongLong(src_value_obj);
	
	ret = gst_pad_convert(GST_PAD(self->obj), src_format, src_value,
			      &dest_format, &dest_value);
	return PyLong_FromLongLong(dest_value);
}
#line 5007 "gst.c"


#line 200 "gst.override"
static PyObject *
_wrap_gst_pad_query(PyGObject *self, PyObject *args, PyObject *kwargs)
{
	static char *kwlist[] = { "type", "format", NULL };
	GstQueryType type;
	GstFormat format;
	gint64 value = 0;
	gboolean ret;

	if (!PyArg_ParseTupleAndKeywords(args, kwargs,
					 "ii:GstPad.query", kwlist,
					 &type, &format))
		return NULL;
	
	ret = gst_pad_query(GST_PAD(self->obj), type, &format, &value);
	return PyLong_FromLongLong(value);
}
#line 5028 "gst.c"


static PyMethodDef _PyGstPad_methods[] = {
    { "set_name", (PyCFunction)_wrap_gst_pad_set_name, METH_VARARGS|METH_KEYWORDS },
    { "get_name", (PyCFunction)_wrap_gst_pad_get_name, METH_NOARGS },
    { "get_direction", (PyCFunction)_wrap_gst_pad_get_direction, METH_NOARGS },
    { "set_active", (PyCFunction)_wrap_gst_pad_set_active, METH_VARARGS|METH_KEYWORDS },
    { "is_active", (PyCFunction)_wrap_gst_pad_is_active, METH_NOARGS },
    { "set_parent", (PyCFunction)_wrap_gst_pad_set_parent, METH_VARARGS|METH_KEYWORDS },
    { "get_parent", (PyCFunction)_wrap_gst_pad_get_parent, METH_NOARGS },
    { "get_real_parent", (PyCFunction)_wrap_gst_pad_get_real_parent, METH_NOARGS },
    { "get_scheduler", (PyCFunction)_wrap_gst_pad_get_scheduler, METH_NOARGS },
    { "add_ghost_pad", (PyCFunction)_wrap_gst_pad_add_ghost_pad, METH_VARARGS|METH_KEYWORDS },
    { "remove_ghost_pad", (PyCFunction)_wrap_gst_pad_remove_ghost_pad, METH_VARARGS|METH_KEYWORDS },
    { "get_pad_template", (PyCFunction)_wrap_gst_pad_get_pad_template, METH_NOARGS },
    { "alloc_buffer", (PyCFunction)_wrap_gst_pad_alloc_buffer, METH_VARARGS|METH_KEYWORDS },
    { "set_chain_function", (PyCFunction)_wrap_gst_pad_set_chain_function, METH_VARARGS|METH_KEYWORDS },
    { "set_get_function", (PyCFunction)_wrap_gst_pad_set_get_function, METH_VARARGS|METH_KEYWORDS },
    { "set_event_function", (PyCFunction)_wrap_gst_pad_set_event_function, METH_VARARGS|METH_KEYWORDS },
    { "set_link_function", (PyCFunction)_wrap_gst_pad_set_link_function, METH_VARARGS|METH_KEYWORDS },
    { "can_link", (PyCFunction)_wrap_gst_pad_can_link, METH_VARARGS|METH_KEYWORDS },
    { "can_link_filtered", (PyCFunction)_wrap_gst_pad_can_link_filtered, METH_VARARGS|METH_KEYWORDS },
    { "link", (PyCFunction)_wrap_gst_pad_link, METH_VARARGS|METH_KEYWORDS },
    { "link_filtered", (PyCFunction)_wrap_gst_pad_link_filtered, METH_VARARGS|METH_KEYWORDS },
    { "unlink", (PyCFunction)_wrap_gst_pad_unlink, METH_VARARGS|METH_KEYWORDS },
    { "is_linked", (PyCFunction)_wrap_gst_pad_is_linked, METH_NOARGS },
    { "get_peer", (PyCFunction)_wrap_gst_pad_get_peer, METH_NOARGS },
    { "get_negotiated_caps", (PyCFunction)_wrap_gst_pad_get_negotiated_caps, METH_NOARGS },
    { "is_negotiated", (PyCFunction)_wrap_gst_pad_is_negotiated, METH_NOARGS },
    { "get_caps", (PyCFunction)_wrap_gst_pad_get_caps, METH_NOARGS },
    { "get_pad_template_caps", (PyCFunction)_wrap_gst_pad_get_pad_template_caps, METH_NOARGS },
    { "try_set_caps", (PyCFunction)_wrap_gst_pad_try_set_caps, METH_VARARGS|METH_KEYWORDS },
    { "try_set_caps_nonfixed", (PyCFunction)_wrap_gst_pad_try_set_caps_nonfixed, METH_VARARGS|METH_KEYWORDS },
    { "check_compatibility", (PyCFunction)_wrap_gst_pad_check_compatibility, METH_VARARGS|METH_KEYWORDS },
    { "proxy_getcaps", (PyCFunction)_wrap_gst_pad_proxy_getcaps, METH_NOARGS },
    { "proxy_pad_link", (PyCFunction)_wrap_gst_pad_proxy_pad_link, METH_VARARGS|METH_KEYWORDS },
    { "proxy_fixate", (PyCFunction)_wrap_gst_pad_proxy_fixate, METH_VARARGS|METH_KEYWORDS },
    { "proxy_link", (PyCFunction)_wrap_gst_pad_proxy_link, METH_VARARGS|METH_KEYWORDS },
    { "set_explicit_caps", (PyCFunction)_wrap_gst_pad_set_explicit_caps, METH_VARARGS|METH_KEYWORDS },
    { "use_explicit_caps", (PyCFunction)_wrap_gst_pad_use_explicit_caps, METH_NOARGS },
    { "relink_filtered", (PyCFunction)_wrap_gst_pad_relink_filtered, METH_VARARGS|METH_KEYWORDS },
    { "perform_negotiate", (PyCFunction)_wrap_gst_pad_perform_negotiate, METH_VARARGS|METH_KEYWORDS },
    { "renegotiate", (PyCFunction)_wrap_gst_pad_renegotiate, METH_NOARGS },
    { "unnegotiate", (PyCFunction)_wrap_gst_pad_unnegotiate, METH_NOARGS },
    { "try_relink_filtered", (PyCFunction)_wrap_gst_pad_try_relink_filtered, METH_VARARGS|METH_KEYWORDS },
    { "get_allowed_caps", (PyCFunction)_wrap_gst_pad_get_allowed_caps, METH_NOARGS },
    { "caps_change_notify", (PyCFunction)_wrap_gst_pad_caps_change_notify, METH_NOARGS },
    { "recover_caps_error", (PyCFunction)_wrap_gst_pad_recover_caps_error, METH_VARARGS|METH_KEYWORDS },
    { "push", (PyCFunction)_wrap_gst_pad_push, METH_VARARGS|METH_KEYWORDS },
    { "send_event", (PyCFunction)_wrap_gst_pad_send_event, METH_VARARGS|METH_KEYWORDS },
    { "event_default", (PyCFunction)_wrap_gst_pad_event_default, METH_VARARGS|METH_KEYWORDS },
    { "convert", (PyCFunction)_wrap_gst_pad_convert, METH_VARARGS|METH_KEYWORDS },
    { "query", (PyCFunction)_wrap_gst_pad_query, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

#line 178 "gst.override"
static PyObject *
_wrap_gst_pad_tp_repr (PyGObject *self)
{
	char *buf;
	PyObject *retval;
  	GstPad *pad;
  	GstElement *parent;

	pad = GST_PAD(self->obj);
	parent = gst_pad_get_parent (pad);
	    
	buf = g_strdup_printf ("<GstPad (%s:%s) at %lx>",
		gst_element_get_name (parent),
		gst_pad_get_name (pad), (long) self->obj);

	retval = PyString_FromString(buf);
	g_free(buf);
	return retval;
}

#line 5106 "gst.c"


PyTypeObject PyGstPad_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Pad",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)_wrap_gst_pad_tp_repr,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstPad_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_pad_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstGhostPad ----------- */

static int
_wrap_gst_ghost_pad_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "pad", NULL };
    char *name;
    PyGObject *pad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO!:GstGhostPad.__init__", kwlist, &name, &PyGstPad_Type, &pad))
        return -1;
    self->obj = (GObject *)gst_ghost_pad_new(name, GST_PAD(pad->obj));

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstGhostPad object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

PyTypeObject PyGstGhostPad_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.GhostPad",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_ghost_pad_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstPadTemplate ----------- */

static int
_wrap_gst_pad_template_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name_template", "direction", "presence", "caps", NULL };
    char *name_template;
    PyObject *py_direction = NULL, *py_presence = NULL, *py_caps;
    GstPadDirection direction;
    GstCaps *caps = NULL;
    GstPadPresence presence;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sOOO:GstPadTemplate.__init__", kwlist, &name_template, &py_direction, &py_presence, &py_caps))
        return -1;
    if (pyg_enum_get_value(GST_TYPE_PAD_DIRECTION, py_direction, (gint *)&direction))
        return -1;
    if (pyg_enum_get_value(GST_TYPE_PAD_PRESENCE, py_presence, (gint *)&presence))
        return -1;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return -1;
    }
    self->obj = (GObject *)gst_pad_template_new(name_template, direction, presence, caps);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstPadTemplate object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

#line 1256 "gst.override"
static PyObject *
_wrap_gst_pad_template_get_caps(PyGObject *self)
{
	GstCaps *ret = (GstCaps*)gst_pad_template_get_caps(GST_PAD_TEMPLATE(self->obj));
	return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}
#line 5265 "gst.c"


#line 1272 "gst.override"
static PyObject *
_wrap_gst_pad_template_get_caps_by_name(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstCaps *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstPadTemplate.get_caps_by_name", kwlist, &name))
        return NULL;
    ret = (GstCaps*)gst_pad_template_get_caps_by_name(GST_PAD_TEMPLATE(self->obj), name);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}
#line 5282 "gst.c"


static PyMethodDef _PyGstPadTemplate_methods[] = {
    { "get_caps", (PyCFunction)_wrap_gst_pad_template_get_caps, METH_NOARGS },
    { "get_caps_by_name", (PyCFunction)_wrap_gst_pad_template_get_caps_by_name, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstPadTemplate_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.PadTemplate",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstPadTemplate_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_pad_template_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstPipeline ----------- */

static int
_wrap_gst_pipeline_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "|z:GstPipeline.__init__", kwlist, &name))
        return -1;
    self->obj = (GObject *)gst_pipeline_new(name);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstPipeline object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

PyTypeObject PyGstPipeline_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Pipeline",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_pipeline_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstPluginFeature ----------- */

static PyObject *
_wrap_gst_plugin_feature_ensure_loaded(PyGObject *self)
{
    int ret;

    ret = gst_plugin_feature_ensure_loaded(GST_PLUGIN_FEATURE(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_plugin_feature_set_rank(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "rank", NULL };
    int rank;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstPluginFeature.set_rank", kwlist, &rank))
        return NULL;
    gst_plugin_feature_set_rank(GST_PLUGIN_FEATURE(self->obj), rank);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_feature_set_name(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstPluginFeature.set_name", kwlist, &name))
        return NULL;
    gst_plugin_feature_set_name(GST_PLUGIN_FEATURE(self->obj), name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_plugin_feature_get_rank(PyGObject *self)
{
    int ret;

    ret = gst_plugin_feature_get_rank(GST_PLUGIN_FEATURE(self->obj));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_plugin_feature_get_name(PyGObject *self)
{
    const gchar *ret;

    ret = gst_plugin_feature_get_name(GST_PLUGIN_FEATURE(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstPluginFeature_methods[] = {
    { "ensure_loaded", (PyCFunction)_wrap_gst_plugin_feature_ensure_loaded, METH_NOARGS },
    { "set_rank", (PyCFunction)_wrap_gst_plugin_feature_set_rank, METH_VARARGS|METH_KEYWORDS },
    { "set_name", (PyCFunction)_wrap_gst_plugin_feature_set_name, METH_VARARGS|METH_KEYWORDS },
    { "get_rank", (PyCFunction)_wrap_gst_plugin_feature_get_rank, METH_NOARGS },
    { "get_name", (PyCFunction)_wrap_gst_plugin_feature_get_name, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstPluginFeature_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.PluginFeature",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstPluginFeature_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstIndexFactory ----------- */

static int
_wrap_gst_index_factory_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "longdesc", "type", NULL };
    char *name, *longdesc;
    PyObject *py_type = NULL;
    GType type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "ssO:GstIndexFactory.__init__", kwlist, &name, &longdesc, &py_type))
        return -1;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return -1;
    self->obj = (GObject *)gst_index_factory_new(name, longdesc, type);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstIndexFactory object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

static PyObject *
_wrap_gst_index_factory_destroy(PyGObject *self)
{
    gst_index_factory_destroy(GST_INDEX_FACTORY(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_index_factory_create(PyGObject *self)
{
    GstIndex *ret;

    ret = gst_index_factory_create(GST_INDEX_FACTORY(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyMethodDef _PyGstIndexFactory_methods[] = {
    { "destroy", (PyCFunction)_wrap_gst_index_factory_destroy, METH_NOARGS },
    { "create", (PyCFunction)_wrap_gst_index_factory_create, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstIndexFactory_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.IndexFactory",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstIndexFactory_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_index_factory_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstElementFactory ----------- */

static PyObject *
_wrap_gst_element_factory_get_element_type(PyGObject *self)
{
    GType ret;

    ret = gst_element_factory_get_element_type(GST_ELEMENT_FACTORY(self->obj));
    return pyg_type_wrapper_new(ret);
}

static PyObject *
_wrap_gst_element_factory_get_longname(PyGObject *self)
{
    const gchar *ret;

    ret = gst_element_factory_get_longname(GST_ELEMENT_FACTORY(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_factory_get_klass(PyGObject *self)
{
    const gchar *ret;

    ret = gst_element_factory_get_klass(GST_ELEMENT_FACTORY(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_factory_get_description(PyGObject *self)
{
    const gchar *ret;

    ret = gst_element_factory_get_description(GST_ELEMENT_FACTORY(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_factory_get_author(PyGObject *self)
{
    const gchar *ret;

    ret = gst_element_factory_get_author(GST_ELEMENT_FACTORY(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_factory_get_num_pad_templates(PyGObject *self)
{
    int ret;

    ret = gst_element_factory_get_num_pad_templates(GST_ELEMENT_FACTORY(self->obj));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_element_factory_get_uri_type(PyGObject *self)
{
    int ret;

    ret = gst_element_factory_get_uri_type(GST_ELEMENT_FACTORY(self->obj));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_element_factory_create(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstElement *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstElementFactory.create", kwlist, &name))
        return NULL;
    ret = gst_element_factory_create(GST_ELEMENT_FACTORY(self->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_factory_can_src_caps(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    int ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstElementFactory.can_src_caps", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_element_factory_can_src_caps(GST_ELEMENT_FACTORY(self->obj), caps);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_factory_can_sink_caps(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "caps", NULL };
    PyObject *py_caps;
    int ret;
    GstCaps *caps = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstElementFactory.can_sink_caps", kwlist, &py_caps))
        return NULL;
    if (pyg_boxed_check(py_caps, GST_TYPE_CAPS))
        caps = pyg_boxed_get(py_caps, GstCaps);
    else {
        PyErr_SetString(PyExc_TypeError, "caps should be a GstCaps");
        return NULL;
    }
    ret = gst_element_factory_can_sink_caps(GST_ELEMENT_FACTORY(self->obj), caps);
    return PyBool_FromLong(ret);

}

static PyMethodDef _PyGstElementFactory_methods[] = {
    { "get_element_type", (PyCFunction)_wrap_gst_element_factory_get_element_type, METH_NOARGS },
    { "get_longname", (PyCFunction)_wrap_gst_element_factory_get_longname, METH_NOARGS },
    { "get_klass", (PyCFunction)_wrap_gst_element_factory_get_klass, METH_NOARGS },
    { "get_description", (PyCFunction)_wrap_gst_element_factory_get_description, METH_NOARGS },
    { "get_author", (PyCFunction)_wrap_gst_element_factory_get_author, METH_NOARGS },
    { "get_num_pad_templates", (PyCFunction)_wrap_gst_element_factory_get_num_pad_templates, METH_NOARGS },
    { "get_uri_type", (PyCFunction)_wrap_gst_element_factory_get_uri_type, METH_NOARGS },
    { "create", (PyCFunction)_wrap_gst_element_factory_create, METH_VARARGS|METH_KEYWORDS },
    { "can_src_caps", (PyCFunction)_wrap_gst_element_factory_can_src_caps, METH_VARARGS|METH_KEYWORDS },
    { "can_sink_caps", (PyCFunction)_wrap_gst_element_factory_can_sink_caps, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstElementFactory_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.ElementFactory",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstElementFactory_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstQueue ----------- */

PyTypeObject PyGstQueue_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Queue",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstRealPad ----------- */

PyTypeObject PyGstRealPad_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.RealPad",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstRegistry ----------- */

static PyObject *
_wrap_gst_registry_load(PyGObject *self)
{
    int ret;

    ret = gst_registry_load(GST_REGISTRY(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_registry_is_loaded(PyGObject *self)
{
    int ret;

    ret = gst_registry_is_loaded(GST_REGISTRY(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_registry_save(PyGObject *self)
{
    int ret;

    ret = gst_registry_save(GST_REGISTRY(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_registry_rebuild(PyGObject *self)
{
    int ret;

    ret = gst_registry_rebuild(GST_REGISTRY(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_registry_unload(PyGObject *self)
{
    int ret;

    ret = gst_registry_unload(GST_REGISTRY(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_registry_add_path(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "path", NULL };
    char *path;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstRegistry.add_path", kwlist, &path))
        return NULL;
    gst_registry_add_path(GST_REGISTRY(self->obj), path);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_registry_clear_paths(PyGObject *self)
{
    gst_registry_clear_paths(GST_REGISTRY(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_registry_add_plugin(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", NULL };
    PyObject *py_plugin;
    int ret;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstRegistry.add_plugin", kwlist, &py_plugin))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    ret = gst_registry_add_plugin(GST_REGISTRY(self->obj), plugin);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_registry_remove_plugin(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", NULL };
    PyObject *py_plugin;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstRegistry.remove_plugin", kwlist, &py_plugin))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    gst_registry_remove_plugin(GST_REGISTRY(self->obj), plugin);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_registry_find_plugin(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstPlugin *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstRegistry.find_plugin", kwlist, &name))
        return NULL;
    ret = gst_registry_find_plugin(GST_REGISTRY(self->obj), name);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_PLUGIN, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_registry_find_feature(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "type", NULL };
    char *name;
    PyObject *py_type = NULL;
    GType type;
    GstPluginFeature *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO:GstRegistry.find_feature", kwlist, &name, &py_type))
        return NULL;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return NULL;
    ret = gst_registry_find_feature(GST_REGISTRY(self->obj), name, type);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_registry_load_plugin(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", NULL };
    PyObject *py_plugin;
    guint ret;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstRegistry.load_plugin", kwlist, &py_plugin))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    ret = gst_registry_load_plugin(GST_REGISTRY(self->obj), plugin);
    return pyg_flags_from_gtype(GST_TYPE_REGISTRY_RETURN, ret);
}

static PyObject *
_wrap_gst_registry_unload_plugin(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", NULL };
    PyObject *py_plugin;
    guint ret;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstRegistry.unload_plugin", kwlist, &py_plugin))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    ret = gst_registry_unload_plugin(GST_REGISTRY(self->obj), plugin);
    return pyg_flags_from_gtype(GST_TYPE_REGISTRY_RETURN, ret);
}

static PyObject *
_wrap_gst_registry_update_plugin(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", NULL };
    PyObject *py_plugin;
    guint ret;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstRegistry.update_plugin", kwlist, &py_plugin))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    ret = gst_registry_update_plugin(GST_REGISTRY(self->obj), plugin);
    return pyg_flags_from_gtype(GST_TYPE_REGISTRY_RETURN, ret);
}

static PyObject *
_wrap_gst_registry_pool_add(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "priority", NULL };
    int priority;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:GstRegistry.pool_add", kwlist, &priority))
        return NULL;
    gst_registry_pool_add(GST_REGISTRY(self->obj), priority);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_registry_pool_remove(PyGObject *self)
{
    gst_registry_pool_remove(GST_REGISTRY(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstRegistry_methods[] = {
    { "load", (PyCFunction)_wrap_gst_registry_load, METH_NOARGS },
    { "is_loaded", (PyCFunction)_wrap_gst_registry_is_loaded, METH_NOARGS },
    { "save", (PyCFunction)_wrap_gst_registry_save, METH_NOARGS },
    { "rebuild", (PyCFunction)_wrap_gst_registry_rebuild, METH_NOARGS },
    { "unload", (PyCFunction)_wrap_gst_registry_unload, METH_NOARGS },
    { "add_path", (PyCFunction)_wrap_gst_registry_add_path, METH_VARARGS|METH_KEYWORDS },
    { "clear_paths", (PyCFunction)_wrap_gst_registry_clear_paths, METH_NOARGS },
    { "add_plugin", (PyCFunction)_wrap_gst_registry_add_plugin, METH_VARARGS|METH_KEYWORDS },
    { "remove_plugin", (PyCFunction)_wrap_gst_registry_remove_plugin, METH_VARARGS|METH_KEYWORDS },
    { "find_plugin", (PyCFunction)_wrap_gst_registry_find_plugin, METH_VARARGS|METH_KEYWORDS },
    { "find_feature", (PyCFunction)_wrap_gst_registry_find_feature, METH_VARARGS|METH_KEYWORDS },
    { "load_plugin", (PyCFunction)_wrap_gst_registry_load_plugin, METH_VARARGS|METH_KEYWORDS },
    { "unload_plugin", (PyCFunction)_wrap_gst_registry_unload_plugin, METH_VARARGS|METH_KEYWORDS },
    { "update_plugin", (PyCFunction)_wrap_gst_registry_update_plugin, METH_VARARGS|METH_KEYWORDS },
    { "pool_add", (PyCFunction)_wrap_gst_registry_pool_add, METH_VARARGS|METH_KEYWORDS },
    { "pool_remove", (PyCFunction)_wrap_gst_registry_pool_remove, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstRegistry_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Registry",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstRegistry_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstScheduler ----------- */

static PyObject *
_wrap_gst_scheduler_setup(PyGObject *self)
{
    gst_scheduler_setup(GST_SCHEDULER(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_reset(PyGObject *self)
{
    gst_scheduler_reset(GST_SCHEDULER(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_add_element(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.add_element", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_scheduler_add_element(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_remove_element(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.remove_element", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_scheduler_remove_element(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_add_scheduler(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sched2", NULL };
    PyGObject *sched2;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.add_scheduler", kwlist, &PyGstScheduler_Type, &sched2))
        return NULL;
    gst_scheduler_add_scheduler(GST_SCHEDULER(self->obj), GST_SCHEDULER(sched2->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_remove_scheduler(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "sched2", NULL };
    PyGObject *sched2;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.remove_scheduler", kwlist, &PyGstScheduler_Type, &sched2))
        return NULL;
    gst_scheduler_remove_scheduler(GST_SCHEDULER(self->obj), GST_SCHEDULER(sched2->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_state_transition(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", "transition", NULL };
    PyGObject *element;
    int transition;
    gint ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!i:GstScheduler.state_transition", kwlist, &PyGstElement_Type, &element, &transition))
        return NULL;
    ret = gst_scheduler_state_transition(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj), transition);
    return pyg_enum_from_gtype(GST_TYPE_ELEMENT_STATE_RETURN, ret);
}

static PyObject *
_wrap_gst_scheduler_scheduling_change(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.scheduling_change", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_scheduler_scheduling_change(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_lock_element(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.lock_element", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_scheduler_lock_element(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_unlock_element(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.unlock_element", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_scheduler_unlock_element(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_yield(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.yield", kwlist, &PyGstElement_Type, &element))
        return NULL;
    ret = gst_scheduler_yield(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_scheduler_interrupt(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.interrupt", kwlist, &PyGstElement_Type, &element))
        return NULL;
    ret = gst_scheduler_interrupt(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_scheduler_error(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.error", kwlist, &PyGstElement_Type, &element))
        return NULL;
    gst_scheduler_error(GST_SCHEDULER(self->obj), GST_ELEMENT(element->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_pad_link(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "srcpad", "sinkpad", NULL };
    PyGObject *srcpad, *sinkpad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O!:GstScheduler.pad_link", kwlist, &PyGstPad_Type, &srcpad, &PyGstPad_Type, &sinkpad))
        return NULL;
    gst_scheduler_pad_link(GST_SCHEDULER(self->obj), GST_PAD(srcpad->obj), GST_PAD(sinkpad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_pad_unlink(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "srcpad", "sinkpad", NULL };
    PyGObject *srcpad, *sinkpad;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O!:GstScheduler.pad_unlink", kwlist, &PyGstPad_Type, &srcpad, &PyGstPad_Type, &sinkpad))
        return NULL;
    gst_scheduler_pad_unlink(GST_SCHEDULER(self->obj), GST_PAD(srcpad->obj), GST_PAD(sinkpad->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_iterate(PyGObject *self)
{
    int ret;

    ret = gst_scheduler_iterate(GST_SCHEDULER(self->obj));
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_scheduler_use_clock(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "clock", NULL };
    PyGObject *clock;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.use_clock", kwlist, &PyGstClock_Type, &clock))
        return NULL;
    gst_scheduler_use_clock(GST_SCHEDULER(self->obj), GST_CLOCK(clock->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_set_clock(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "clock", NULL };
    PyGObject *clock;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstScheduler.set_clock", kwlist, &PyGstClock_Type, &clock))
        return NULL;
    gst_scheduler_set_clock(GST_SCHEDULER(self->obj), GST_CLOCK(clock->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_get_clock(PyGObject *self)
{
    GstClock *ret;

    ret = gst_scheduler_get_clock(GST_SCHEDULER(self->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_scheduler_auto_clock(PyGObject *self)
{
    gst_scheduler_auto_clock(GST_SCHEDULER(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_show(PyGObject *self)
{
    gst_scheduler_show(GST_SCHEDULER(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstScheduler_methods[] = {
    { "setup", (PyCFunction)_wrap_gst_scheduler_setup, METH_NOARGS },
    { "reset", (PyCFunction)_wrap_gst_scheduler_reset, METH_NOARGS },
    { "add_element", (PyCFunction)_wrap_gst_scheduler_add_element, METH_VARARGS|METH_KEYWORDS },
    { "remove_element", (PyCFunction)_wrap_gst_scheduler_remove_element, METH_VARARGS|METH_KEYWORDS },
    { "add_scheduler", (PyCFunction)_wrap_gst_scheduler_add_scheduler, METH_VARARGS|METH_KEYWORDS },
    { "remove_scheduler", (PyCFunction)_wrap_gst_scheduler_remove_scheduler, METH_VARARGS|METH_KEYWORDS },
    { "state_transition", (PyCFunction)_wrap_gst_scheduler_state_transition, METH_VARARGS|METH_KEYWORDS },
    { "scheduling_change", (PyCFunction)_wrap_gst_scheduler_scheduling_change, METH_VARARGS|METH_KEYWORDS },
    { "lock_element", (PyCFunction)_wrap_gst_scheduler_lock_element, METH_VARARGS|METH_KEYWORDS },
    { "unlock_element", (PyCFunction)_wrap_gst_scheduler_unlock_element, METH_VARARGS|METH_KEYWORDS },
    { "yield_", (PyCFunction)_wrap_gst_scheduler_yield, METH_VARARGS|METH_KEYWORDS },
    { "interrupt", (PyCFunction)_wrap_gst_scheduler_interrupt, METH_VARARGS|METH_KEYWORDS },
    { "error", (PyCFunction)_wrap_gst_scheduler_error, METH_VARARGS|METH_KEYWORDS },
    { "pad_link", (PyCFunction)_wrap_gst_scheduler_pad_link, METH_VARARGS|METH_KEYWORDS },
    { "pad_unlink", (PyCFunction)_wrap_gst_scheduler_pad_unlink, METH_VARARGS|METH_KEYWORDS },
    { "iterate", (PyCFunction)_wrap_gst_scheduler_iterate, METH_NOARGS },
    { "use_clock", (PyCFunction)_wrap_gst_scheduler_use_clock, METH_VARARGS|METH_KEYWORDS },
    { "set_clock", (PyCFunction)_wrap_gst_scheduler_set_clock, METH_VARARGS|METH_KEYWORDS },
    { "get_clock", (PyCFunction)_wrap_gst_scheduler_get_clock, METH_NOARGS },
    { "auto_clock", (PyCFunction)_wrap_gst_scheduler_auto_clock, METH_NOARGS },
    { "show", (PyCFunction)_wrap_gst_scheduler_show, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstScheduler_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Scheduler",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstScheduler_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstSchedulerFactory ----------- */

static int
_wrap_gst_scheduler_factory_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "longdesc", "type", NULL };
    char *name, *longdesc;
    PyObject *py_type = NULL;
    GType type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "ssO:GstSchedulerFactory.__init__", kwlist, &name, &longdesc, &py_type))
        return -1;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return -1;
    self->obj = (GObject *)gst_scheduler_factory_new(name, longdesc, type);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstSchedulerFactory object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

static PyObject *
_wrap_gst_scheduler_factory_destroy(PyGObject *self)
{
    gst_scheduler_factory_destroy(GST_SCHEDULER_FACTORY(self->obj));
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_factory_create(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "parent", NULL };
    PyGObject *parent;
    GstScheduler *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:GstSchedulerFactory.create", kwlist, &PyGstElement_Type, &parent))
        return NULL;
    ret = gst_scheduler_factory_create(GST_SCHEDULER_FACTORY(self->obj), GST_ELEMENT(parent->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyMethodDef _PyGstSchedulerFactory_methods[] = {
    { "destroy", (PyCFunction)_wrap_gst_scheduler_factory_destroy, METH_NOARGS },
    { "create", (PyCFunction)_wrap_gst_scheduler_factory_create, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstSchedulerFactory_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.SchedulerFactory",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstSchedulerFactory_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_scheduler_factory_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstSystemClock ----------- */

PyTypeObject PyGstSystemClock_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.SystemClock",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstThread ----------- */

static int
_wrap_gst_thread_new(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "|z:GstThread.__init__", kwlist, &name))
        return -1;
    self->obj = (GObject *)gst_thread_new(name);

    if (!self->obj) {
        PyErr_SetString(PyExc_RuntimeError, "could not create GstThread object");
        return -1;
    }
    pygobject_register_wrapper((PyObject *)self);
    return 0;
}

PyTypeObject PyGstThread_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.Thread",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_thread_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstTypeFindFactory ----------- */

#line 1287 "gst.override"
static PyObject *
_wrap_gst_type_find_factory_get_caps(PyGObject *self)
{
	GstCaps *ret = (GstCaps*)gst_type_find_factory_get_caps(GST_TYPE_FIND_FACTORY(self->obj));
	return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}
#line 6749 "gst.c"


static PyMethodDef _PyGstTypeFindFactory_methods[] = {
    { "get_caps", (PyCFunction)_wrap_gst_type_find_factory_get_caps, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstTypeFindFactory_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.TypeFindFactory",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstTypeFindFactory_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)pygobject_no_constructor,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstXML ----------- */

#line 1466 "gst.override"

extern PyObject * libxml_xmlDocPtrWrap(xmlDocPtr doc);
extern PyObject * libxml_xmlNodePtrWrap(xmlNodePtr node);
 
/* libxml2 available check */
static PyObject *
_gst_get_libxml2_module(void)
{
    PyObject *xml = NULL;
    
    xml = PyImport_ImportModule("libxml2");
    if (!xml) {
	PyErr_Clear();
	PyErr_SetString(PyExc_RuntimeError,"libxml2 bindings required");
	return NULL;
    }
    
    return xml;
 }

static int
_wrap_gst_xml_new(PyGObject *self)
{
    PyObject *xml = _gst_get_libxml2_module();
    
    if(!xml)
	return -1;
       
    self->obj = (GObject *)gst_xml_new();
    
    if (!self->obj) {
	PyErr_SetString(PyExc_RuntimeError, "could not create GstXML object");
	return -1;
    }
    
    pygobject_register_wrapper((PyObject *)self);
    
    return 0;
}
#line 6846 "gst.c"


static PyObject *
_wrap_gst_xml_parse_doc(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "doc", "root", NULL };
    PyObject *xml = _gst_get_libxml2_module(), *o, *xobj, *pydoc;
    int root_len, ret;
    guchar *root;
    xmlDocPtr doc;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "Os#:GstXML.parse_doc", kwlist, &pydoc, &root, &root_len))
        return NULL;
    if(xml == NULL) return NULL;
    xobj = PyObject_GetAttrString(xml, "xmlDoc");
    if(!PyObject_IsInstance(pydoc, xobj)) {
        PyErr_Clear();
        PyErr_SetString(PyExc_RuntimeError,"doc is not a xmlDoc instance");
        Py_DECREF(xobj);Py_DECREF(xml);
        return NULL;
    }
    o = PyObject_GetAttrString(pydoc, "_o");
    doc = PyCObject_AsVoidPtr(o);
    ret = gst_xml_parse_doc(GST_XML(self->obj), doc, root);
    Py_DECREF(o); Py_DECREF(xobj);Py_DECREF(xml);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_xml_parse_file(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "fname", "root", NULL };
    int fname_len, root_len, ret;
    guchar *fname, *root;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s#s#:GstXML.parse_file", kwlist, &fname, &fname_len, &root, &root_len))
        return NULL;
    ret = gst_xml_parse_file(GST_XML(self->obj), fname, root);
    return PyBool_FromLong(ret);

}

#line 1526 "gst.override"
static PyObject * 
_wrap_gst_xml_parse_memory(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "buffer", "root", NULL };
    int buffer_len, ret;
    char *root = NULL;
    guchar *buffer;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,
                                    "s#|s:GstXML.parse_memory",
                                    kwlist, &buffer, &buffer_len, &root))
        return NULL;
    
    ret = gst_xml_parse_memory(GST_XML(self->obj),
			       buffer, buffer_len, root);
    
    return PyBool_FromLong(ret);
}
#line 6909 "gst.c"


static PyObject *
_wrap_gst_xml_get_element(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    int name_len;
    guchar *name;
    GstElement *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s#:GstXML.get_element", kwlist, &name, &name_len))
        return NULL;
    ret = gst_xml_get_element(GST_XML(self->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

#line 1507 "gst.override"
static PyObject *
_wrap_gst_xml_get_topelements(PyGObject *self)
{
    GList *l, *xml_elements;
    PyObject *py_list;

    py_list = PyList_New(0);

    xml_elements = gst_xml_get_topelements(GST_XML(self->obj));
    for (l = xml_elements; l; l = l->next) {
	GstElement *element = (GstElement*)l->data;
	
	PyList_Append(py_list, pygobject_new(G_OBJECT(element)));
    }
       
    return py_list;
}
#line 6945 "gst.c"


static PyMethodDef _PyGstXML_methods[] = {
    { "parse_doc", (PyCFunction)_wrap_gst_xml_parse_doc, METH_VARARGS|METH_KEYWORDS },
    { "parse_file", (PyCFunction)_wrap_gst_xml_parse_file, METH_VARARGS|METH_KEYWORDS },
    { "parse_memory", (PyCFunction)_wrap_gst_xml_parse_memory, METH_VARARGS|METH_KEYWORDS },
    { "get_element", (PyCFunction)_wrap_gst_xml_get_element, METH_VARARGS|METH_KEYWORDS },
    { "get_topelements", (PyCFunction)_wrap_gst_xml_get_topelements, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstXML_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.XML",			/* tp_name */
    sizeof(PyGObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    offsetof(PyGObject, weakreflist),             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstXML_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    offsetof(PyGObject, inst_dict),                 /* tp_dictoffset */
    (initproc)_wrap_gst_xml_new,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstURIHandler ----------- */

static PyObject *
_wrap_gst_uri_handler_get_uri_type(PyGObject *self)
{
    int ret;

    ret = gst_uri_handler_get_uri_type(GST_URI_HANDLER(self->obj));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_uri_handler_get_uri(PyGObject *self)
{
    const gchar *ret;

    ret = gst_uri_handler_get_uri(GST_URI_HANDLER(self->obj));
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_uri_handler_set_uri(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "uri", NULL };
    char *uri;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstURIHandler.set_uri", kwlist, &uri))
        return NULL;
    ret = gst_uri_handler_set_uri(GST_URI_HANDLER(self->obj), uri);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_uri_handler_new_uri(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "uri", NULL };
    char *uri;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:GstURIHandler.new_uri", kwlist, &uri))
        return NULL;
    gst_uri_handler_new_uri(GST_URI_HANDLER(self->obj), uri);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyMethodDef _PyGstURIHandler_methods[] = {
    { "get_uri_type", (PyCFunction)_wrap_gst_uri_handler_get_uri_type, METH_NOARGS },
    { "get_uri", (PyCFunction)_wrap_gst_uri_handler_get_uri, METH_NOARGS },
    { "set_uri", (PyCFunction)_wrap_gst_uri_handler_set_uri, METH_VARARGS|METH_KEYWORDS },
    { "new_uri", (PyCFunction)_wrap_gst_uri_handler_new_uri, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstURIHandler_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.URIHandler",			/* tp_name */
    sizeof(PyObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstURIHandler_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)0,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstTagSetter ----------- */

static PyObject *
_wrap_gst_tag_setter_merge(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "list", "mode", NULL };
    GstTagList *list = NULL;
    PyObject *py_list, *py_mode = NULL;
    GstTagMergeMode mode;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO:GstTagSetter.merge", kwlist, &py_list, &py_mode))
        return NULL;
    if (pyg_boxed_check(py_list, GST_TYPE_TAG_LIST))
        list = pyg_boxed_get(py_list, GstTagList);
    else {
        PyErr_SetString(PyExc_TypeError, "list should be a GstTagList");
        return NULL;
    }
    if (pyg_enum_get_value(GST_TYPE_TAG_MERGE_MODE, py_mode, (gint *)&mode))
        return NULL;
    gst_tag_setter_merge(GST_TAG_SETTER(self->obj), list, mode);
    Py_INCREF(Py_None);
    return Py_None;
}

#line 1546 "gst.override"
static PyObject *
_wrap_gst_tag_setter_get_list(PyGObject *self)
{
    GstTagList *ret;

    ret = (GstTagList*)gst_tag_setter_get_list(GST_TAG_SETTER(self->obj));
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_TAG_LIST, ret, TRUE, TRUE);
}
#line 7144 "gst.c"


static PyObject *
_wrap_gst_tag_setter_set_merge_mode(PyGObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "mode", NULL };
    PyObject *py_mode = NULL;
    GstTagMergeMode mode;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:GstTagSetter.set_merge_mode", kwlist, &py_mode))
        return NULL;
    if (pyg_enum_get_value(GST_TYPE_TAG_MERGE_MODE, py_mode, (gint *)&mode))
        return NULL;
    gst_tag_setter_set_merge_mode(GST_TAG_SETTER(self->obj), mode);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_tag_setter_get_merge_mode(PyGObject *self)
{
    gint ret;

    ret = gst_tag_setter_get_merge_mode(GST_TAG_SETTER(self->obj));
    return pyg_enum_from_gtype(GST_TYPE_TAG_MERGE_MODE, ret);
}

static PyMethodDef _PyGstTagSetter_methods[] = {
    { "merge", (PyCFunction)_wrap_gst_tag_setter_merge, METH_VARARGS|METH_KEYWORDS },
    { "get_list", (PyCFunction)_wrap_gst_tag_setter_get_list, METH_NOARGS },
    { "set_merge_mode", (PyCFunction)_wrap_gst_tag_setter_set_merge_mode, METH_VARARGS|METH_KEYWORDS },
    { "get_merge_mode", (PyCFunction)_wrap_gst_tag_setter_get_merge_mode, METH_NOARGS },
    { NULL, NULL, 0 }
};

PyTypeObject PyGstTagSetter_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.TagSetter",			/* tp_name */
    sizeof(PyObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    _PyGstTagSetter_methods,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)0,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- GstImplementsInterface ----------- */

PyTypeObject PyGstImplementsInterface_Type = {
    PyObject_HEAD_INIT(NULL)
    0,					/* ob_size */
    "gst.ImplementsInterface",			/* tp_name */
    sizeof(PyObject),	        /* tp_basicsize */
    0,					/* tp_itemsize */
    /* methods */
    (destructor)0,	/* tp_dealloc */
    (printfunc)0,			/* tp_print */
    (getattrfunc)0,	/* tp_getattr */
    (setattrfunc)0,	/* tp_setattr */
    (cmpfunc)0,		/* tp_compare */
    (reprfunc)0,		/* tp_repr */
    (PyNumberMethods*)0,     /* tp_as_number */
    (PySequenceMethods*)0, /* tp_as_sequence */
    (PyMappingMethods*)0,   /* tp_as_mapping */
    (hashfunc)0,		/* tp_hash */
    (ternaryfunc)0,		/* tp_call */
    (reprfunc)0,		/* tp_str */
    (getattrofunc)0,			/* tp_getattro */
    (setattrofunc)0,			/* tp_setattro */
    (PyBufferProcs*)0,	/* tp_as_buffer */
    Py_TPFLAGS_DEFAULT | Py_TPFLAGS_BASETYPE,                      /* tp_flags */
    NULL, 				/* Documentation string */
    (traverseproc)0,	/* tp_traverse */
    (inquiry)0,		/* tp_clear */
    (richcmpfunc)0,	/* tp_richcompare */
    0,             /* tp_weaklistoffset */
    (getiterfunc)0,		/* tp_iter */
    (iternextfunc)0,	/* tp_iternext */
    NULL,			/* tp_methods */
    0,					/* tp_members */
    0,		       	/* tp_getset */
    NULL,				/* tp_base */
    NULL,				/* tp_dict */
    (descrgetfunc)0,	/* tp_descr_get */
    (descrsetfunc)0,	/* tp_descr_set */
    0,                 /* tp_dictoffset */
    (initproc)0,		/* tp_init */
    (allocfunc)0,           /* tp_alloc */
    (newfunc)0,               /* tp_new */
    (freefunc)0,             /* tp_free */
    (inquiry)0              /* tp_is_gc */
};



/* ----------- functions ----------- */

static PyObject *
_wrap_gst_buffer_new_and_alloc(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "size", NULL };
    int size;
    GstBuffer *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:buffer_new_and_alloc", kwlist, &size))
        return NULL;
    ret = gst_buffer_new_and_alloc(size);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_BUFFER, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_new_any(PyObject *self)
{
    GstCaps *ret;

    ret = gst_caps_new_any();
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_from_string(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "string", NULL };
    char *string;
    GstCaps *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:caps_from_string", kwlist, &string))
        return NULL;
    ret = gst_caps_from_string(string);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_CAPS, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_caps_structure_fixate_field_nearest_int(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "structure", "field_name", "target", NULL };
    PyObject *py_structure;
    char *field_name;
    int target, ret;
    GstStructure *structure = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "Osi:caps_structure_fixate_field_nearest_int", kwlist, &py_structure, &field_name, &target))
        return NULL;
    if (pyg_boxed_check(py_structure, GST_TYPE_STRUCTURE))
        structure = pyg_boxed_get(py_structure, GstStructure);
    else {
        PyErr_SetString(PyExc_TypeError, "structure should be a GstStructure");
        return NULL;
    }
    ret = gst_caps_structure_fixate_field_nearest_int(structure, field_name, target);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_caps_structure_fixate_field_nearest_double(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "structure", "field_name", "target", NULL };
    PyObject *py_structure;
    char *field_name;
    int ret;
    GstStructure *structure = NULL;
    double target;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "Osd:caps_structure_fixate_field_nearest_double", kwlist, &py_structure, &field_name, &target))
        return NULL;
    if (pyg_boxed_check(py_structure, GST_TYPE_STRUCTURE))
        structure = pyg_boxed_get(py_structure, GstStructure);
    else {
        PyErr_SetString(PyExc_TypeError, "structure should be a GstStructure");
        return NULL;
    }
    ret = gst_caps_structure_fixate_field_nearest_double(structure, field_name, target);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_cpu_get_flags(PyObject *self)
{
    guint ret;

    ret = gst_cpu_get_flags();
    return pyg_flags_from_gtype(GST_TYPE_CPU_FLAGS, ret);
}

static PyObject *
_wrap_gst_element_default_error(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "object", "orig", "error", "debug", NULL };
    PyGObject *object, *orig;
    PyObject *py_error;
    char *debug;
    GError *error = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O!Os:element_default_error", kwlist, &PyGObject_Type, &object, &PyGstObject_Type, &orig, &py_error, &debug))
        return NULL;
    if (pyg_boxed_check(py_error, GST_TYPE_G_ERROR))
        error = pyg_boxed_get(py_error, GError);
    else {
        PyErr_SetString(PyExc_TypeError, "error should be a GError");
        return NULL;
    }
    gst_element_default_error(G_OBJECT(object->obj), GST_OBJECT(orig->obj), error, debug);
    Py_INCREF(Py_None);
    return Py_None;
}

#line 285 "gst.override"
static PyObject *
_wrap_gst_element_link_many(PyObject *self, PyObject *args)
{
	PyGObject *element, *element2;
	int i, len;

	len = PyTuple_Size(args);
	if (len < 2)
	{
		PyErr_SetString(PyExc_TypeError, "gst.element_link_many requires at least two argument");
		return NULL;
	}
       

	for (i = 0; i < len; i++)
	{
		element = (PyGObject*)PyTuple_GetItem(args, i);
		if (!pygobject_check(element, &PyGstElement_Type))
		{
			PyErr_SetString(PyExc_TypeError, "argument must be a GstElement");
			return NULL;
		}
	}

	/* Mimic the real gst_element_link_many */
	element = (PyGObject*)PyTuple_GetItem(args, 0);
	element2 = (PyGObject*)PyTuple_GetItem(args, 1);

	i = 2;
	while (1) {

		if (!gst_element_link(GST_ELEMENT(element->obj),
                                      GST_ELEMENT(element2->obj)))
                {
                    PyErr_SetString(PyGstExc_LinkError, "link failed");
                    return NULL;
                }

		if (i >= len)
			break;
		
		element = element2;
		element2 = (PyGObject*)PyTuple_GetItem(args, i);
	
		i++;
	}

	return PyInt_FromLong(1);
}


#line 7444 "gst.c"


#line 452 "gst.override"
static PyObject *
_wrap_gst_element_unlink_many(PyObject *self, PyObject *args)
{
	PyGObject *element, *element2;
	int i, len;

	len = PyTuple_Size(args);
	if (len < 2)
	{
		PyErr_SetString(PyExc_TypeError, "gst.element_unlink_many requires at least two arguments");
		return NULL;
	}
       

	for (i = 0; i < len; i++)
	{
		element = (PyGObject*)PyTuple_GetItem(args, i);
		if (!pygobject_check(element, &PyGstElement_Type))
		{
			PyErr_SetString(PyExc_TypeError, "argument must be a GstElement");
			return NULL;
		}
	}

	/* Mimic the real gst_element_unlink_many */
	element = (PyGObject*)PyTuple_GetItem(args, 0);
	element2 = (PyGObject*)PyTuple_GetItem(args, 1);

	i = 2;
	while (1) {
		gst_element_unlink(GST_ELEMENT(element->obj), GST_ELEMENT(element2->obj));

		if (i >= len)
			break;
		
		element = element2;
		element2 = (PyGObject*)PyTuple_GetItem(args, i);
	
		i++;
	}
	Py_INCREF(Py_None);
	return Py_None;
}


#line 7493 "gst.c"


static PyObject *
_wrap_gst_element_register(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", "elementname", "rank", "type", NULL };
    PyObject *py_plugin, *py_type = NULL;
    char *elementname;
    int rank, ret;
    GType type;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OsiO:element_register", kwlist, &py_plugin, &elementname, &rank, &py_type))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    if ((type = pyg_type_from_object(py_type)) == 0)
        return NULL;
    ret = gst_element_register(plugin, elementname, rank, type);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_element_factory_find(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstElementFactory *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:element_factory_find", kwlist, &name))
        return NULL;
    ret = gst_element_factory_find(name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_factory_make(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "factoryname", "name", NULL };
    char *factoryname, *name = NULL;
    GstElement *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s|z:element_factory_make", kwlist, &factoryname, &name))
        return NULL;
    ret = gst_element_factory_make(factoryname, name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_element_state_get_name(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "state", NULL };
    PyObject *py_state = NULL;
    const gchar *ret;
    GstElementState state;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:element_state_get_name", kwlist, &py_state))
        return NULL;
    if (pyg_flags_get_value(GST_TYPE_ELEMENT_STATE, py_state, (gint *)&state))
        return NULL;
    ret = gst_element_state_get_name(state);
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_event_new_seek(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "type", "offset", NULL };
    PyObject *py_type = NULL;
    gint64 offset;
    GstEvent *ret;
    GstSeekType type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OL:event_new_seek", kwlist, &py_type, &offset))
        return NULL;
    if (pyg_flags_get_value(GST_TYPE_SEEK_TYPE, py_type, (gint *)&type))
        return NULL;
    ret = gst_event_new_seek(type, offset);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_EVENT, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_event_new_segment_seek(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "type", "start", "stop", NULL };
    PyObject *py_type = NULL;
    gint64 start, stop;
    GstEvent *ret;
    GstSeekType type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OLL:event_new_segment_seek", kwlist, &py_type, &start, &stop))
        return NULL;
    if (pyg_flags_get_value(GST_TYPE_SEEK_TYPE, py_type, (gint *)&type))
        return NULL;
    ret = gst_event_new_segment_seek(type, start, stop);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_EVENT, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_event_new_size(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "format", "value", NULL };
    PyObject *py_format = NULL;
    GstFormat format;
    GstEvent *ret;
    gint64 value;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OL:event_new_size", kwlist, &py_format, &value))
        return NULL;
    if (pyg_enum_get_value(GST_TYPE_FORMAT, py_format, (gint *)&format))
        return NULL;
    ret = gst_event_new_size(format, value);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_EVENT, ret, TRUE, TRUE);
}

#line 1340 "gst.override"
static PyObject *
_wrap_gst_event_new_any(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "structure", NULL };
    PyObject *py_structure;
    GstStructure *structure = NULL;
    GstEvent *event;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,
            "O:event_new_any", kwlist, &py_structure))
        return NULL;
    if (pyg_boxed_check(py_structure, GST_TYPE_STRUCTURE))
        structure = pyg_boxed_get(py_structure, GstStructure);
    else {
        PyErr_SetString(PyExc_TypeError,
            "structure should be a GstStructure");
        return NULL;
    }

    event = gst_event_new (GST_EVENT_ANY);
    if (!event) {
        PyErr_SetString(PyExc_RuntimeError,
            "could not create GstEvent object");
        return NULL;
    }
    event->event_data.structure.structure = gst_structure_copy(structure);

    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_EVENT, event, TRUE, TRUE);
}
#line 7653 "gst.c"


#line 1390 "gst.override"
static PyObject *
_wrap_gst_event_new_discontinuous(PyObject *self, PyObject *args,
    PyObject *kwargs)
{
    static char *kwlist[] = { "new_media", "format", "value", NULL };
    int new_media = FALSE;
    PyObject *py_format = NULL;
    gint64 value = 0;
    GstFormat format;
    GstEvent *event;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs,
            "iOL:event_new_discontinuous", kwlist, &new_media, &py_format,
            &value)) {
        return NULL;
    }
    if (pyg_enum_get_value(GST_TYPE_FORMAT, py_format, (gint *) &format)) {
        return NULL;
    }

    event = gst_event_new_discontinuous (new_media, format, value,
        GST_FORMAT_UNDEFINED);

    return pyg_boxed_new(GST_TYPE_EVENT, event, TRUE, TRUE);
}
#line 7682 "gst.c"


static PyObject *
_wrap_gst_format_register(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "nick", "description", NULL };
    char *nick, *description;
    gint ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "ss:format_register", kwlist, &nick, &description))
        return NULL;
    ret = gst_format_register(nick, description);
    return pyg_enum_from_gtype(GST_TYPE_FORMAT, ret);
}

static PyObject *
_wrap_gst_format_get_by_nick(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "nick", NULL };
    char *nick;
    gint ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:format_get_by_nick", kwlist, &nick))
        return NULL;
    ret = gst_format_get_by_nick(nick);
    return pyg_enum_from_gtype(GST_TYPE_FORMAT, ret);
}

static PyObject *
_wrap_gst_use_threads(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "use_threads", NULL };
    int use_threads;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:use_threads", kwlist, &use_threads))
        return NULL;
    gst_use_threads(use_threads);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_has_threads(PyObject *self)
{
    int ret;

    ret = gst_has_threads();
    return PyBool_FromLong(ret);

}

#line 1311 "gst.override"
static PyObject *
_wrap_gst_main(PyObject *self)
{
        pyg_begin_allow_threads;

	_pygst_main();

        pyg_end_allow_threads;
	
	if (PyErr_Occurred())
		return NULL;
	
        Py_INCREF(Py_None);
        return Py_None;

}
#line 7751 "gst.c"


#line 1329 "gst.override"
static PyObject *
_wrap_gst_main_quit(PyObject *self)
{

    _pygst_main_quit();
    
    Py_INCREF(Py_None);
    return Py_None;
}
#line 7764 "gst.c"


static PyObject *
_wrap_gst_index_factory_find(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstIndexFactory *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:index_factory_find", kwlist, &name))
        return NULL;
    ret = gst_index_factory_find(name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_index_factory_make(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstIndex *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:index_factory_make", kwlist, &name))
        return NULL;
    ret = gst_index_factory_make(name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_debug_set_active(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "active", NULL };
    int active;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:debug_set_active", kwlist, &active))
        return NULL;
    gst_debug_set_active(active);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_debug_is_active(PyObject *self)
{
    int ret;

    ret = gst_debug_is_active();
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_debug_set_colored(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "colored", NULL };
    int colored;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:debug_set_colored", kwlist, &colored))
        return NULL;
    gst_debug_set_colored(colored);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_debug_is_colored(PyObject *self)
{
    int ret;

    ret = gst_debug_is_colored();
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_debug_set_default_threshold(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "level", NULL };
    PyObject *py_level = NULL;
    GstDebugLevel level;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:debug_set_default_threshold", kwlist, &py_level))
        return NULL;
    if (pyg_enum_get_value(GST_TYPE_DEBUG_LEVEL, py_level, (gint *)&level))
        return NULL;
    gst_debug_set_default_threshold(level);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_debug_get_default_threshold(PyObject *self)
{
    gint ret;

    ret = gst_debug_get_default_threshold();
    return pyg_enum_from_gtype(GST_TYPE_DEBUG_LEVEL, ret);
}

static PyObject *
_wrap_gst_debug_set_threshold_for_name(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "level", NULL };
    char *name;
    PyObject *py_level = NULL;
    GstDebugLevel level;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO:debug_set_threshold_for_name", kwlist, &name, &py_level))
        return NULL;
    if (pyg_enum_get_value(GST_TYPE_DEBUG_LEVEL, py_level, (gint *)&level))
        return NULL;
    gst_debug_set_threshold_for_name(name, level);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_debug_unset_threshold_for_name(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:debug_unset_threshold_for_name", kwlist, &name))
        return NULL;
    gst_debug_unset_threshold_for_name(name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_debug_construct_term_color(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "colorinfo", NULL };
    int colorinfo;
    gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "i:debug_construct_term_color", kwlist, &colorinfo))
        return NULL;
    ret = gst_debug_construct_term_color(colorinfo);
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_debug_print_stack_trace(PyObject *self)
{
    gst_debug_print_stack_trace();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_pad_new_from_template(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "templ", "name", NULL };
    PyGObject *templ;
    char *name;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!s:pad_new_from_template", kwlist, &PyGstPadTemplate_Type, &templ, &name))
        return NULL;
    ret = gst_pad_new_from_template(GST_PAD_TEMPLATE(templ->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_pad_custom_new_from_template(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "type", "templ", "name", NULL };
    PyObject *py_type = NULL;
    PyGObject *templ;
    GType type;
    char *name;
    GstPad *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO!s:pad_custom_new_from_template", kwlist, &py_type, &PyGstPadTemplate_Type, &templ, &name))
        return NULL;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return NULL;
    ret = gst_pad_custom_new_from_template(type, GST_PAD_TEMPLATE(templ->obj), name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_parse_launch(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "pipeline_description", NULL };
    char *pipeline_description;
    GstElement *ret;
    GError *error = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:parse_launch", kwlist, &pipeline_description))
        return NULL;
    ret = gst_parse_launch(pipeline_description, &error);
    if (pyg_error_check(&error))
        return NULL;
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_plugin_load_file(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "filename", NULL };
    char *filename;
    GError *error = NULL;
    GstPlugin *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:plugin_load_file", kwlist, &filename))
        return NULL;
    ret = gst_plugin_load_file(filename, &error);
    if (pyg_error_check(&error))
        return NULL;
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_PLUGIN, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_plugin_load(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:plugin_load", kwlist, &name))
        return NULL;
    ret = gst_plugin_load(name);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_library_load(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:library_load", kwlist, &name))
        return NULL;
    ret = gst_library_load(name);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_query_type_register(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "nick", "description", NULL };
    char *nick, *description;
    gint ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "ss:query_type_register", kwlist, &nick, &description))
        return NULL;
    ret = gst_query_type_register(nick, description);
    return pyg_enum_from_gtype(GST_TYPE_QUERY_TYPE, ret);
}

static PyObject *
_wrap_gst_query_type_get_by_nick(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "nick", NULL };
    char *nick;
    gint ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:query_type_get_by_nick", kwlist, &nick))
        return NULL;
    ret = gst_query_type_get_by_nick(nick);
    return pyg_enum_from_gtype(GST_TYPE_QUERY_TYPE, ret);
}

static PyObject *
_wrap_gst_registry_pool_add_plugin(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "plugin", NULL };
    PyObject *py_plugin;
    GstPlugin *plugin = NULL;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:registry_pool_add_plugin", kwlist, &py_plugin))
        return NULL;
    if (pyg_boxed_check(py_plugin, GST_TYPE_PLUGIN))
        plugin = pyg_boxed_get(py_plugin, GstPlugin);
    else {
        PyErr_SetString(PyExc_TypeError, "plugin should be a GstPlugin");
        return NULL;
    }
    gst_registry_pool_add_plugin(plugin);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_registry_pool_load_all(PyObject *self)
{
    gst_registry_pool_load_all();
    Py_INCREF(Py_None);
    return Py_None;
}

#line 1417 "gst.override"
static PyObject *
_wrap_gst_registry_pool_plugin_list(PyGObject *self)
{
	GList *l, *plugins;
	PyObject *list;
	
	plugins = gst_registry_pool_plugin_list();

	list = PyList_New(0);
	for (l = plugins; l; l = l->next) {
		GstPlugin *plugin = (GstPlugin*)l->data;
		PyList_Append(list,
			      pyg_boxed_new(GST_TYPE_PLUGIN, plugin, TRUE, TRUE));
	}
	g_list_free(plugins);
	
	return list;
}
#line 8092 "gst.c"


#line 1437 "gst.override"
static PyObject *
_wrap_gst_registry_pool_feature_list(PyGObject *self, PyObject *args)
{
	GList *l, *features;
	PyObject *pygtype, *list;
	GType gtype;
	
	if (!PyArg_ParseTuple(args, "O:registry_pool_feature_list",
			      &pygtype))
		return NULL;

	gtype = pyg_type_from_object (pygtype);
	if (!gtype)
		return NULL;
	
	features = gst_registry_pool_feature_list(gtype);

	list = PyList_New(0);
	for (l = features; l; l = l->next) {
		GstPluginFeature *feature = (GstPluginFeature*)l->data;
		PyList_Append(list, pygobject_new (G_OBJECT (feature)));

	}
	g_list_free(features);
		
	return list;
}
#line 8123 "gst.c"


static PyObject *
_wrap_gst_registry_pool_find_plugin(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstPlugin *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:registry_pool_find_plugin", kwlist, &name))
        return NULL;
    ret = gst_registry_pool_find_plugin(name);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_PLUGIN, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_registry_pool_find_feature(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "type", NULL };
    char *name;
    PyObject *py_type = NULL;
    GType type;
    GstPluginFeature *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO:registry_pool_find_feature", kwlist, &name, &py_type))
        return NULL;
    if ((type = pyg_type_from_object(py_type)) == 0)
        return NULL;
    ret = gst_registry_pool_find_feature(name, type);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_registry_pool_get_prefered(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "flags", NULL };
    GstRegistryFlags flags;
    PyObject *py_flags = NULL;
    GstRegistry *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:registry_pool_get_prefered", kwlist, &py_flags))
        return NULL;
    if (pyg_flags_get_value(GST_TYPE_REGISTRY_FLAGS, py_flags, (gint *)&flags))
        return NULL;
    ret = gst_registry_pool_get_prefered(flags);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_scheduler_factory_find(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;
    GstSchedulerFactory *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:scheduler_factory_find", kwlist, &name))
        return NULL;
    ret = gst_scheduler_factory_find(name);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_scheduler_factory_make(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", "parent", NULL };
    char *name;
    PyGObject *parent;
    GstScheduler *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "sO!:scheduler_factory_make", kwlist, &name, &PyGstElement_Type, &parent))
        return NULL;
    ret = gst_scheduler_factory_make(name, GST_ELEMENT(parent->obj));
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_scheduler_factory_set_default_name(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "name", NULL };
    char *name;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:scheduler_factory_set_default_name", kwlist, &name))
        return NULL;
    gst_scheduler_factory_set_default_name(name);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_scheduler_factory_get_default_name(PyObject *self)
{
    const gchar *ret;

    ret = gst_scheduler_factory_get_default_name();
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

#line 1129 "gst.override"
static PyObject *
_wrap_gst_structure_from_string(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "string", NULL };
    char *string;
    GstStructure *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:structure_from_string", kwlist, &string))
        return NULL;
    
    ret = gst_structure_from_string(string, NULL);
    
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_STRUCTURE, ret, TRUE, TRUE);
}
#line 8245 "gst.c"


static PyObject *
_wrap_gst_system_clock_obtain(PyObject *self)
{
    GstClock *ret;

    ret = gst_system_clock_obtain();
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_tag_exists(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "tag", NULL };
    char *tag;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:tag_exists", kwlist, &tag))
        return NULL;
    ret = gst_tag_exists(tag);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_tag_get_nick(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "tag", NULL };
    char *tag;
    const gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:tag_get_nick", kwlist, &tag))
        return NULL;
    ret = gst_tag_get_nick(tag);
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_tag_get_description(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "tag", NULL };
    char *tag;
    const gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:tag_get_description", kwlist, &tag))
        return NULL;
    ret = gst_tag_get_description(tag);
    if (ret)
        return PyString_FromString(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_tag_is_fixed(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "tag", NULL };
    char *tag;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:tag_is_fixed", kwlist, &tag))
        return NULL;
    ret = gst_tag_is_fixed(tag);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_event_new_tag(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "list", NULL };
    GstTagList *list = NULL;
    PyObject *py_list;
    GstEvent *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:event_new_tag", kwlist, &py_list))
        return NULL;
    if (pyg_boxed_check(py_list, GST_TYPE_TAG_LIST))
        list = pyg_boxed_get(py_list, GstTagList);
    else {
        PyErr_SetString(PyExc_TypeError, "list should be a GstTagList");
        return NULL;
    }
    ret = gst_event_new_tag(list);
    /* pyg_boxed_new handles NULL checking */
    return pyg_boxed_new(GST_TYPE_EVENT, ret, TRUE, TRUE);
}

static PyObject *
_wrap_gst_thread_get_current(PyObject *self)
{
    GstThread *ret;

    ret = gst_thread_get_current();
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_alloc_trace_available(PyObject *self)
{
    int ret;

    ret = gst_alloc_trace_available();
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_alloc_trace_live_all(PyObject *self)
{
    int ret;

    ret = gst_alloc_trace_live_all();
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_alloc_trace_print_all(PyObject *self)
{
    gst_alloc_trace_print_all();
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_alloc_trace_set_flags_all(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "flags", NULL };
    PyObject *py_flags = NULL;
    GstAllocTraceFlags flags;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O:alloc_trace_set_flags_all", kwlist, &py_flags))
        return NULL;
    if (pyg_flags_get_value(GST_TYPE_ALLOC_TRACE_FLAGS, py_flags, (gint *)&flags))
        return NULL;
    gst_alloc_trace_set_flags_all(flags);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_uri_protocol_is_valid(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "protocol", NULL };
    char *protocol;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:uri_protocol_is_valid", kwlist, &protocol))
        return NULL;
    ret = gst_uri_protocol_is_valid(protocol);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_uri_is_valid(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "uri", NULL };
    char *uri;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:uri_is_valid", kwlist, &uri))
        return NULL;
    ret = gst_uri_is_valid(uri);
    return PyBool_FromLong(ret);

}

static PyObject *
_wrap_gst_uri_get_protocol(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "uri", NULL };
    char *uri;
    gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:uri_get_protocol", kwlist, &uri))
        return NULL;
    ret = gst_uri_get_protocol(uri);
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_uri_get_location(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "uri", NULL };
    char *uri;
    gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s:uri_get_location", kwlist, &uri))
        return NULL;
    ret = gst_uri_get_location(uri);
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_uri_construct(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "protocol", "location", NULL };
    char *protocol, *location;
    gchar *ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "ss:uri_construct", kwlist, &protocol, &location))
        return NULL;
    ret = gst_uri_construct(protocol, location);
    if (ret) {
        PyObject *py_ret = PyString_FromString(ret);
        g_free(ret);
        return py_ret;
    }
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_element_make_from_uri(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "type", "uri", "elementname", NULL };
    PyObject *py_type = NULL;
    char *uri, *elementname;
    GstElement *ret;
    GstURIType type;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "Oss:element_make_from_uri", kwlist, &py_type, &uri, &elementname))
        return NULL;
    if (pyg_enum_get_value(GST_TYPE_URI_TYPE, py_type, (gint *)&type))
        return NULL;
    ret = gst_element_make_from_uri(type, uri, elementname);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

static PyObject *
_wrap_gst_uri_get_uri_type(PyObject *self)
{
    GType ret;

    ret = gst_uri_get_uri_type();
    return pyg_type_wrapper_new(ret);
}

static PyObject *
_wrap_gst_util_set_object_arg(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "object", "name", "value", NULL };
    PyGObject *object;
    char *name, *value;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!ss:util_set_object_arg", kwlist, &PyGObject_Type, &object, &name, &value))
        return NULL;
    gst_util_set_object_arg(G_OBJECT(object->obj), name, value);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_util_dump_mem(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "mem", "size", NULL };
    int mem_len, size;
    guchar *mem;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "s#i:util_dump_mem", kwlist, &mem, &mem_len, &size))
        return NULL;
    gst_util_dump_mem(mem, size);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_gst_xml_write(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", NULL };
    PyGObject *element;
    PyObject *xml = _gst_get_libxml2_module(), *xargs, *xobj, *o;
    xmlDocPtr ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!:xml_write", kwlist, &PyGstElement_Type, &element))
        return NULL;
    if(xml == NULL) return NULL;
    ret = gst_xml_write(GST_ELEMENT(element->obj));
    xargs = PyTuple_New(1);
    xobj = PyObject_GetAttrString(xml, "xmlDoc");
    o = libxml_xmlDocPtrWrap(ret);
    PyTuple_SetItem(xargs, 0, o);
    return PyInstance_New(xobj, xargs, PyDict_New());

}

static PyObject *
_wrap_gst_xml_write_file(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "element", "out", NULL };
    PyGObject *element;
    PyObject *out;
    int ret;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "O!O!:xml_write_file", kwlist, &PyGstElement_Type, &element, &PyFile_Type, &out))
        return NULL;
    ret = gst_xml_write_file(GST_ELEMENT(element->obj), PyFile_AsFile(out));
    return PyInt_FromLong(ret);
}

static PyObject *
_wrap_gst_xml_make_element(PyObject *self, PyObject *args, PyObject *kwargs)
{
    static char *kwlist[] = { "cur", "parent", NULL };
    PyObject *xml = _gst_get_libxml2_module(), *o, *xobj, *pycur;
    PyGObject *parent;
    GstElement *ret;
    xmlNodePtr cur;

    if (!PyArg_ParseTupleAndKeywords(args, kwargs, "OO!:xml_make_element", kwlist, &pycur, &PyGstObject_Type, &parent))
        return NULL;
    if(xml == NULL) return NULL;
    xobj = PyObject_GetAttrString(xml, "xmlNode");
    if(!PyObject_IsInstance(pycur, xobj)) {
        PyErr_Clear();
        PyErr_SetString(PyExc_RuntimeError,"cur is not a xmlNode instance");
        Py_DECREF(xobj);Py_DECREF(xml);
        return NULL;
    }
    o = PyObject_GetAttrString(pycur, "_o");
    cur = PyCObject_AsVoidPtr(o);
    ret = gst_xml_make_element(cur, GST_OBJECT(parent->obj));
    Py_DECREF(o); Py_DECREF(xobj);Py_DECREF(xml);
    /* pygobject_new handles NULL checking */
    return pygobject_new((GObject *)ret);
}

PyMethodDef pygst_functions[] = {
    { "buffer_new_and_alloc", (PyCFunction)_wrap_gst_buffer_new_and_alloc, METH_VARARGS|METH_KEYWORDS },
    { "caps_new_any", (PyCFunction)_wrap_gst_caps_new_any, METH_NOARGS },
    { "caps_from_string", (PyCFunction)_wrap_gst_caps_from_string, METH_VARARGS|METH_KEYWORDS },
    { "caps_structure_fixate_field_nearest_int", (PyCFunction)_wrap_gst_caps_structure_fixate_field_nearest_int, METH_VARARGS|METH_KEYWORDS },
    { "caps_structure_fixate_field_nearest_double", (PyCFunction)_wrap_gst_caps_structure_fixate_field_nearest_double, METH_VARARGS|METH_KEYWORDS },
    { "cpu_get_flags", (PyCFunction)_wrap_gst_cpu_get_flags, METH_NOARGS },
    { "element_default_error", (PyCFunction)_wrap_gst_element_default_error, METH_VARARGS|METH_KEYWORDS },
    { "element_link_many", (PyCFunction)_wrap_gst_element_link_many, METH_VARARGS },
    { "element_unlink_many", (PyCFunction)_wrap_gst_element_unlink_many, METH_VARARGS },
    { "element_register", (PyCFunction)_wrap_gst_element_register, METH_VARARGS|METH_KEYWORDS },
    { "element_factory_find", (PyCFunction)_wrap_gst_element_factory_find, METH_VARARGS|METH_KEYWORDS },
    { "element_factory_make", (PyCFunction)_wrap_gst_element_factory_make, METH_VARARGS|METH_KEYWORDS },
    { "element_state_get_name", (PyCFunction)_wrap_gst_element_state_get_name, METH_VARARGS|METH_KEYWORDS },
    { "event_new_seek", (PyCFunction)_wrap_gst_event_new_seek, METH_VARARGS|METH_KEYWORDS },
    { "event_new_segment_seek", (PyCFunction)_wrap_gst_event_new_segment_seek, METH_VARARGS|METH_KEYWORDS },
    { "event_new_size", (PyCFunction)_wrap_gst_event_new_size, METH_VARARGS|METH_KEYWORDS },
    { "event_new_any", (PyCFunction)_wrap_gst_event_new_any, METH_VARARGS|METH_KEYWORDS },
    { "event_new_discontinuous", (PyCFunction)_wrap_gst_event_new_discontinuous, METH_VARARGS|METH_KEYWORDS },
    { "format_register", (PyCFunction)_wrap_gst_format_register, METH_VARARGS|METH_KEYWORDS },
    { "format_get_by_nick", (PyCFunction)_wrap_gst_format_get_by_nick, METH_VARARGS|METH_KEYWORDS },
    { "use_threads", (PyCFunction)_wrap_gst_use_threads, METH_VARARGS|METH_KEYWORDS },
    { "has_threads", (PyCFunction)_wrap_gst_has_threads, METH_NOARGS },
    { "main", (PyCFunction)_wrap_gst_main, METH_NOARGS },
    { "main_quit", (PyCFunction)_wrap_gst_main_quit, METH_VARARGS },
    { "index_factory_find", (PyCFunction)_wrap_gst_index_factory_find, METH_VARARGS|METH_KEYWORDS },
    { "index_factory_make", (PyCFunction)_wrap_gst_index_factory_make, METH_VARARGS|METH_KEYWORDS },
    { "debug_set_active", (PyCFunction)_wrap_gst_debug_set_active, METH_VARARGS|METH_KEYWORDS },
    { "debug_is_active", (PyCFunction)_wrap_gst_debug_is_active, METH_NOARGS },
    { "debug_set_colored", (PyCFunction)_wrap_gst_debug_set_colored, METH_VARARGS|METH_KEYWORDS },
    { "debug_is_colored", (PyCFunction)_wrap_gst_debug_is_colored, METH_NOARGS },
    { "debug_set_default_threshold", (PyCFunction)_wrap_gst_debug_set_default_threshold, METH_VARARGS|METH_KEYWORDS },
    { "debug_get_default_threshold", (PyCFunction)_wrap_gst_debug_get_default_threshold, METH_NOARGS },
    { "debug_set_threshold_for_name", (PyCFunction)_wrap_gst_debug_set_threshold_for_name, METH_VARARGS|METH_KEYWORDS },
    { "debug_unset_threshold_for_name", (PyCFunction)_wrap_gst_debug_unset_threshold_for_name, METH_VARARGS|METH_KEYWORDS },
    { "debug_construct_term_color", (PyCFunction)_wrap_gst_debug_construct_term_color, METH_VARARGS|METH_KEYWORDS },
    { "debug_print_stack_trace", (PyCFunction)_wrap_gst_debug_print_stack_trace, METH_NOARGS },
    { "pad_new_from_template", (PyCFunction)_wrap_gst_pad_new_from_template, METH_VARARGS|METH_KEYWORDS },
    { "pad_custom_new_from_template", (PyCFunction)_wrap_gst_pad_custom_new_from_template, METH_VARARGS|METH_KEYWORDS },
    { "parse_launch", (PyCFunction)_wrap_gst_parse_launch, METH_VARARGS|METH_KEYWORDS },
    { "plugin_load_file", (PyCFunction)_wrap_gst_plugin_load_file, METH_VARARGS|METH_KEYWORDS },
    { "plugin_load", (PyCFunction)_wrap_gst_plugin_load, METH_VARARGS|METH_KEYWORDS },
    { "library_load", (PyCFunction)_wrap_gst_library_load, METH_VARARGS|METH_KEYWORDS },
    { "query_type_register", (PyCFunction)_wrap_gst_query_type_register, METH_VARARGS|METH_KEYWORDS },
    { "query_type_get_by_nick", (PyCFunction)_wrap_gst_query_type_get_by_nick, METH_VARARGS|METH_KEYWORDS },
    { "registry_pool_add_plugin", (PyCFunction)_wrap_gst_registry_pool_add_plugin, METH_VARARGS|METH_KEYWORDS },
    { "registry_pool_load_all", (PyCFunction)_wrap_gst_registry_pool_load_all, METH_NOARGS },
    { "registry_pool_plugin_list", (PyCFunction)_wrap_gst_registry_pool_plugin_list, METH_NOARGS },
    { "registry_pool_feature_list", (PyCFunction)_wrap_gst_registry_pool_feature_list, METH_VARARGS },
    { "registry_pool_find_plugin", (PyCFunction)_wrap_gst_registry_pool_find_plugin, METH_VARARGS|METH_KEYWORDS },
    { "registry_pool_find_feature", (PyCFunction)_wrap_gst_registry_pool_find_feature, METH_VARARGS|METH_KEYWORDS },
    { "registry_pool_get_prefered", (PyCFunction)_wrap_gst_registry_pool_get_prefered, METH_VARARGS|METH_KEYWORDS },
    { "scheduler_factory_find", (PyCFunction)_wrap_gst_scheduler_factory_find, METH_VARARGS|METH_KEYWORDS },
    { "scheduler_factory_make", (PyCFunction)_wrap_gst_scheduler_factory_make, METH_VARARGS|METH_KEYWORDS },
    { "scheduler_factory_set_default_name", (PyCFunction)_wrap_gst_scheduler_factory_set_default_name, METH_VARARGS|METH_KEYWORDS },
    { "scheduler_factory_get_default_name", (PyCFunction)_wrap_gst_scheduler_factory_get_default_name, METH_NOARGS },
    { "structure_from_string", (PyCFunction)_wrap_gst_structure_from_string, METH_VARARGS|METH_KEYWORDS },
    { "system_clock_obtain", (PyCFunction)_wrap_gst_system_clock_obtain, METH_NOARGS },
    { "tag_exists", (PyCFunction)_wrap_gst_tag_exists, METH_VARARGS|METH_KEYWORDS },
    { "tag_get_nick", (PyCFunction)_wrap_gst_tag_get_nick, METH_VARARGS|METH_KEYWORDS },
    { "tag_get_description", (PyCFunction)_wrap_gst_tag_get_description, METH_VARARGS|METH_KEYWORDS },
    { "tag_is_fixed", (PyCFunction)_wrap_gst_tag_is_fixed, METH_VARARGS|METH_KEYWORDS },
    { "event_new_tag", (PyCFunction)_wrap_gst_event_new_tag, METH_VARARGS|METH_KEYWORDS },
    { "thread_get_current", (PyCFunction)_wrap_gst_thread_get_current, METH_NOARGS },
    { "alloc_trace_available", (PyCFunction)_wrap_gst_alloc_trace_available, METH_NOARGS },
    { "alloc_trace_live_all", (PyCFunction)_wrap_gst_alloc_trace_live_all, METH_NOARGS },
    { "alloc_trace_print_all", (PyCFunction)_wrap_gst_alloc_trace_print_all, METH_NOARGS },
    { "alloc_trace_set_flags_all", (PyCFunction)_wrap_gst_alloc_trace_set_flags_all, METH_VARARGS|METH_KEYWORDS },
    { "uri_protocol_is_valid", (PyCFunction)_wrap_gst_uri_protocol_is_valid, METH_VARARGS|METH_KEYWORDS },
    { "uri_is_valid", (PyCFunction)_wrap_gst_uri_is_valid, METH_VARARGS|METH_KEYWORDS },
    { "uri_get_protocol", (PyCFunction)_wrap_gst_uri_get_protocol, METH_VARARGS|METH_KEYWORDS },
    { "uri_get_location", (PyCFunction)_wrap_gst_uri_get_location, METH_VARARGS|METH_KEYWORDS },
    { "uri_construct", (PyCFunction)_wrap_gst_uri_construct, METH_VARARGS|METH_KEYWORDS },
    { "element_make_from_uri", (PyCFunction)_wrap_gst_element_make_from_uri, METH_VARARGS|METH_KEYWORDS },
    { "uri_get_uri_type", (PyCFunction)_wrap_gst_uri_get_uri_type, METH_NOARGS },
    { "util_set_object_arg", (PyCFunction)_wrap_gst_util_set_object_arg, METH_VARARGS|METH_KEYWORDS },
    { "util_dump_mem", (PyCFunction)_wrap_gst_util_dump_mem, METH_VARARGS|METH_KEYWORDS },
    { "xml_write", (PyCFunction)_wrap_gst_xml_write, METH_VARARGS|METH_KEYWORDS },
    { "xml_write_file", (PyCFunction)_wrap_gst_xml_write_file, METH_VARARGS|METH_KEYWORDS },
    { "xml_make_element", (PyCFunction)_wrap_gst_xml_make_element, METH_VARARGS|METH_KEYWORDS },
    { NULL, NULL, 0 }
};


/* ----------- enums and flags ----------- */

void
pygst_add_constants(PyObject *module, const gchar *strip_prefix)
{
  pyg_enum_add(module, "BinFlags", strip_prefix, GST_TYPE_BIN_FLAGS);
  pyg_enum_add(module, "BufferFlag", strip_prefix, GST_TYPE_BUFFER_FLAG);
  pyg_enum_add(module, "ClockEntryStatus", strip_prefix, GST_TYPE_CLOCK_ENTRY_STATUS);
  pyg_enum_add(module, "ClockEntryType", strip_prefix, GST_TYPE_CLOCK_ENTRY_TYPE);
  pyg_enum_add(module, "ClockReturn", strip_prefix, GST_TYPE_CLOCK_RETURN);
  pyg_flags_add(module, "ClockFlags", strip_prefix, GST_TYPE_CLOCK_FLAGS);
  pyg_flags_add(module, "CPUFlags", strip_prefix, GST_TYPE_CPU_FLAGS);
  pyg_enum_add(module, "DataFlags", strip_prefix, GST_TYPE_DATA_FLAGS);
  pyg_enum_add(module, "ElementFlags", strip_prefix, GST_TYPE_ELEMENT_FLAGS);
  pyg_enum_add(module, "CoreError", strip_prefix, GST_TYPE_CORE_ERROR);
  pyg_enum_add(module, "LibraryError", strip_prefix, GST_TYPE_LIBRARY_ERROR);
  pyg_enum_add(module, "ResourceError", strip_prefix, GST_TYPE_RESOURCE_ERROR);
  pyg_enum_add(module, "StreamError", strip_prefix, GST_TYPE_STREAM_ERROR);
  pyg_enum_add(module, "EventType", strip_prefix, GST_TYPE_EVENT_TYPE);
  pyg_flags_add(module, "EventFlag", strip_prefix, GST_TYPE_EVENT_FLAG);
  pyg_flags_add(module, "SeekType", strip_prefix, GST_TYPE_SEEK_TYPE);
  pyg_enum_add(module, "SeekAccuracy", strip_prefix, GST_TYPE_SEEK_ACCURACY);
  pyg_enum_add(module, "Format", strip_prefix, GST_TYPE_FORMAT);
  pyg_enum_add(module, "IndexCertainty", strip_prefix, GST_TYPE_INDEX_CERTAINTY);
  pyg_enum_add(module, "IndexEntryType", strip_prefix, GST_TYPE_INDEX_ENTRY_TYPE);
  pyg_enum_add(module, "IndexLookupMethod", strip_prefix, GST_TYPE_INDEX_LOOKUP_METHOD);
  pyg_flags_add(module, "AssocFlags", strip_prefix, GST_TYPE_ASSOC_FLAGS);
  pyg_enum_add(module, "IndexResolverMethod", strip_prefix, GST_TYPE_INDEX_RESOLVER_METHOD);
  pyg_enum_add(module, "IndexFlags", strip_prefix, GST_TYPE_INDEX_FLAGS);
  pyg_enum_add(module, "DebugLevel", strip_prefix, GST_TYPE_DEBUG_LEVEL);
  pyg_enum_add(module, "DebugColorFlags", strip_prefix, GST_TYPE_DEBUG_COLOR_FLAGS);
  pyg_enum_add(module, "ObjectFlags", strip_prefix, GST_TYPE_OBJECT_FLAGS);
  pyg_enum_add(module, "PadLinkReturn", strip_prefix, GST_TYPE_PAD_LINK_RETURN);
  pyg_enum_add(module, "PadDirection", strip_prefix, GST_TYPE_PAD_DIRECTION);
  pyg_enum_add(module, "PadFlags", strip_prefix, GST_TYPE_PAD_FLAGS);
  pyg_enum_add(module, "PadPresence", strip_prefix, GST_TYPE_PAD_PRESENCE);
  pyg_enum_add(module, "PadTemplateFlags", strip_prefix, GST_TYPE_PAD_TEMPLATE_FLAGS);
  pyg_enum_add(module, "ParseError", strip_prefix, GST_TYPE_PARSE_ERROR);
  pyg_enum_add(module, "PluginError", strip_prefix, GST_TYPE_PLUGIN_ERROR);
  pyg_enum_add(module, "QueryType", strip_prefix, GST_TYPE_QUERY_TYPE);
  pyg_flags_add(module, "RegistryReturn", strip_prefix, GST_TYPE_REGISTRY_RETURN);
  pyg_flags_add(module, "RegistryFlags", strip_prefix, GST_TYPE_REGISTRY_FLAGS);
  pyg_enum_add(module, "SchedulerFlags", strip_prefix, GST_TYPE_SCHEDULER_FLAGS);
  pyg_enum_add(module, "SchedulerState", strip_prefix, GST_TYPE_SCHEDULER_STATE);
  pyg_enum_add(module, "TagMergeMode", strip_prefix, GST_TYPE_TAG_MERGE_MODE);
  pyg_enum_add(module, "TagFlag", strip_prefix, GST_TYPE_TAG_FLAG);
  pyg_enum_add(module, "ThreadState", strip_prefix, GST_TYPE_THREAD_STATE);
  pyg_flags_add(module, "AllocTraceFlags", strip_prefix, GST_TYPE_ALLOC_TRACE_FLAGS);
  pyg_enum_add(module, "TypeFindProbability", strip_prefix, GST_TYPE_TYPE_FIND_PROBABILITY);
  pyg_flags_add(module, "ElementState", strip_prefix, GST_TYPE_ELEMENT_STATE);
  pyg_enum_add(module, "ElementStateReturn", strip_prefix, GST_TYPE_ELEMENT_STATE_RETURN);
  pyg_enum_add(module, "Result", strip_prefix, GST_TYPE_RESULT);
  pyg_enum_add(module, "URIType", strip_prefix, GST_TYPE_URI_TYPE);

  if (PyErr_Occurred())
    PyErr_Print();
}

/* initialise stuff extension classes */
void
pygst_register_classes(PyObject *d)
{
    PyObject *module;

    if ((module = PyImport_ImportModule("gobject")) != NULL) {
        PyObject *moddict = PyModule_GetDict(module);

        _PyGObject_Type = (PyTypeObject *)PyDict_GetItemString(moddict, "GObject");
        if (_PyGObject_Type == NULL) {
            PyErr_SetString(PyExc_ImportError,
                "cannot import name GObject from gobject");
            return;
        }
    } else {
        PyErr_SetString(PyExc_ImportError,
            "could not import gobject");
        return;
    }


#line 74 "gst.override"

#line 8759 "gst.c"
    pyg_register_boxed(d, "Buffer", GST_TYPE_BUFFER, &PyGstBuffer_Type);
    pyg_register_boxed(d, "Caps", GST_TYPE_CAPS, &PyGstCaps_Type);
    pyg_register_boxed(d, "Event", GST_TYPE_EVENT, &PyGstEvent_Type);
    pyg_register_boxed(d, "GError", GST_TYPE_G_ERROR, &PyGError_Type);
    pyg_register_boxed(d, "Plugin", GST_TYPE_PLUGIN, &PyGstPlugin_Type);
    pyg_register_boxed(d, "Structure", GST_TYPE_STRUCTURE, &PyGstStructure_Type);
    pyg_register_boxed(d, "TagList", GST_TYPE_TAG_LIST, &PyGstTagList_Type);
    pyg_register_interface(d, "URIHandler", GST_TYPE_URI_HANDLER, &PyGstURIHandler_Type);
    pyg_register_interface(d, "TagSetter", GST_TYPE_TAG_SETTER, &PyGstTagSetter_Type);
    pyg_register_interface(d, "ImplementsInterface", GST_TYPE_IMPLEMENTS_INTERFACE, &PyGstImplementsInterface_Type);
    pygobject_register_class(d, "GstObject", GST_TYPE_OBJECT, &PyGstObject_Type, Py_BuildValue("(O)", &PyGObject_Type));
    pygobject_register_class(d, "GstIndex", GST_TYPE_INDEX, &PyGstIndex_Type, Py_BuildValue("(O)", &PyGstObject_Type));
    pygobject_register_class(d, "GstElement", GST_TYPE_ELEMENT, &PyGstElement_Type, Py_BuildValue("(O)", &PyGstObject_Type));
    pygobject_register_class(d, "GstBin", GST_TYPE_BIN, &PyGstBin_Type, Py_BuildValue("(O)", &PyGstElement_Type));
    pygobject_register_class(d, "GstClock", GST_TYPE_CLOCK, &PyGstClock_Type, Py_BuildValue("(O)", &PyGstObject_Type));
    pygobject_register_class(d, "GstPad", GST_TYPE_PAD, &PyGstPad_Type, Py_BuildValue("(O)", &PyGstObject_Type));
    pygobject_register_class(d, "GstGhostPad", GST_TYPE_GHOST_PAD, &PyGstGhostPad_Type, Py_BuildValue("(O)", &PyGstPad_Type));
    pygobject_register_class(d, "GstPadTemplate", GST_TYPE_PAD_TEMPLATE, &PyGstPadTemplate_Type, Py_BuildValue("(O)", &PyGstObject_Type));
    pygobject_register_class(d, "GstPipeline", GST_TYPE_PIPELINE, &PyGstPipeline_Type, Py_BuildValue("(O)", &PyGstBin_Type));
    pygobject_register_class(d, "GstPluginFeature", GST_TYPE_PLUGIN_FEATURE, &PyGstPluginFeature_Type, Py_BuildValue("(O)", &PyGObject_Type));
    pygobject_register_class(d, "GstIndexFactory", GST_TYPE_INDEX_FACTORY, &PyGstIndexFactory_Type, Py_BuildValue("(O)", &PyGstPluginFeature_Type));
    pygobject_register_class(d, "GstElementFactory", GST_TYPE_ELEMENT_FACTORY, &PyGstElementFactory_Type, Py_BuildValue("(O)", &PyGstPluginFeature_Type));
    pygobject_register_class(d, "GstQueue", GST_TYPE_QUEUE, &PyGstQueue_Type, Py_BuildValue("(O)", &PyGstElement_Type));
    pygobject_register_class(d, "GstRealPad", GST_TYPE_REAL_PAD, &PyGstRealPad_Type, Py_BuildValue("(O)", &PyGstPad_Type));
    pygobject_register_class(d, "GstRegistry", GST_TYPE_REGISTRY, &PyGstRegistry_Type, Py_BuildValue("(O)", &PyGObject_Type));
    pygobject_register_class(d, "GstScheduler", GST_TYPE_SCHEDULER, &PyGstScheduler_Type, Py_BuildValue("(O)", &PyGstObject_Type));
    pygobject_register_class(d, "GstSchedulerFactory", GST_TYPE_SCHEDULER_FACTORY, &PyGstSchedulerFactory_Type, Py_BuildValue("(O)", &PyGstPluginFeature_Type));
    pygobject_register_class(d, "GstSystemClock", GST_TYPE_SYSTEM_CLOCK, &PyGstSystemClock_Type, Py_BuildValue("(O)", &PyGstClock_Type));
    pygobject_register_class(d, "GstThread", GST_TYPE_THREAD, &PyGstThread_Type, Py_BuildValue("(O)", &PyGstBin_Type));
    pygobject_register_class(d, "GstTypeFindFactory", GST_TYPE_TYPE_FIND_FACTORY, &PyGstTypeFindFactory_Type, Py_BuildValue("(O)", &PyGstPluginFeature_Type));
    pygobject_register_class(d, "GstXML", GST_TYPE_XML, &PyGstXML_Type, Py_BuildValue("(O)", &PyGstObject_Type));
}
